/*@lineinfo:filename=RibXiscdimdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXiscdimdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RIB_XISCDimDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,12,12,2,2,2,2,12,12,12,2,12,12,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[21];
  static
  {
    _factory[20] = RibExtofxiscdimdescTbl.getORADataFactory();
  }
  protected static final RibXiscdimdescRec _RibXiscdimdescRecFactory = new RibXiscdimdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXiscdimdescRecFactory; }
  static
  { _map.put("RIB_XISCDimDesc_REC", _RibXiscdimdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[21], _sqlType, _factory); }
  public RibXiscdimdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXiscdimdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXiscdimdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXiscdimdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String dimObject, java.math.BigDecimal tareWeight, String tareType, String lwhUom, java.math.BigDecimal length, java.math.BigDecimal width, java.math.BigDecimal dimHeight, java.math.BigDecimal liquidVolume, String liquidVolumeUom, String statCube, String weightUom, java.math.BigDecimal weight, String netWeight, String presentationMethod, RibExtofxiscdimdescTbl extofxiscdimdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setDimObject(dimObject);
    setTareWeight(tareWeight);
    setTareType(tareType);
    setLwhUom(lwhUom);
    setLength(length);
    setWidth(width);
    setDimHeight(dimHeight);
    setLiquidVolume(liquidVolume);
    setLiquidVolumeUom(liquidVolumeUom);
    setStatCube(statCube);
    setWeightUom(weightUom);
    setWeight(weight);
    setNetWeight(netWeight);
    setPresentationMethod(presentationMethod);
    setExtofxiscdimdescTbl(extofxiscdimdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXiscdimdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXiscdimdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXiscdimdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXiscdimdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXiscdimdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getDimObject() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setDimObject(String dimObject) throws SQLException
  { _struct.setAttribute(6, dimObject); }


  public java.math.BigDecimal getTareWeight() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setTareWeight(java.math.BigDecimal tareWeight) throws SQLException
  { _struct.setAttribute(7, tareWeight); }


  public String getTareType() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setTareType(String tareType) throws SQLException
  { _struct.setAttribute(8, tareType); }


  public String getLwhUom() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setLwhUom(String lwhUom) throws SQLException
  { _struct.setAttribute(9, lwhUom); }


  public java.math.BigDecimal getLength() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(10); }

  public void setLength(java.math.BigDecimal length) throws SQLException
  { _struct.setAttribute(10, length); }


  public java.math.BigDecimal getWidth() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(11); }

  public void setWidth(java.math.BigDecimal width) throws SQLException
  { _struct.setAttribute(11, width); }


  public java.math.BigDecimal getDimHeight() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(12); }

  public void setDimHeight(java.math.BigDecimal dimHeight) throws SQLException
  { _struct.setAttribute(12, dimHeight); }


  public java.math.BigDecimal getLiquidVolume() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(13); }

  public void setLiquidVolume(java.math.BigDecimal liquidVolume) throws SQLException
  { _struct.setAttribute(13, liquidVolume); }


  public String getLiquidVolumeUom() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setLiquidVolumeUom(String liquidVolumeUom) throws SQLException
  { _struct.setAttribute(14, liquidVolumeUom); }


  public String getStatCube() throws SQLException
  { return (String) _struct.getAttribute(15); }

  public void setStatCube(String statCube) throws SQLException
  { _struct.setAttribute(15, statCube); }


  public String getWeightUom() throws SQLException
  { return (String) _struct.getAttribute(16); }

  public void setWeightUom(String weightUom) throws SQLException
  { _struct.setAttribute(16, weightUom); }


  public java.math.BigDecimal getWeight() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(17); }

  public void setWeight(java.math.BigDecimal weight) throws SQLException
  { _struct.setAttribute(17, weight); }


  public String getNetWeight() throws SQLException
  { return (String) _struct.getAttribute(18); }

  public void setNetWeight(String netWeight) throws SQLException
  { _struct.setAttribute(18, netWeight); }


  public String getPresentationMethod() throws SQLException
  { return (String) _struct.getAttribute(19); }

  public void setPresentationMethod(String presentationMethod) throws SQLException
  { _struct.setAttribute(19, presentationMethod); }


  public RibExtofxiscdimdescTbl getExtofxiscdimdescTbl() throws SQLException
  { return (RibExtofxiscdimdescTbl) _struct.getAttribute(20); }

  public void setExtofxiscdimdescTbl(RibExtofxiscdimdescTbl extofxiscdimdescTbl) throws SQLException
  { _struct.setAttribute(20, extofxiscdimdescTbl); }


  public RibXiscdimdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXiscdimdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:242^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RIB_XISCDimDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:247^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXiscdimdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:255^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RIB_XISCDimDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:260^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:275^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:280^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:288^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:293^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:313^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:321^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:328^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:336^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:358^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:367^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:374^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:383^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:406^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:416^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:423^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:433^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:457^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:468^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:475^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:486^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    String WEIGHT_UOM,
    java.math.BigDecimal WEIGHT,
    String NET_WEIGHT,
    String PRESENTATION_METHOD,
    RibExtofxiscdimdescTbl EXTOFXISCDIMDESC_TBL,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:519^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT,
//        :PRESENTATION_METHOD,
//        :EXTOFXISCDIMDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
   __sJT_st.setString(16,PRESENTATION_METHOD);
   if (EXTOFXISCDIMDESC_TBL==null) __sJT_st.setNull(17,2003,"RIB_ExtOfXISCDimDesc_TBL"); else __sJT_st.setORAData(17,EXTOFXISCDIMDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:539^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:546^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT,
//        :PRESENTATION_METHOD,
//        :EXTOFXISCDIMDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
   __sJT_st.setString(16,PRESENTATION_METHOD);
   if (EXTOFXISCDIMDESC_TBL==null) __sJT_st.setNull(17,2003,"RIB_ExtOfXISCDimDesc_TBL"); else __sJT_st.setORAData(17,EXTOFXISCDIMDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:566^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:592^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:605^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:612^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:625^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:652^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:666^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:673^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:687^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:715^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:730^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:737^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:752^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    String WEIGHT_UOM,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:781^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:797^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:804^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:820^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    String WEIGHT_UOM,
    java.math.BigDecimal WEIGHT,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:850^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"22oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:867^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:874^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"23oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:891^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    String WEIGHT_UOM,
    java.math.BigDecimal WEIGHT,
    String NET_WEIGHT,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:922^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"24oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:940^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:947^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"25oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:965^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    java.math.BigDecimal LIQUID_VOLUME,
    String LIQUID_VOLUME_UOM,
    String STAT_CUBE,
    String WEIGHT_UOM,
    java.math.BigDecimal WEIGHT,
    String NET_WEIGHT,
    String PRESENTATION_METHOD,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:997^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT,
//        :PRESENTATION_METHOD);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"26oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
   __sJT_st.setString(16,PRESENTATION_METHOD);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1016^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1023^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT,
//        :LIQUID_VOLUME,
//        :LIQUID_VOLUME_UOM,
//        :STAT_CUBE,
//        :WEIGHT_UOM,
//        :WEIGHT,
//        :NET_WEIGHT,
//        :PRESENTATION_METHOD);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"27oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
   __sJT_st.setBigDecimal(10,LIQUID_VOLUME);
   __sJT_st.setString(11,LIQUID_VOLUME_UOM);
   __sJT_st.setString(12,STAT_CUBE);
   __sJT_st.setString(13,WEIGHT_UOM);
   __sJT_st.setBigDecimal(14,WEIGHT);
   __sJT_st.setString(15,NET_WEIGHT);
   __sJT_st.setString(16,PRESENTATION_METHOD);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1042^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1062^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"28oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1069^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1076^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"29oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1083^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1102^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"30oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1108^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1115^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"31oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1121^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }

  public RibXiscdimdescRec ribXiscdimdescRec (
    java.math.BigDecimal RIB_OID,
    String DIM_OBJECT,
    java.math.BigDecimal TARE_WEIGHT,
    String TARE_TYPE,
    String LWH_UOM,
    java.math.BigDecimal LENGTH,
    java.math.BigDecimal WIDTH,
    java.math.BigDecimal DIM_HEIGHT,
    RibXiscdimdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXiscdimdescRec __jPt_temp = (RibXiscdimdescRec) this;
    RibXiscdimdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1146^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"32oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1158^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1165^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCDimDesc_REC(
//        :RIB_OID,
//        :DIM_OBJECT,
//        :TARE_WEIGHT,
//        :TARE_TYPE,
//        :LWH_UOM,
//        :LENGTH,
//        :WIDTH,
//        :DIM_HEIGHT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCDimDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"33oracle.retail.merch20.microApps.createRegItem.RibXiscdimdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RIB_XISCDimDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DIM_OBJECT);
   __sJT_st.setBigDecimal(4,TARE_WEIGHT);
   __sJT_st.setString(5,TARE_TYPE);
   __sJT_st.setString(6,LWH_UOM);
   __sJT_st.setBigDecimal(7,LENGTH);
   __sJT_st.setBigDecimal(8,WIDTH);
   __sJT_st.setBigDecimal(9,DIM_HEIGHT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec)__sJT_st.getORAData(1, oracle.retail.microapps.item.ribtypes.RibXiscdimdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1177^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) {
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err;
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/