package oracle.retail.microapps.item.transfer.backing;

import java.math.BigDecimal;

import java.util.Iterator;
import java.util.List;

import java.util.Map;

import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import javax.faces.event.ValueChangeEvent;

import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;
import oracle.adf.view.rich.component.rich.RichDialog;
import oracle.adf.view.rich.component.rich.RichPopup;
import oracle.adf.view.rich.component.rich.data.RichTable;
import oracle.adf.view.rich.component.rich.input.RichInputListOfValues;
import oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelGroupLayout;
import oracle.adf.view.rich.component.rich.layout.RichToolbar;
import oracle.adf.view.rich.component.rich.nav.RichCommandButton;
import oracle.adf.view.rich.component.rich.nav.RichCommandLink;
import oracle.adf.view.rich.component.rich.output.RichImage;
import oracle.adf.view.rich.component.rich.output.RichOutputFormatted;
import oracle.adf.view.rich.component.rich.output.RichPanelCollection;
import oracle.adf.view.rich.component.rich.output.RichSpacer;
import oracle.adf.view.rich.context.AdfFacesContext;
import oracle.adf.view.rich.event.DialogEvent;

import oracle.adf.view.rich.event.ReturnPopupEvent;

import oracle.jbo.ApplicationModule;
import oracle.jbo.Key;
import oracle.jbo.Row;
import oracle.jbo.RowSetIterator;

import oracle.jbo.ViewObject;
import oracle.jbo.uicli.binding.JUCtrlHierNodeBinding;

import oracle.retail.merch20.common.ADFUtils;

import org.apache.log4j.Logger;
import org.apache.myfaces.trinidad.model.CollectionModel;
import org.apache.myfaces.trinidad.model.RowKeySet;

public class TransferItem {
    private RichInputListOfValues locationId;
    private RichInputListOfValues location1Id;
    private RichInputListOfValues deptId;
    private RichPanelGroupLayout pgl1;
    private RichPanelFormLayout pfl1;
    private RichPanelGroupLayout pgl2;
    private RichPanelGroupLayout pgl3;
    private RichSpacer s3;
    private RichSpacer s5;
    private RichTable t2;
    private RichPanelCollection pc1;
    private RichToolbar t1;
    private RichCommandLink cl1;
    private RichImage i1;
    private RichPopup p1;
    private RichDialog d1;
    private RichTable t3;
    private RichCommandLink cl2;
    private RichImage i2;
    private RichSpacer s4;
    private RichPanelFormLayout pfl2;
    private RichCommandButton cb1;
    private RichCommandButton cb2;
    private RichOutputFormatted of1;
    //Status message to be displayed to the user
    private String statusMessage;
    // get a logger instance named
    private static Logger  logger = Logger.getLogger(TransferItem.class);
    // get the resourceBundle instance
    Map resourceBundle = 
        ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.retail.microapps.item.i18n.ItemBundle']}");

    public void setPgl1(RichPanelGroupLayout pgl1) {
        this.pgl1 = pgl1;
    }

    public RichPanelGroupLayout getPgl1() {
        return pgl1;
    }

    public void setPfl1(RichPanelFormLayout pfl1) {
        this.pfl1 = pfl1;
    }

    public RichPanelFormLayout getPfl1() {
        return pfl1;
    }

    public void setPc1(RichPanelCollection pc1) {
        this.pc1 = pc1;
    }

    public RichPanelCollection getPc1() {
        return pc1;
    }

    public void setT1(RichToolbar t1) {
        this.t1 = t1;
    }

    public RichToolbar getT1() {
        return t1;
    }

    public void setCl1(RichCommandLink cl1) {
        this.cl1 = cl1;
    }

    public RichCommandLink getCl1() {
        return cl1;
    }

    public void setI1(RichImage i1) {
        this.i1 = i1;
    }

    public RichImage getI1() {
        return i1;
    }

    public void setP1(RichPopup p1) {
        this.p1 = p1;
    }

    public RichPopup getP1() {
        return p1;
    }

    public void setD1(RichDialog d1) {
        this.d1 = d1;
    }

    public RichDialog getD1() {
        return d1;
    }


    public void setCl2(RichCommandLink cl2) {
        this.cl2 = cl2;
    }
  
    public RichCommandLink getCl2() {
        return cl2;
    }
  
    public void setI2(RichImage i2) {
        this.i2 = i2;
    }
  
    public RichImage getI2() {
        return i2;
    }
  
    public void setS4(RichSpacer s4) {
        this.s4 = s4;
    }
  
    public RichSpacer getS4() {
        return s4;
    }

    public void setStatusMessage(String statusMessage) {
        this.statusMessage = statusMessage;
    }

    public String getStatusMessage() {
        return statusMessage;
    }
      
    public void setPfl2(RichPanelFormLayout pfl2) {
        this.pfl2 = pfl2;
    }
  
    public RichPanelFormLayout getPfl2() {
        return pfl2;
    }
  
    public void setCb1(RichCommandButton cb1) {
        this.cb1 = cb1;
    }
  
    public RichCommandButton getCb1() {
        return cb1;
    }
  
    public void setCb2(RichCommandButton cb2) {
        this.cb2 = cb2;
    }
  
    public RichCommandButton getCb2() {
        return cb2;
    }


    public void setOf1(RichOutputFormatted of1) {
        this.of1 = of1;
    }
  
    public RichOutputFormatted getOf1() {
        return of1;
    }


    public void setT3(RichTable t3) {
        this.t3 = t3;
    }
  
    public RichTable getT3() {
        return t3;
    }
    
    public void setPgl2(RichPanelGroupLayout pgl2) {
        this.pgl2 = pgl2;
    }
  
    public RichPanelGroupLayout getPgl2() {
        return pgl2;
    }
  
    public void setPgl3(RichPanelGroupLayout pgl3) {
        this.pgl3 = pgl3;
    }
  
    public RichPanelGroupLayout getPgl3() {
        return pgl3;
    }
  
    public void setS3(RichSpacer s3) {
        this.s3 = s3;
    }
  
    public RichSpacer getS3() {
        return s3;
    }
  
    public void setS5(RichSpacer s5) {
        this.s5 = s5;
    }
  
    public RichSpacer getS5() {
        return s5;
    }
  
    public void setLocationId(RichInputListOfValues locationId) {
        this.locationId = locationId;
    }
  
    public RichInputListOfValues getLocationId() {
        return locationId;
    }
  
    public void setLocation1Id(RichInputListOfValues location1Id) {
        this.location1Id = location1Id;
    }
  
    public RichInputListOfValues getLocation1Id() {
        return location1Id;
    }
  
    public void setDeptId(RichInputListOfValues deptId) {
        this.deptId = deptId;
    }
  
    public RichInputListOfValues getDeptId() {
        return deptId;
    }
  
    public void setT2(RichTable t2) {
        this.t2 = t2;
    }
  
    public RichTable getT2() {
        return t2;
    }
  
    /**
     * This method calls the transferItem method in TransferItem Application Module.
     * It sets the status message to the result returned from the transferItem call
     * @return String Status of the transfer item process
     */ 
     public String transferItem() {
       String validate = validateItemQty();
  
       if (!validate.equals("")) {
            setStatusMessage(validate);
            logger.debug("Status message set");
            return validate;
        }
       ApplicationModule am = ADFUtils.getApplicationModuleForDataControl("TransferItemDataControl");
       logger.debug("Fetching the instance of Application Module");
       oracle.retail.microapps.item.transfer.am.common.TransferItem transfer = 
           (oracle.retail.microapps.item.transfer.am.common.TransferItem)am;
       logger.debug("Calling transferItem() method of Application Module");
       String result = transfer.transferItem();
       String tsfNo = transfer.getTsfNo();
       logger.debug(tsfNo);
       if (result.equals("S")) {
            result = resourceBundle.get("SUCCESS_MSG") + "" + resourceBundle.get("TRANSFER_NO_") + tsfNo;
            logger.debug("Transfer is successful");
        } else {
          result = resourceBundle.get("ERROR_MSG") + "" + result;
            logger.debug("Transfer not successful");
        }
       setStatusMessage(result);
       return result;
    }
    
    /**
     * This method validates the item table for the presence of at least one row
     * and for correct transfer quantity of the item.
     * @return String Status of the validation process
     */
    public String validateItemQty() {
        DCIteratorBinding iter = ADFUtils.findIterator("TransferItemsVO1Iterator");
        RowSetIterator rsi = iter.getRowSetIterator();
        logger.debug("rsi.getRowCount() " + rsi.getRowCount());
        int rowcount = rsi.getRowCount();
        if (rowcount <= 0) {
            return (String)resourceBundle.get("Item_Is_Mandatory");
        }
        for (int i = 0; i < rowcount; i++) {
            Object tsfQty = rsi.getRowAtRangeIndex(i).getAttribute("tsfQty");
            if (tsfQty == null) {
                return (String)resourceBundle.get("tsfQty_Is_Mandatory");
            } else {
                try {
                    Integer.parseInt(tsfQty.toString());
                } catch (NumberFormatException e) {
                    return (String)resourceBundle.get("tsfQty_Is_Numeric");
                }
            }
        }
        return "";
    }
  
    /**
     * This method is called when the user changes the Source Location in the Location LOV
     * Editor in the ItemTransfer application.
     * The selected LocationID, LocType are set in the View Scope to be 
     * accessed by any other View Objects which need it.
     * @param returnPopupEvent
     */ 
     public void srcLocSelectPopupListner(ReturnPopupEvent returnPopupEvent) {
       logger.debug("In locSelectPopupListner");
       DCIteratorBinding dcib = ADFUtils.findIterator("SrcLocationVO1Iterator");
       Row rw = dcib.getCurrentRow();
       logger.debug("Fetching the variable Location and locationType");
       Object locationIdValue = rw.getAttribute("Location");
       String locationTypeValue = (String)rw.getAttribute("LocType");
       logger.debug("Source location value fetched is " + locationIdValue);
       logger.debug("Source location value type fetched is " + locationTypeValue);
       ADFContext.getCurrent().getViewScope().put("fromLocationBindValue",
                                                  locationIdValue.toString());
       logger.debug("Setting selected Source location in to the ViewScope for Bind Variable");
       ADFContext.getCurrent().getViewScope().put("fromLocTypeBindValue",
                                                  locationTypeValue.toString());
       logger.debug("Setting Source location type in to the ViewScope for Bind Variable");
       }
    
    /**
     * This method is called when the user changes the Destination Location in the LocationLOV
     * Editor in the ItemTransfer application.
     * @param returnPopupEvent
     */ 
     public void destLocSelectPopupListner(ReturnPopupEvent returnPopupEvent) { 
        logger.debug("In destLocSelectPopupListner");
        DCIteratorBinding dcib = ADFUtils.findIterator("DestLocationVO1Iterator");
        Row rw = dcib.getCurrentRow();
        logger.debug("Fetching the variable Location and locationType");
        Object locationIdValue = rw.getAttribute("Location");
        String locationTypeValue = (String)rw.getAttribute("LocType");
        logger.debug("Destination location value fetched is " + locationIdValue);
        logger.debug("Destination location value type fetched is " + locationTypeValue);
        ADFContext.getCurrent().getViewScope().put("toLocBindValue",
                                                  locationIdValue.toString());
        logger.debug("Setting selected Destination location in to the ViewScope for Bind Variable");
        ADFContext.getCurrent().getViewScope().put("toLocTypeBindValue",
                                                  locationTypeValue.toString());
        logger.debug("Setting Destination location type in to the ViewScope for Bind Variable");
     }
    
    /**
     * This method is called when the user changes the Department from the DepartmentLOV
     * Editor in the ItemTransfer application.
     * @param returnPopupEvent 
     */ 
     public void deptSelectPopupListner(ReturnPopupEvent returnPopupEvent) {
        logger.debug("In deptSelectPopupListner");
        DCIteratorBinding dcib = ADFUtils.findIterator("DepartmentVO1Iterator");
        Row rw = dcib.getCurrentRow();
        Object department = rw.getAttribute("Dept");
        ADFContext.getCurrent().getViewScope().put("fromDeptBindValue",new Integer(department.toString()) );
        logger.debug("Setting selected department in to the ViewScope for Bind Variable");
        logger.debug("Clearing order item table");
        clearTransferItemTable();
      }

   /**
    * This method is called as the DialogListener for the pop up.
    * It populates the TransferItemsVO iterator with the details of the item selected.
    * @param de
    */   
    public void ItemSelectDialogListener(DialogEvent de) {
      try {
          logger.debug("Item select dialog called...");
          RowKeySet rowSet = t2.getSelectedRowKeys();
          logger.debug("No of rows selected for transferring items: "+rowSet.size());
          Iterator rowSetIter = rowSet.iterator();
          DCIteratorBinding selectedItemIter =
              ADFUtils.findIterator("ItemVO1Iterator");
          int rowCount = 0;
          while (rowSetIter.hasNext()) {
              logger.debug("Getting rows from ItemVO1Iterator");
              List l = (List)rowSetIter.next();
              Key key = (Key)l.get(0);
              selectedItemIter.setCurrentRowWithKey(key.toStringFormat(true));
              Row rw = selectedItemIter.getCurrentRow();
              populateTransferItemVO(rw);
              rowCount++;
          }
          AdfFacesContext.getCurrentInstance().addPartialTarget(t3);
      } catch (Exception e) {
          logger.error("Error: " + e);
          throw new RuntimeException(e);
      }
  }           
    
   /**
    * This method populates the TransferItemsVO with the item details
    * @param transferItemRow
    */
    public static void populateTransferItemVO(Row transferItemRow){
      //getting hold of view object where to create new row...
      DCIteratorBinding dcib = ADFUtils.findIterator("TransferItemsVO1Iterator");
      ViewObject itemsTransferVO = dcib.getViewObject();
      //getting hold of the iterator for above view obj
      RowSetIterator itemRowIter = dcib.getRowSetIterator();
      //creating row
      Row newRow = itemsTransferVO.createRow();
      ADFContext.getCurrent().getViewScope().put("itemBindValue", transferItemRow.getAttribute("Item"));
      newRow.setAttribute("itemId", transferItemRow.getAttribute("Item"));
      newRow.setAttribute("itemDesc", transferItemRow.getAttribute("ItemDesc"));
      newRow.setAttribute("avlQty", transferItemRow.getAttribute("StockOnHand"));
      logger.debug("Item :" +transferItemRow.getAttribute("Item"));
      logger.debug("ItemDesc :" +transferItemRow.getAttribute("ItemDesc"));
      logger.debug("StockOnHand :" +transferItemRow.getAttribute("StockOnHand"));
      logger.debug("itemId, itemDesc, avlQty are added");
      itemsTransferVO.setCurrentRow(newRow);
      itemRowIter.insertRow(newRow);
      logger.debug("Row inserted");
  }       
  
    /**
    * This method is called when somone clicks the cross mark above the item table
    * to delete the item.
    * This will delete item of the selected row by the user.
    */
    public void deleteSelectedItems(ActionEvent actionEvent) {
        logger.debug("deleting selected items");
        try {
            RowKeySet rowSet = t3.getSelectedRowKeys();
            if (rowSet != null) {
                CollectionModel cm = (CollectionModel)t3.getValue();
                for (Object facesTreeRowKey : rowSet) {
                    cm.setRowKey(facesTreeRowKey);
                    JUCtrlHierNodeBinding rowData =
                        (JUCtrlHierNodeBinding)cm.getRowData();
                    rowData.getRow().remove();
                }
            }
        } catch (Exception e) {
            logger.error("Error in deleting selected rows : " + e);
        }
        ADFContext.getCurrent().getViewScope().put("itemBindValue", null);
        logger.debug("Selected items deleted");
    }

   /**
    * This method is called when the user clicks on cancel Button to reset the values
    * This resets all the attributes in the View Scope
    * @param actionEvent ActionEvent 
    */    
    public void cancel(ActionEvent actionEvent) {
      logger.debug("In the cancel method");
      locationId.setValue(null);
      location1Id.setValue(null);
      deptId.setValue(null);
      logger.debug("Setting ViewScope variables to blank to reset the bind variable");
      ADFContext.getCurrent().getViewScope().put("fromLocTypeBindValue", "");
      ADFContext.getCurrent().getViewScope().put("fromLocationBindValue", "");
      ADFContext.getCurrent().getViewScope().put("toLocTypeBindValue", "");
      ADFContext.getCurrent().getViewScope().put("toLocBindValue", "");
      ADFContext.getCurrent().getViewScope().put("itemBindValue", "");
      ADFContext.getCurrent().getViewScope().put("fromDeptBindValue", "");
      logger.debug("Clearing order item table");
      clearTransferItemTable();
    }
    
   /**
    * This method is called to clear the table populated with the selected items
    * from the pop up.
    */
    private void clearTransferItemTable(){
        DCIteratorBinding dcib =
            ADFUtils.findIterator("TransferItemsVO1Iterator");
        RowSetIterator rsi = dcib.getRowSetIterator();
        logger.debug("Transfer items count " + rsi.getRowCount());
        int rowcount = rsi.getRowCount();
        for (int i = 0; i < rowcount; i++) {
            rsi.removeCurrentRow();
            logger.debug("Removed row no: " + i);
        }
    }
}
