package oracle.retail.microapps.order.create.am;

import java.math.BigDecimal;

import java.sql.CallableStatement;
import java.sql.SQLException;
import java.sql.Types;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import oracle.adf.model.binding.DCIteratorBinding;

import oracle.jbo.JboException;
import oracle.jbo.Row;
import oracle.jbo.RowSetIterator;
import oracle.jbo.server.ApplicationModuleImpl;
import oracle.jbo.server.ViewObjectImpl;

import oracle.retail.merch20.common.ADFUtils;
import oracle.retail.merch20.common.JSFUtils;
import oracle.retail.microapps.order.create.am.common.CreateOrder;
import oracle.retail.microapps.order.create.views.OrderedItemsVOImpl;
import oracle.retail.microapps.order.ribtypes.RibXorderdescRec;

import oracle.retail.microapps.order.ribtypes.RibXorderdtlRec;

import oracle.retail.microapps.order.ribtypes.RibXorderdtlTbl;

import org.apache.log4j.Logger;
// ---------------------------------------------------------------------
// ---    File generated by Oracle ADF Business Components Design Time.
// ---    Thu Oct 07 19:52:30 IST 2010
// ---    Custom code may be added to this class.
// ---    Warning: Do not modify method signatures of generated methods.
// ---------------------------------------------------------------------
/**
 * CreateOrderImpl class implements the default ApplicationModule. This provides access to
 * all the View Objects used in the Application Module. This also contains the business
 * logic to perform all the necessary CRUD operations.
 *
 * @author Ashish Singh, Pratika Khatavkar
 *
 * @version 1.0
 *
 * @since 7th October 2010
 */
public class CreateOrderImpl extends ApplicationModuleImpl implements CreateOrder {
    // get a logger instance named
    Logger logger = Logger.getLogger(CreateOrderImpl.class);
    private String orderNo;

    /**
     * This is the default constructor (do not remove).
     */
    public CreateOrderImpl() {
    }

    /**
     * Container's getter for ItemsVO1.
     * @return ItemsVO1
     */
    public ViewObjectImpl getItemsVO1() {
        return (ViewObjectImpl)findViewObject("ItemsVO1");
    }

    /**
     * Container's getter for LocationVO1.
     * @return LocationVO1
     */
    public ViewObjectImpl getLocationVO1() {
        return (ViewObjectImpl)findViewObject("LocationVO1");
    }

    /**
     * Container's getter for SystemOptionsVO1.
     * @return SystemOptionsVO1
     */
    public ViewObjectImpl getSystemOptionsVO1() {
        return (ViewObjectImpl)findViewObject("SystemOptionsVO1");
    }

    /**
     * Container's getter for VSupMsobNVO1.
     * @return VSupMsobNVO1
     */
    public ViewObjectImpl getVSupMsobNVO1() {
        return (ViewObjectImpl)findViewObject("VSupMsobNVO1");
    }

    /**
     * Container's getter for VSupMsobYVO1.
     * @return VSupMsobYVO1
     */
    public ViewObjectImpl getVSupMsobYVO1() {
        return (ViewObjectImpl)findViewObject("VSupMsobYVO1");
    }
  /**
   * Container's getter for OrderedItemsVO1.
   * @return OrderedItemsVO1
   */
    public OrderedItemsVOImpl getOrderedItemsVO1() {
      return (OrderedItemsVOImpl)findViewObject("OrderedItemsVO1");
  }

    /**
     * This method is exposed to the client via data control. This is used to
     * perform the Create Purchase Order operation.This method consumes 'RMSSUB_XORDER.CONSUME'
     * package.
     * @return String Returns the status of the create order operation.
     */
    public String createPurchaseOrder() {
        logger.debug("Business service method 'createPurchaseOrder' call in CreateOrderImpl");
        String status = null;
        CallableStatement callableStmt = null;
        String callableStatement =
            "begin " + "RMSSUB_XORDER.CONSUME(?,?,?,?); end;";
        logger.debug("Created a Callable Statement");
        
        try {
            callableStmt =
                    getDBTransaction().createCallableStatement(callableStatement,
                                                               0);
            logger.debug("Started registering Output Parameters in RMSSUB_XORDER package");
            callableStmt.registerOutParameter(1, Types.VARCHAR);
            callableStmt.registerOutParameter(2, Types.VARCHAR);
            logger.debug("Completed Registration of Output Parameters in RMSSUB_XORDER package");
            logger.debug("Started setting input parameters in RMSSUB_XORDER package");
            callableStmt.setString(1, "");
            callableStmt.setString(2, "");
            callableStmt.setObject(3, getRibXorderdescRecObject());
            callableStmt.setString(4, "xordercre");
            logger.debug("Completed setting the input parameters in RMSSUB_XORDER package");
            logger.debug("Started execution of the PL/SQL package RMSSUB_XORDER");
            callableStmt.executeUpdate();
            logger.debug("Completed Execution of the PL/SQL package RMSSUB_XORDER");
            logger.debug("STATUS : " + callableStmt.getString(1));
            logger.debug("ERROR : " + callableStmt.getString(2));
            if (callableStmt.getString(1).equals("S")) {
                status = callableStmt.getString(1);
            } else {
                status =  callableStmt.getString(2);
            }
            logger.debug(status);
            logger.debug("Committing the DB transaction to create the order");
            getDBTransaction().commit();
            logger.debug("DB Transaction is committed");
            return status;
        } catch (SQLException e) {
            logger.error("Error in callable statement execution ", e);
            throw new JboException(e);
        } finally {
            try {
                callableStmt.close();
            } catch (SQLException e) {
                logger.error("Error in callable statement closing ", e);
                throw new RuntimeException(e);
            }
        }
    }

    /**
     * Method getRibXorderdescRecObject creates and populates an instance of RibXorderdescRec
     * object to be used in the {@link #createPurchaseOrder} method.
     * @return Object Returns an instance of RibXorderdescRec
     */
    private Object getRibXorderdescRecObject() {
        logger.debug("Creating an instance of RibXorderdescRec");
        RibXorderdescRec xorderdescRec = new RibXorderdescRec();
        logger.debug("Created instance of RibXorderdescRec");
        try {
            logger.debug("Fetching values for RibXorderdescRec :");
            logger.debug("Calling getNextOrderNumber Method");
            orderNo = getNextOrderNumber();
            logger.debug("Fetched order number is" + orderNo);
            Object supplierId;
           
            
               supplierId =
                    getVSupMsobYVO1().getCurrentRow().getAttribute("Supplier");
           
               
           
            logger.debug("Fetched supplierId is : " + supplierId);
            logger.debug("Setting the values in RibXorderdescRec");
            xorderdescRec.setOrderNo(orderNo);
            logger.debug("OrderNo set");
            xorderdescRec.setSupplier(supplierId.toString());
            logger.debug("supplierId set");
            xorderdescRec.setStatus("W");
            logger.debug("Setting the values in XorderdtlTbl");
            xorderdescRec.setXorderdtlTbl(getXorderdtlTbl());
            logger.debug("Values successfully set in RibXorderdescRec");
        } catch (Exception e) {
            logger.error("Error in creating RibXorderdescRec RIB object: ", e);
            throw new JboException("Error in creating RibXorderdescRec RIB Object" +
                                   e);
        }
        logger.debug("Instance of RibXorderdescRec successfully created");
        return xorderdescRec;
    }

    /**
     * Method getXtsfdtlTbl creates and populates an instance of RibXtsfdtlTbl object
     * to be used to populate the RibXtsfdtlTbl object created in {@link #getRibXorderdescRecObject}
     * method.
     * @return RibXtsfdtlTbl Returns an instance of RibSupplierdescTbl object
     */
    private RibXorderdtlTbl getXorderdtlTbl() {
        logger.debug("Creating an instance of RibXorderdtlTbl");
        RibXorderdtlTbl xorderdtlTbl = new RibXorderdtlTbl();
        logger.debug("Created instance of RibXorderdtlTbl");
        try {
            logger.debug("Setting the values in RibXorderdtlTbl");
            xorderdtlTbl.setArray(getXorderdtlRec());
            logger.debug("Values successfully set in RibXorderdtlTbl");
            } catch (SQLException e) {
            logger.error("Error in creating RibXorderdtlTbl RIB object: ", e);
            throw new JboException("Error in creating RibXorderdtlTbl RIB Object" +
                                   e);
        }
        logger.debug("Instance of RibXorderdtlTbl successfully created");
        return xorderdtlTbl;
    }

    /**
     * Method getXorderdtlRec creates and returns an Array of RibXtsfdtlRec object
     * to be used to populate the RibXorderdtlRec object created in {@link #getXorderdtlTbl}
     * method
     * @return RibXorderdtlRec[] Returns an array of RibXorderdtlRec object
     */
    private RibXorderdtlRec[] getXorderdtlRec() {
        Row[] rows=getOrderedItemsVO1().getAllRowsInRange();
        int length=rows.length;
        logger.debug("Number  of items added" + length);    
        RibXorderdtlRec[] ribXorderdtlRec =
            new RibXorderdtlRec[length];
        try {

            for (int i = 0; i < length; i++) {
                logger.debug("Creating an instance of RibXorderdtlRec");
                RibXorderdtlRec xorderdtlRec = new RibXorderdtlRec();
                logger.debug("Started fetching values to populate RibXorderdtlRec instance");
                logger.debug("Fetching values for RibXorderdtlRec :");
                logger.debug("Item added in the order : " +
                             rows[i].getAttribute("ItemDesc"));
                logger.debug("Item details are");
                Object item = rows[i].getAttribute("Item");
                logger.debug("Item id retrieved is " + item);
                Object countryId =
                    rows[i].getAttribute("OriginCountryId");
                logger.debug("origin country of item is " + countryId);
                Object qtyOrdered = rows[i].getAttribute("OrderedQty");
                logger.debug("Quantity ordered " + qtyOrdered);
                Object Loc =
                    getLocationVO1().getCurrentRow().getAttribute("Location");
                logger.debug("Fetched Location : " + Loc);
                String locType = (String)getLocationVO1().getCurrentRow().getAttribute("Loctype");
                logger.debug("loc type: " + locType);

                logger.debug("Setting the retrieved values into the  xorderdtlRec record");
                xorderdtlRec.setItem(item.toString()); //String item
                xorderdtlRec.setLocation(new BigDecimal(Loc.toString()));
                xorderdtlRec.setOriginCountryId(countryId.toString());
                xorderdtlRec.setQtyOrdered(new BigDecimal(qtyOrdered.toString()));
                xorderdtlRec.setLocationType(locType.toString());
                logger.debug("  xorderdtlRec record set");
                ribXorderdtlRec[i] = xorderdtlRec;
            }
        } catch (Exception e) {
            logger.error("Error in creating xorderdtlRec RIB Object: " + e);
            throw new JboException("Error in creating RibXorderdtlRec RIB Object" +
                                   e);
        }
        logger.debug("Values set succesfully in RibXorderdtlRec instance");
        return ribXorderdtlRec;
    }

    /**Method getNextOrderNumber() generates an order number for the placed order.
     * @return String order_no for the next order number as generated in RMS
     */
    private String getNextOrderNumber() {
        logger.debug("getNextOrderNumber() method called");
        List<Object> result = new ArrayList<Object>();
        String order_no = "";
        CallableStatement statement = null;
        String callableStatement =
            "begin " + "NEXT_ORDER_NUMBER(?,?,?); end;";
        logger.debug("Created a Callable Statement");
        try {
            statement =
                    getDBTransaction().createCallableStatement(callableStatement,
                                                               0);
            statement.registerOutParameter(1, Types.NUMERIC);
            statement.registerOutParameter(2, Types.VARCHAR);
            statement.registerOutParameter(3, Types.VARCHAR);
            statement.setInt(1, -1);
            statement.setString(2, "");
            statement.setObject(3, "");
            statement.execute();
            logger.debug("Order No : " + statement.getString(1));
            result.add(statement.getString(1));
            result.add(statement.getString(2));
            result.add(statement.getString(3));
            order_no = statement.getString(1);

        } catch (SQLException e) {
            logger.error("Error in generating the next order number: " + e);
            throw new JboException(e);
        } catch (Exception e) {
            logger.error("Error in generating the next order number: " + e);
            throw new JboException(e);
        }
        return order_no;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

  
}
