package oracle.retail.microapps.order.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibXorderdtlRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_XOrderDtl_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibXorderdtlRecRef _RibXorderdtlRecRefFactory = new RibXorderdtlRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibXorderdtlRecRefFactory; }
  /* constructor */
  public RibXorderdtlRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibXorderdtlRecRef r = new RibXorderdtlRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibXorderdtlRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibXorderdtlRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibXorderdtlRecRef: "+exn.toString()); }
  }

  public RibXorderdtlRec getValue() throws SQLException
  {
     return (RibXorderdtlRec)RibXorderdtlRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibXorderdtlRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
