package oracle.retail.microapps.item.transfer.am.view.DepartmentVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.item.transfer.am.applicationModule.TransferItemAMFixture;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class DepartmentVO1VOTest {
    private TransferItemAMFixture fixture1 = TransferItemAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger("DepartmentVO1VOTest.class");

    public DepartmentVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("DepartmentVO1");
        assertNotNull(view);
    }

    /**
     * This method is to test the View Objects for the valid
     * Department. This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */    
    @Test
    public void testVOQuery() {
        ViewObject deptVO = fixture1.getApplicationModule().findViewObject("DepartmentVO1");
        logger.debug("DepartmentVO1 VO fetched");
        //get a valid department
        deptVO.executeQuery();
        Row[] rows = deptVO.getAllRowsInRange();
        logger.debug("Rows in DepartmentVO1 fetched");
        Assert.assertTrue(rows.length > 0);
    }
   
    /**
     * This method is to test the View Objects for the mandatory attribute- Dept.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */  
    @Test
    public void testVOMandatoryAttribute_dept() {
        ViewObject deptVO = fixture1.getApplicationModule().findViewObject("DepartmentVO1");
        logger.debug("DepartmentVO1 VO fetched");
        //get a valid department.
        deptVO.executeQuery();
        Row[] rows = deptVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("Dept");
        logger.debug("Rows in DepartmentVO1 fetched with valid Dept");
        Assert.assertTrue(voAttr != null);
    }
  
    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
