package oracle.retail.microapps.item.transfer.am.view.DestLocationVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.jbo.domain.Number;

import oracle.retail.microapps.item.transfer.am.applicationModule.TransferItemAMFixture;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class DestLocationVO1VOTest {
    private TransferItemAMFixture fixture1 = TransferItemAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger("DestLocationVO1VOTest.class");

    public DestLocationVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("DestLocationVO1");
        assertNotNull(view);
    }
   
    /**
     * This method is to test the View Objects for the valid
     * Destination location. This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */
    @Test
    public void testVOQuery() {
        ViewObject destLocationVO = fixture1.getApplicationModule().findViewObject("DestLocationVO1");
        logger.debug("DestLocationVO1 VO fetched");
        //get a valid location id.
        destLocationVO.setNamedWhereClauseParam("from_loc", null);
        destLocationVO.setNamedWhereClauseParam("from_loc_type", null);
        destLocationVO.executeQuery();
        Row[] rows = destLocationVO.getAllRowsInRange();
        logger.debug("Rows in DestLocationVO1 fetched");
        Assert.assertTrue(rows.length > 0);
    }
    
    /**
     * This method is to test the View Objects for the mandatory attribute- Location.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOMandatoryAttribute_locationId() {
        ViewObject destLocationVO = fixture1.getApplicationModule().findViewObject("DestLocationVO1");
        logger.debug("DestLocationVO1 VO fetched");
        //get a valid location id.
        destLocationVO.executeQuery();
        Row[] rows = destLocationVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("Location");
        logger.debug("Rows in DestLocationVO1 fetched with valid Location");
        Assert.assertTrue(voAttr != null);
    }
    
    /**
     * This method is to test the View Objects for the mandatory attribute- LocType.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOMandatoryAttribute_locType() {
        ViewObject destLocationVO = fixture1.getApplicationModule().findViewObject("DestLocationVO1");
        logger.debug("DestLocationVO1 VO fetched");
        destLocationVO.executeQuery();
        Row[] rows = destLocationVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("LocType");
        logger.debug("Rows in DestLocationVO1 fetched with valid LocType");
        Assert.assertTrue(voAttr != null);
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
