package oracle.retail.microapps.item.transfer.am.view.SystemOptionsVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.item.transfer.am.applicationModule.TransferItemAMFixture;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class SystemOptionsVO1VOTest {
    private TransferItemAMFixture fixture1 = TransferItemAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger("SystemOptionsVO1VOTest.class");

    public SystemOptionsVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("SystemOptionsVO1");
        assertNotNull(view);
    }
    
    /**
     * This method is to test the View Objects for the valid data.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOQuery() {
        ViewObject SystemOptionsVO = fixture1.getApplicationModule().findViewObject("SystemOptionsVO1");
        logger.debug("SystemOptionsVO1 VO fetched");
        SystemOptionsVO.executeQuery();
        Row[] rows = SystemOptionsVO.getAllRowsInRange();
        logger.debug("Rows in SystemOptionsVO1 fetched");
        Assert.assertTrue(rows.length > 0);
    }
  
    /**
     * This method is to test the View Objects for the mandatory attribute- DeptLevelTransfers.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */   
    @Test
    public void testVOMandatoryAttribute_DeptLevelTransfers() {
        ViewObject SystemOptionsVO = fixture1.getApplicationModule().findViewObject("SystemOptionsVO1");
        logger.debug("SystemOptionsVO1 VO fetched");
        //get a valid Dept
        SystemOptionsVO.executeQuery();
        Row[] rows = SystemOptionsVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("DeptLevelTransfers");
        logger.debug("Rows in SystemOptionsVO1 fetched with valid DeptLevelTransfers");
        Assert.assertTrue(voAttr != null);
    }
    
    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
