package oracle.retail.microapps.order.create.am.applicationModule;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import java.util.Set;

import oracle.adf.model.binding.DCIteratorBinding;

import oracle.jbo.Row;
import oracle.jbo.RowSetIterator;
import oracle.jbo.ViewObject;

import oracle.jbo.domain.Number;

import oracle.retail.merch20.common.ADFUtils;
import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMFixture;
import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMTest;
import oracle.retail.microapps.order.create.am.common.CreateOrder;

import oracle.retail.microapps.order.create.managed.OrderItemQtyRow;

import oracle.retail.microapps.order.create.managed.OrderItemQtyTableModel;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class CreateOrderAMTest {

    private Number locationId;
    private String originCountryId;
    private Number supplierId;
    private String item;
    private String itemDesc;
    private Number unitCost;
    private Number supplier1Id;
    private CreateOrder _amImpl =
        (CreateOrder)CreateOrderAMFixture.getInstance().getApplicationModule();
    ViewObject locationVO;
    ViewObject vSupMsobYVO1;
    ViewObject vSupMsobNVO1;
    ViewObject itemsVO1;
    ViewObject orderedItemsVO1;
    ViewObject systemOptionsVO1;
    //input parameters used
    private Number orgUnitIdb;
    Logger logger = Logger.getLogger(CreateOrderAMTest.class);

    public CreateOrderAMTest() {
    }

    @Before
    public void setUp() {
        locationVO = _amImpl.findViewObject("LocationVO1");
        locationVO.setNamedWhereClauseParam("ParamSupp", "");
        Row firstRow = locationVO.first();
        orgUnitIdb = (Number)firstRow.getAttribute("Orgunitidb");
        locationId = (Number)firstRow.getAttribute("Location");
        logger.debug(locationId);
        vSupMsobYVO1 = _amImpl.findViewObject("VSupMsobYVO1");
        vSupMsobYVO1.setNamedWhereClauseParam("OrgUnitID", orgUnitIdb);
        vSupMsobYVO1.setNamedWhereClauseParam("ParamLocType", "");
        vSupMsobYVO1.setNamedWhereClauseParam("ParamLoc", "");
        vSupMsobYVO1.setNamedWhereClauseParam("ParamItem", "");
        vSupMsobYVO1.executeQuery();
        Row firstDetailsRow = vSupMsobYVO1.first();
        supplierId = (Number)firstDetailsRow.getAttribute("Supplier"); 
        logger.debug(supplierId);

        vSupMsobNVO1 = _amImpl.findViewObject("VSupMsobNVO1");

        Row firsRow = vSupMsobNVO1.first();
        //  Row firstDetails1Row = vSupMsobYVO1.first();
        supplier1Id = (Number)firsRow.getAttribute("Supplier");
        itemsVO1 = _amImpl.findViewObject("ItemsVO1");
        itemsVO1.setNamedWhereClauseParam("bindSupplier", supplierId);
        itemsVO1.setNamedWhereClauseParam("ParamItem", "");
        itemsVO1.executeQuery();
        Row itemDetails = itemsVO1.first();
        item = (String)itemDetails.getAttribute("Item");
        itemDesc = (String)itemDetails.getAttribute("ItemDesc");
        originCountryId = (String)itemDetails.getAttribute("OriginCountryId");
        unitCost = (Number)itemDetails.getAttribute("UnitCost");
        orderedItemsVO1= _amImpl.findViewObject("OrderedItemsVO1");
        systemOptionsVO1 = _amImpl.findViewObject("SystemOptionsVO1");
        Row firow = systemOptionsVO1.first();


    }

    @After
    public void tearDown() {
    }


    @Test
    public void testCreatePurchaseOrder() {

      Row itemDetails = itemsVO1.first();
      String  item = (String)itemDetails.getAttribute("Item");
      logger.debug(item);
      String itemDesc = (String)itemDetails.getAttribute("ItemDesc");
      logger.debug(itemDesc);
      String originCountryId = (String)itemDetails.getAttribute("OriginCountryId");
      logger.debug(originCountryId);
      Number unitCost = (Number)itemDetails.getAttribute("UnitCost");
      logger.debug(unitCost);
      logger.debug("Fetching iterator");
      logger.debug("Setting rows in OrderedItemsVO1Iterator iterator");

      logger.debug("Item attribute" + orderedItemsVO1.first());

      Row newRow = orderedItemsVO1.createRow();
      newRow.setAttribute("Item", item);
      logger.debug("item set"+item);
      newRow.setAttribute("OriginCountryId", originCountryId);
      newRow.setAttribute("UnitCost", unitCost);
      newRow.setAttribute("ItemDesc", itemDesc);
      newRow.setAttribute("OrderedQty","5");
      orderedItemsVO1.insertRow(newRow);  
      logger.debug("Item attribute" + orderedItemsVO1.first());
      logger.debug("OriginCountryId attribute" + orderedItemsVO1.first().getAttribute("OriginCountryId"));
      logger.debug("UnitCost attribute" + orderedItemsVO1.first().getAttribute("UnitCost"));
      
      String returnStatus = _amImpl.createPurchaseOrder();
      logger.debug("return status"+ returnStatus);
      assertTrue(returnStatus.equals("S"));
    }
    
  @Test
  public void testCreatePurchaseOrderWhenSupplierIsSelectedFirst() {
      logger.debug("Selecting a supplier");
    vSupMsobYVO1 = _amImpl.findViewObject("VSupMsobYVO1");
    vSupMsobYVO1.setNamedWhereClauseParam("OrgUnitID", "");
    vSupMsobYVO1.setNamedWhereClauseParam("ParamLocType", "");
    vSupMsobYVO1.setNamedWhereClauseParam("ParamLoc", "");
    vSupMsobYVO1.setNamedWhereClauseParam("ParamItem", "");
    vSupMsobYVO1.executeQuery();
    Row firstDetailsRow = vSupMsobYVO1.first();
    supplierId = (Number)firstDetailsRow.getAttribute("Supplier"); 
     logger.debug("supplier id selected is" + supplierId);
     logger.debug("Retrieving locations associated with supplier");
    locationVO = _amImpl.findViewObject("LocationVO1");
    locationVO.setNamedWhereClauseParam("ParamSupp", supplierId);
    locationVO.executeQuery();
    Row firstRow = locationVO.first();
     locationId=(Number)firstRow.getAttribute("Location"); 
     logger.debug("location selected"+locationId);
    itemsVO1 = _amImpl.findViewObject("ItemsVO1");
    itemsVO1.setNamedWhereClauseParam("bindSupplier", supplierId);
    itemsVO1.setNamedWhereClauseParam("ParamItem", "");
    itemsVO1.executeQuery();    
    Row itemDetails = itemsVO1.first();
    String  item = (String)itemDetails.getAttribute("Item");
    logger.debug(item);
    String itemDesc = (String)itemDetails.getAttribute("ItemDesc");
    logger.debug(itemDesc);
    String originCountryId = (String)itemDetails.getAttribute("OriginCountryId");
    logger.debug(originCountryId);
    Number unitCost = (Number)itemDetails.getAttribute("UnitCost");
    logger.debug(unitCost);
    logger.debug("Fetching iterator");
    logger.debug("Setting rows in OrderedItemsVO1Iterator iterator");
    logger.debug("Item attribute" + orderedItemsVO1.first());
    Row newRow = orderedItemsVO1.createRow();
    newRow.setAttribute("Item", item);
    logger.debug("item set"+item);
    newRow.setAttribute("OriginCountryId", originCountryId);
    newRow.setAttribute("UnitCost", unitCost);
    newRow.setAttribute("ItemDesc", itemDesc);
    newRow.setAttribute("OrderedQty","5");
    orderedItemsVO1.insertRow(newRow);  
    logger.debug("Item attribute" + orderedItemsVO1.first());
    logger.debug("OriginCountryId attribute" + orderedItemsVO1.first().getAttribute("OriginCountryId"));
    logger.debug("UnitCost attribute" + orderedItemsVO1.first().getAttribute("UnitCost"));    
    String returnStatus = _amImpl.createPurchaseOrder();
    logger.debug("return status"+ returnStatus);
    assertTrue(returnStatus.equals("S"));
  }
}

