package oracle.retail.microapps.order.create.am.view.LocationVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMFixture;

import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMTest;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class LocationVO1VOTest {
    private CreateOrderAMFixture fixture1 = CreateOrderAMFixture.getInstance();
    private ViewObject supplierSiteVO;
  Logger logger = Logger.getLogger(LocationVO1VOTest.class);

    public LocationVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("LocationVO1");
        assertNotNull(view);
    }
  @Test
  public void testVOQueryWithNoParameters() {
      ViewObject locationVO = fixture1.getApplicationModule().findViewObject("LocationVO1");
      //get a valid location id.
      locationVO.setNamedWhereClauseParam("ParamSupp", null);
      locationVO.executeQuery();
      Row[] rows = locationVO.getAllRowsInRange();
      Assert.assertTrue(rows.length > 0);
  }
  @Test
  public void testVOQueryWithParameters() {
      ViewObject locationVO = fixture1.getApplicationModule().findViewObject("LocationVO1");
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", "");
      supplierSiteVO.executeQuery();  
      Row[] rows = supplierSiteVO.getAllRowsInRange();
      Assert.assertTrue(rows.length > 0);
      oracle.jbo.domain.Number BindSupplier = (oracle.jbo.domain.Number)rows[0].getAttribute("Supplier");
      locationVO.setNamedWhereClauseParam("ParamSupp",BindSupplier);
      locationVO.executeQuery();
      Row[] rows1 = locationVO.getAllRowsInRange();
      Assert.assertTrue(rows1.length > 0);
  }

 

    @Before
    public void setUp() {
      //items vo is dependent on supplierSite vo
      supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      assertNotNull(supplierSiteVO);
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", "");
      supplierSiteVO.executeQuery();  
    
        
    }

    @After
    public void tearDown() {
    }
}
