package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibObjectRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_OBJECT";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibObjectRef _RibObjectRefFactory = new RibObjectRef();

  public static ORADataFactory getORADataFactory()
  { return _RibObjectRefFactory; }
  /* constructor */
  public RibObjectRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibObjectRef r = new RibObjectRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibObjectRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibObjectRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibObjectRef: "+exn.toString()); }
  }

  public RibObject getValue() throws SQLException
  {
     return (RibObject) RibObject.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibObject c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
