/*@lineinfo:filename=RibSupplierdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibSupplierdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_SupplierDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,2002,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[11];
  static
  {
    _factory[8] = RibSupattrRec.getORADataFactory();
    _factory[9] = RibSupsiteTbl.getORADataFactory();
    _factory[10] = RibExtofsupplierdescTbl.getORADataFactory();
  }
  protected static final RibSupplierdescRec _RibSupplierdescRecFactory = new RibSupplierdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibSupplierdescRecFactory; }
  static
  { _map.put("RMS01.RIB_SupplierDesc_REC", _RibSupplierdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[11], _sqlType, _factory); }
  public RibSupplierdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibSupplierdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibSupplierdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibSupplierdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameSupplierdesc, String nsTypeBo, String nsLocationBase, String nsLevelTop, String supXrefKey, java.math.BigDecimal supplierId, RibSupattrRec supattr, RibSupsiteTbl supsiteTbl, RibExtofsupplierdescTbl extofsupplierdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameSupplierdesc(nsNameSupplierdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelTop(nsLevelTop);
    setSupXrefKey(supXrefKey);
    setSupplierId(supplierId);
    setSupattr(supattr);
    setSupsiteTbl(supsiteTbl);
    setExtofsupplierdescTbl(extofsupplierdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibSupplierdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibSupplierdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibSupplierdescRec o) { _struct = o._struct; }
  protected ORAData create(RibSupplierdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibSupplierdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameSupplierdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameSupplierdesc(String nsNameSupplierdesc) throws SQLException
  { _struct.setAttribute(2, nsNameSupplierdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelTop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelTop(String nsLevelTop) throws SQLException
  { _struct.setAttribute(5, nsLevelTop); }


  public String getSupXrefKey() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setSupXrefKey(String supXrefKey) throws SQLException
  { _struct.setAttribute(6, supXrefKey); }


  public java.math.BigDecimal getSupplierId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setSupplierId(java.math.BigDecimal supplierId) throws SQLException
  { _struct.setAttribute(7, supplierId); }


  public RibSupattrRec getSupattr() throws SQLException
  { return (RibSupattrRec) _struct.getAttribute(8); }

  public void setSupattr(RibSupattrRec supattr) throws SQLException
  { _struct.setAttribute(8, supattr); }


  public RibSupsiteTbl getSupsiteTbl() throws SQLException
  { return (RibSupsiteTbl) _struct.getAttribute(9); }

  public void setSupsiteTbl(RibSupsiteTbl supsiteTbl) throws SQLException
  { _struct.setAttribute(9, supsiteTbl); }


  public RibExtofsupplierdescTbl getExtofsupplierdescTbl() throws SQLException
  { return (RibExtofsupplierdescTbl) _struct.getAttribute(10); }

  public void setExtofsupplierdescTbl(RibExtofsupplierdescTbl extofsupplierdescTbl) throws SQLException
  { _struct.setAttribute(10, extofsupplierdescTbl); }


  public RibSupplierdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibSupplierdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:164^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:169^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibSupplierdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:177^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:182^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:197^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:202^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:210^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:215^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibSupplierdescRec ribSupplierdescRec (
    java.math.BigDecimal RIB_OID,
    String SUP_XREF_KEY,
    java.math.BigDecimal SUPPLIER_ID,
    RibSupattrRec SUPATTR,
    RibSupsiteTbl SUPSITE_TBL,
    RibSupplierdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupplierdescRec __jPt_temp = (RibSupplierdescRec) this;
    RibSupplierdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:236^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR,
//        :SUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSite_TBL"); else __sJT_st.setORAData(6,SUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:245^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:252^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR,
//        :SUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSite_TBL"); else __sJT_st.setORAData(6,SUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:261^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSupplierdescRec ribSupplierdescRec (
    java.math.BigDecimal RIB_OID,
    String SUP_XREF_KEY,
    java.math.BigDecimal SUPPLIER_ID,
    RibSupattrRec SUPATTR,
    RibSupsiteTbl SUPSITE_TBL,
    RibExtofsupplierdescTbl EXTOFSUPPLIERDESC_TBL,
    RibSupplierdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupplierdescRec __jPt_temp = (RibSupplierdescRec) this;
    RibSupplierdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:284^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR,
//        :SUPSITE_TBL,
//        :EXTOFSUPPLIERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSite_TBL"); else __sJT_st.setORAData(6,SUPSITE_TBL);
   if (EXTOFSUPPLIERDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_ExtOfSupplierDesc_TBL"); else __sJT_st.setORAData(7,EXTOFSUPPLIERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:294^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:301^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR,
//        :SUPSITE_TBL,
//        :EXTOFSUPPLIERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSite_TBL"); else __sJT_st.setORAData(6,SUPSITE_TBL);
   if (EXTOFSUPPLIERDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_ExtOfSupplierDesc_TBL"); else __sJT_st.setORAData(7,EXTOFSUPPLIERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:311^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSupplierdescRec ribSupplierdescRec (
    java.math.BigDecimal RIB_OID,
    String SUP_XREF_KEY,
    java.math.BigDecimal SUPPLIER_ID,
    RibSupattrRec SUPATTR,
    RibSupplierdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupplierdescRec __jPt_temp = (RibSupplierdescRec) this;
    RibSupplierdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:332^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:340^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:347^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierDesc_REC(
//        :RIB_OID,
//        :SUP_XREF_KEY,
//        :SUPPLIER_ID,
//        :SUPATTR);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUP_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:355^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/