/*@lineinfo:filename=RibSuppliersiteRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibSuppliersiteRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_SupplierSite_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[10];
  static
  {
    _factory[8] = RibSuppliersiteaddrTbl.getORADataFactory();
    _factory[9] = RibExtofsuppliersiteTbl.getORADataFactory();
  }
  protected static final RibSuppliersiteRec _RibSuppliersiteRecFactory = new RibSuppliersiteRec();

  public static ORADataFactory getORADataFactory()
  { return _RibSuppliersiteRecFactory; }
  static
  { _map.put("RMS01.RIB_SupplierSite_REC", _RibSuppliersiteRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[10], _sqlType, _factory); }
  public RibSuppliersiteRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibSuppliersiteRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibSuppliersiteRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibSuppliersiteRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameSupplierref, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String supsiteXrefKey, java.math.BigDecimal supplierSiteId, RibSuppliersiteaddrTbl suppliersiteaddrTbl, RibExtofsuppliersiteTbl extofsuppliersiteTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameSupplierref(nsNameSupplierref);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setSupsiteXrefKey(supsiteXrefKey);
    setSupplierSiteId(supplierSiteId);
    setSuppliersiteaddrTbl(suppliersiteaddrTbl);
    setExtofsuppliersiteTbl(extofsuppliersiteTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibSuppliersiteRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibSuppliersiteRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibSuppliersiteRec o) { _struct = o._struct; }
  protected ORAData create(RibSuppliersiteRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibSuppliersiteRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameSupplierref() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameSupplierref(String nsNameSupplierref) throws SQLException
  { _struct.setAttribute(2, nsNameSupplierref); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getSupsiteXrefKey() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setSupsiteXrefKey(String supsiteXrefKey) throws SQLException
  { _struct.setAttribute(6, supsiteXrefKey); }


  public java.math.BigDecimal getSupplierSiteId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setSupplierSiteId(java.math.BigDecimal supplierSiteId) throws SQLException
  { _struct.setAttribute(7, supplierSiteId); }


  public RibSuppliersiteaddrTbl getSuppliersiteaddrTbl() throws SQLException
  { return (RibSuppliersiteaddrTbl) _struct.getAttribute(8); }

  public void setSuppliersiteaddrTbl(RibSuppliersiteaddrTbl suppliersiteaddrTbl) throws SQLException
  { _struct.setAttribute(8, suppliersiteaddrTbl); }


  public RibExtofsuppliersiteTbl getExtofsuppliersiteTbl() throws SQLException
  { return (RibExtofsuppliersiteTbl) _struct.getAttribute(9); }

  public void setExtofsuppliersiteTbl(RibExtofsuppliersiteTbl extofsuppliersiteTbl) throws SQLException
  { _struct.setAttribute(9, extofsuppliersiteTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:155^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:160^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:168^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:173^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibSuppliersiteRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibSuppliersiteRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:188^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierSite_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:193^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibSuppliersiteRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:201^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierSite_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:206^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibSuppliersiteRec ribSuppliersiteRec (
    java.math.BigDecimal RIB_OID,
    String SUPSITE_XREF_KEY,
    java.math.BigDecimal SUPPLIER_SITE_ID,
    RibSuppliersiteaddrTbl SUPPLIERSITEADDR_TBL,
    RibSuppliersiteRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSuppliersiteRec __jPt_temp = (RibSuppliersiteRec) this;
    RibSuppliersiteRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:226^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPPLIERSITEADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPPLIERSITEADDR_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_SupplierSiteAddr_TBL"); else __sJT_st.setORAData(5,SUPPLIERSITEADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:234^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:241^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPPLIERSITEADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPPLIERSITEADDR_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_SupplierSiteAddr_TBL"); else __sJT_st.setORAData(5,SUPPLIERSITEADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:249^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSuppliersiteRec ribSuppliersiteRec (
    java.math.BigDecimal RIB_OID,
    String SUPSITE_XREF_KEY,
    java.math.BigDecimal SUPPLIER_SITE_ID,
    RibSuppliersiteaddrTbl SUPPLIERSITEADDR_TBL,
    RibExtofsuppliersiteTbl EXTOFSUPPLIERSITE_TBL,
    RibSuppliersiteRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSuppliersiteRec __jPt_temp = (RibSuppliersiteRec) this;
    RibSuppliersiteRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:271^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPPLIERSITEADDR_TBL,
//        :EXTOFSUPPLIERSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPPLIERSITEADDR_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_SupplierSiteAddr_TBL"); else __sJT_st.setORAData(5,SUPPLIERSITEADDR_TBL);
   if (EXTOFSUPPLIERSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_ExtOfSupplierSite_TBL"); else __sJT_st.setORAData(6,EXTOFSUPPLIERSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:280^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:287^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPPLIERSITEADDR_TBL,
//        :EXTOFSUPPLIERSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPPLIERSITEADDR_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_SupplierSiteAddr_TBL"); else __sJT_st.setORAData(5,SUPPLIERSITEADDR_TBL);
   if (EXTOFSUPPLIERSITE_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_ExtOfSupplierSite_TBL"); else __sJT_st.setORAData(6,EXTOFSUPPLIERSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:296^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/