package oracle.retail.microapps.vendor.update.am;

import java.math.BigDecimal;

import java.sql.CallableStatement;

import java.sql.SQLException;
import java.sql.Types;

import oracle.jbo.JboException;
import oracle.jbo.domain.Number;
import oracle.jbo.server.ApplicationModuleImpl;
import oracle.jbo.server.ViewObjectImpl;

import oracle.jdbc.OracleTypes;

import oracle.retail.microapps.vendor.ribtypes.RibSupattrRec;
import oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec;
import oracle.retail.microapps.vendor.ribtypes.RibSuppliercolrefRec;
import oracle.retail.microapps.vendor.ribtypes.RibSupplierdescRec;
import oracle.retail.microapps.vendor.ribtypes.RibSupplierdescTbl;
import oracle.retail.microapps.vendor.update.am.common.UpdateVendor;

import org.apache.log4j.Logger;
// ---------------------------------------------------------------------
// ---    File generated by Oracle ADF Business Components Design Time.
// ---    Mon Sep 27 11:51:15 CDT 2010
// ---    Custom code may be added to this class.
// ---    Warning: Do not modify method signatures of generated methods.
// ---------------------------------------------------------------------
/**
 * UpdateVendorImpl class implements the default ApplicationModule. This provides access to
 * all the View Objects used in the Application Module. This also contains the business
 * logic to perform all the necessary CRUD operations.
 *
 * @author Varma Gottumukkala
 *
 * @version 1.0
 *
 * @since 27th September 2010
 */
public class UpdateVendorImpl extends ApplicationModuleImpl implements UpdateVendor {

    //Create a Log Instance for now. Move to a Log Factory implementation
    Logger logger = Logger.getLogger(UpdateVendorImpl.class);

    /**
     * This is the default constructor (do not remove).
     */
    public UpdateVendorImpl() {
    }

    /**
     * Container's getter for SupplierVO1.
     * @return SupplierVO1
     */
    public ViewObjectImpl getSupplierVO1() {
        return (ViewObjectImpl)findViewObject("SupplierVO1");
    }

    /**
     * Container's getter for SupplierDetailsVO1.
     * @return SupplierDetailsVO1
     */
    public ViewObjectImpl getSupplierDetailsVO1() {
        return (ViewObjectImpl)findViewObject("SupplierDetailsVO1");
    }

    /**
     * This method is exposed to the client via data control. This is used to
     * perform the Update Vendor operation. This method consumes RMSAIASUB_SUPPLIER
     * package. The currently selected supplier is fetched from the current row in
     * the SupplierDetails View Object.
     * @return String Returns the status of the update operation.
     */

    public String updateVendor() {
        logger.debug("Method updateVendor in UpdateVendorImpl called");
        String status = null;
        CallableStatement callableStmt = null;
        String callableStatement =
            "begin " +  "RMSAIASUB_SUPPLIER.CONSUME(?,?,?,?,?); end;";
        logger.debug("Created a Callable Statment");
        try {
            callableStmt =
                    getDBTransaction().createCallableStatement(callableStatement,
                                                               0);
            logger.debug("Started registering Output Parameters in RMSAIASUB_SUPPLIER package");
            callableStmt.registerOutParameter(1, Types.VARCHAR);
            callableStmt.registerOutParameter(2, Types.VARCHAR);
            callableStmt.registerOutParameter(3, OracleTypes.JAVA_STRUCT,
                                              "RIB_SupplierColRef_REC"); //RIB_SupplierColRef_REC,RibSuppliercolrefRec
            logger.debug("Completed Registration of Output Parameters in RMSAIASUB_SUPPLIER package");
            logger.debug("Started setting input Parameters in RMSAIASUB_SUPPLIER package");
            callableStmt.setString(1, "");
            callableStmt.setString(2, "");
            callableStmt.setObject(3, getSupplierColRef());
            callableStmt.setObject(4, getSupplierColDesc());
            callableStmt.setString(5, "suppmod");
            logger.debug("Completed setting the input parameters in RMSAIASUB_SUPPLIER package");
            logger.debug("Started execution of the PL/SQL package RMSAIASUB_SUPPLIER");
            callableStmt.executeUpdate();
            logger.debug("Completed Execution of the PL/SQL package RMSAIASUB_SUPPLIER");
            if (callableStmt.getString(1).equals("S")) {
                status = callableStmt.getString(1); 
            } else {
                status = callableStmt.getString(2);   
            }
            logger.debug(status);
            logger.debug("Committing the DB transaction to update the supplier");
            getDBTransaction().commit();
            logger.debug("DB Transaction is committed and supplier is updated successfully");
            callableStmt.close();
            return status;

        } catch (SQLException e) {
            e.printStackTrace();
            logger.error("SQLException in callable statement execution", e);
            throw new JboException(e);
        }
    }

    /**
     * Method getSupplierColRef creates an instance of RibSuppliercolrefRec object to be used
     * in the {@link #updateVendor} method of this class
     * @return Object Returns an instance of RibSuppliercolrefRec
     */
    private Object getSupplierColRef() {
        logger.debug("Creating instance of RibSuppliercolrefRec");
        RibSuppliercolrefRec suppliercolrefRec = new RibSuppliercolrefRec();
        logger.debug("Created instance of RibSuppliercolrefRec");
        return suppliercolrefRec;
    }

    /**
     * Method getSuppliercoldescRec creates and populates an instance of RibSuppliercoldescRec
     * object to be used in the {@link #updateVendor} method.
     * @return Object Returns an instance of RibSuppliercoldescRec
     */
    private Object getSupplierColDesc() {
        logger.debug("Creating an instance of RibSuppliercoldescRec");
        RibSuppliercoldescRec supplierDescRec = new RibSuppliercoldescRec();
        try {
            logger.debug("Setting the values in RibSuppliercoldescRec");
            supplierDescRec.setCollectionSize(new BigDecimal(1));
            supplierDescRec.setSupplierdescTbl(getSupplierDescTbl());
            logger.debug("Values successfully set in RibSuppliercoldescRec");
        } catch (SQLException e) {
            logger.debug(e.getMessage());
            e.printStackTrace();
            logger.error("SQLException in getSupplierColDesc method execution",
                         e);
            throw new JboException(e);
        }
        logger.debug("Instance of RibSuppliercoldescRec successfully created");
        return supplierDescRec;
    }

    /**
     * Method getSupplierDescTbl creates and populates an instance of RibSupplierdescTbl object
     * to be used to populate the RibSuppliercoldescRec object created in {@link #getSupplierColDesc}
     * method.
     * @return RibSupplierdescTbl Returns an instance of RibSupplierdescTbl object
     */
    private RibSupplierdescTbl getSupplierDescTbl() {
        logger.debug("Creating an instance of RibSupplierdescTbl");
        RibSupplierdescTbl supplierDescTbl = new RibSupplierdescTbl();
        try {
            logger.debug("setting the values in RibSupplierdescTbl");
            supplierDescTbl.setArray(getSupplierDescRec());
            logger.debug("Values successfully set in RibSupplierdescTbl");
        } catch (SQLException e) {
            e.printStackTrace();
            logger.error("SQLException in getSupplierDescTbl method execution",
                         e);
            throw new JboException(e);
        }
        logger.debug("Instance of RibSupplierdescTbl successfully created");
        return supplierDescTbl;
    }

    /**
     * Method getSupplierDescRec creates and returns an Array of RibSupplierdescRec object
     * to be used to populate the RibSupplierdescTbl object created in {@link #getSupplierDescTbl}
     * method
     * @return RibSupplierdescRec[] Returns an array of RibSupplierdescRec object
     */
    private RibSupplierdescRec[] getSupplierDescRec() {
        logger.debug("Creating an instance of RibSupplierdescRec");
        RibSupplierdescRec supplierDescRec = new RibSupplierdescRec();
        try {
            logger.debug("Fetching the supplier ID for the currently updated supplier using the View Objects " +
                         "current row");
            Number supplierId =
                (Number)getSupplierDetailsVO1().getCurrentRow().getAttribute("Supplier");
            logger.debug("Successfully fetched the supplier ID: " +
                         supplierId.toString());
            supplierDescRec.setSupattr(getSupAttrRec());
            logger.debug("Setting the supplier ID on RibSupplierdescRec");
            supplierDescRec.setSupplierId(new BigDecimal(supplierId.doubleValue()));
            logger.debug("Supplier successfully set");

        } catch (SQLException e) {
            logger.debug(e.getMessage());
            e.printStackTrace();
            logger.error("SQLException in getSupplierDescRec method execution",
                         e);
            throw new JboException(e);
        }
        logger.debug("Instance of RibSupplierdescRec created successfully");
        return new RibSupplierdescRec[] { supplierDescRec };
    }

    /**
     * Method getSupAttrRec creates populates and returns RibSupattrRec object to be used to
     * populate the RibSupplierdescRec object to be used in {@link #getSupplierDescRec} method
     * This method fetches the current row from SupplierDetails View Object and populates the RibSupattrRec
     * object
     * @return RibSupattrRec Returns RibSupattrRec object
     */
    private RibSupattrRec getSupAttrRec() {
        logger.debug("Creating an instance of RibSupattrRec");
        RibSupattrRec supAttrRec = new RibSupattrRec();
        logger.debug("Started fetching values from the SupplierDetails View object to populate" +
                     "RibSupattrRec instance");
        String supplierName =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("SupName");
        logger.debug("Fetched supplier name: " + supplierName);
        String contactName =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("ContactName");
        logger.debug("fetched supplier contact name: " + contactName);
        String contactPhone =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("ContactPhone");
        logger.debug("fetched supplier contact phone no: " + contactPhone);
        String contactEmail =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("ContactEmail");
        logger.debug("fetched supplier contact email: " + contactEmail);
        String commentDesc =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("CommentDesc");
        logger.debug("fteched supplier comments: " + commentDesc);
        String terms =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("Terms");
        logger.debug("fetched supplier terms: " + terms);
        String freightTerms =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("FreightTerms");
        logger.debug("fetched supplier freight terms: " + freightTerms);
        String currencyCode =
            (String)getSupplierDetailsVO1().getCurrentRow().getAttribute("CurrencyCode");
        logger.debug("fetched supplier currency code: " + currencyCode);

        try {
            logger.debug("staretd setting values in RibSupattrRec instance");
            supAttrRec.setSupName(supplierName);
            supAttrRec.setContactName(contactName);
            supAttrRec.setContactPhone(contactPhone);
            supAttrRec.setContactEmail(contactEmail);
            supAttrRec.setCommentDesc(commentDesc);
            supAttrRec.setTerms(terms);
            supAttrRec.setFreightTerms(freightTerms);
            supAttrRec.setCurrencyCode(currencyCode);
            logger.debug("values set succesfully in RibSupattrRec instance");

        } catch (SQLException e) {
            logger.debug(e.getMessage());
            e.printStackTrace();
            logger.error("SQLException in getSupAttrRec method execution", e);
            throw new JboException(e);
        }
        logger.debug("Instance of RibSupattrRec successfully created");
        return supAttrRec;
    }
}
