package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.ARRAY;
import oracle.sql.ArrayDescriptor;
import oracle.jpub.runtime.MutableArray;

public class RibXiscdimdescTbl implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XISCDimDesc_TBL";
  public static final int _SQL_TYPECODE = OracleTypes.ARRAY;

  MutableArray _array;

private static final RibXiscdimdescTbl _RibXiscdimdescTblFactory = new RibXiscdimdescTbl();

  public static ORADataFactory getORADataFactory()
  { return _RibXiscdimdescTblFactory; }
  /* constructors */
  public RibXiscdimdescTbl()
  {
    this((RibXiscdimdescRec[])null);
  }

  public RibXiscdimdescTbl(RibXiscdimdescRec[] a)
  {
    _array = new MutableArray(2002, a, RibXiscdimdescRec.getORADataFactory());
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _array.toDatum(c, _SQL_NAME);
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibXiscdimdescTbl a = new RibXiscdimdescTbl();
    a._array = new MutableArray(2002, (ARRAY) d, RibXiscdimdescRec.getORADataFactory());
    return a;
  }

  public int length() throws SQLException
  {
    return _array.length();
  }

  public int getBaseType() throws SQLException
  {
    return _array.getBaseType();
  }

  public String getBaseTypeName() throws SQLException
  {
    return _array.getBaseTypeName();
  }

  public ArrayDescriptor getDescriptor() throws SQLException
  {
    return _array.getDescriptor();
  }

  /* array accessor methods */
  public RibXiscdimdescRec[] getArray() throws SQLException
  {
    return (RibXiscdimdescRec[]) _array.getObjectArray(
      new RibXiscdimdescRec[_array.length()]);
  }

  public RibXiscdimdescRec[] getArray(long index, int count) throws SQLException
  {
    return (RibXiscdimdescRec[]) _array.getObjectArray(index,
      new RibXiscdimdescRec[_array.sliceLength(index, count)]);
  }

  public void setArray(RibXiscdimdescRec[] a) throws SQLException
  {
    _array.setObjectArray(a);
  }

  public void setArray(RibXiscdimdescRec[] a, long index) throws SQLException
  {
    _array.setObjectArray(a, index);
  }

  public RibXiscdimdescRec getElement(long index) throws SQLException
  {
    return (RibXiscdimdescRec) _array.getObjectElement(index);
  }

  public void setElement(RibXiscdimdescRec a, long index) throws SQLException
  {
    _array.setObjectElement(a, index);
  }

}
