/*@lineinfo:filename=RibXisclocdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXisclocdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XISCLocDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,2,2,12,2,2,2,12,2,12,2,2,2,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[20];
  static
  {
    _factory[18] = RibExtofxisclocdescTbl.getORADataFactory();
    _factory[19] = RibLocofxisclocdescTbl.getORADataFactory();
  }
  protected static final RibXisclocdescRec _RibXisclocdescRecFactory = new RibXisclocdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXisclocdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XISCLocDesc_REC", _RibXisclocdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[20], _sqlType, _factory); }
  public RibXisclocdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXisclocdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXisclocdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXisclocdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, java.math.BigDecimal hierId, java.math.BigDecimal unitCost, String nicStaticInd, java.math.BigDecimal negotiatedItemCost, java.math.BigDecimal extendedBaseCost, java.math.BigDecimal inclusiveCost, String primaryLocInd, java.math.BigDecimal pickupLeadTime, String roundLvl, java.math.BigDecimal roundToCasePct, java.math.BigDecimal roundToLayerPct, java.math.BigDecimal roundToPalletPct, RibExtofxisclocdescTbl extofxisclocdescTbl, RibLocofxisclocdescTbl locofxisclocdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setHierId(hierId);
    setUnitCost(unitCost);
    setNicStaticInd(nicStaticInd);
    setNegotiatedItemCost(negotiatedItemCost);
    setExtendedBaseCost(extendedBaseCost);
    setInclusiveCost(inclusiveCost);
    setPrimaryLocInd(primaryLocInd);
    setPickupLeadTime(pickupLeadTime);
    setRoundLvl(roundLvl);
    setRoundToCasePct(roundToCasePct);
    setRoundToLayerPct(roundToLayerPct);
    setRoundToPalletPct(roundToPalletPct);
    setExtofxisclocdescTbl(extofxisclocdescTbl);
    setLocofxisclocdescTbl(locofxisclocdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXisclocdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXisclocdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXisclocdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXisclocdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXisclocdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public java.math.BigDecimal getHierId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(6); }

  public void setHierId(java.math.BigDecimal hierId) throws SQLException
  { _struct.setAttribute(6, hierId); }


  public java.math.BigDecimal getUnitCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setUnitCost(java.math.BigDecimal unitCost) throws SQLException
  { _struct.setAttribute(7, unitCost); }


  public String getNicStaticInd() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setNicStaticInd(String nicStaticInd) throws SQLException
  { _struct.setAttribute(8, nicStaticInd); }


  public java.math.BigDecimal getNegotiatedItemCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(9); }

  public void setNegotiatedItemCost(java.math.BigDecimal negotiatedItemCost) throws SQLException
  { _struct.setAttribute(9, negotiatedItemCost); }


  public java.math.BigDecimal getExtendedBaseCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(10); }

  public void setExtendedBaseCost(java.math.BigDecimal extendedBaseCost) throws SQLException
  { _struct.setAttribute(10, extendedBaseCost); }


  public java.math.BigDecimal getInclusiveCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(11); }

  public void setInclusiveCost(java.math.BigDecimal inclusiveCost) throws SQLException
  { _struct.setAttribute(11, inclusiveCost); }


  public String getPrimaryLocInd() throws SQLException
  { return (String) _struct.getAttribute(12); }

  public void setPrimaryLocInd(String primaryLocInd) throws SQLException
  { _struct.setAttribute(12, primaryLocInd); }


  public java.math.BigDecimal getPickupLeadTime() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(13); }

  public void setPickupLeadTime(java.math.BigDecimal pickupLeadTime) throws SQLException
  { _struct.setAttribute(13, pickupLeadTime); }


  public String getRoundLvl() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setRoundLvl(String roundLvl) throws SQLException
  { _struct.setAttribute(14, roundLvl); }


  public java.math.BigDecimal getRoundToCasePct() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(15); }

  public void setRoundToCasePct(java.math.BigDecimal roundToCasePct) throws SQLException
  { _struct.setAttribute(15, roundToCasePct); }


  public java.math.BigDecimal getRoundToLayerPct() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(16); }

  public void setRoundToLayerPct(java.math.BigDecimal roundToLayerPct) throws SQLException
  { _struct.setAttribute(16, roundToLayerPct); }


  public java.math.BigDecimal getRoundToPalletPct() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(17); }

  public void setRoundToPalletPct(java.math.BigDecimal roundToPalletPct) throws SQLException
  { _struct.setAttribute(17, roundToPalletPct); }


  public RibExtofxisclocdescTbl getExtofxisclocdescTbl() throws SQLException
  { return (RibExtofxisclocdescTbl) _struct.getAttribute(18); }

  public void setExtofxisclocdescTbl(RibExtofxisclocdescTbl extofxisclocdescTbl) throws SQLException
  { _struct.setAttribute(18, extofxisclocdescTbl); }


  public RibLocofxisclocdescTbl getLocofxisclocdescTbl() throws SQLException
  { return (RibLocofxisclocdescTbl) _struct.getAttribute(19); }

  public void setLocofxisclocdescTbl(RibLocofxisclocdescTbl locofxisclocdescTbl) throws SQLException
  { _struct.setAttribute(19, locofxisclocdescTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:235^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:240^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:248^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:253^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXisclocdescRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXisclocdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:268^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XISCLocDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:273^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXisclocdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:281^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XISCLocDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:286^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:306^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:314^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:321^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:329^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:351^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:360^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:367^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:376^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:399^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:409^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:416^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:426^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    java.math.BigDecimal ROUND_TO_CASE_PCT,
    java.math.BigDecimal ROUND_TO_LAYER_PCT,
    java.math.BigDecimal ROUND_TO_PALLET_PCT,
    RibExtofxisclocdescTbl EXTOFXISCLOCDESC_TBL,
    RibLocofxisclocdescTbl LOCOFXISCLOCDESC_TBL,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:458^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT,
//        :EXTOFXISCLOCDESC_TBL,
//        :LOCOFXISCLOCDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
   if (EXTOFXISCLOCDESC_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_ExtOfXISCLocDesc_TBL"); else __sJT_st.setORAData(15,EXTOFXISCLOCDESC_TBL);
   if (LOCOFXISCLOCDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_LocOfXISCLocDesc_TBL"); else __sJT_st.setORAData(16,LOCOFXISCLOCDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:477^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:484^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT,
//        :EXTOFXISCLOCDESC_TBL,
//        :LOCOFXISCLOCDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
   if (EXTOFXISCLOCDESC_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_ExtOfXISCLocDesc_TBL"); else __sJT_st.setORAData(15,EXTOFXISCLOCDESC_TBL);
   if (LOCOFXISCLOCDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_LocOfXISCLocDesc_TBL"); else __sJT_st.setORAData(16,LOCOFXISCLOCDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:503^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:528^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:540^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:547^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:559^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:585^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:598^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:605^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:618^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:645^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:659^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:666^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:680^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    java.math.BigDecimal ROUND_TO_CASE_PCT,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:708^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:723^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:730^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:745^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    java.math.BigDecimal ROUND_TO_CASE_PCT,
    java.math.BigDecimal ROUND_TO_LAYER_PCT,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:774^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:790^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:797^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:813^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    java.math.BigDecimal ROUND_TO_CASE_PCT,
    java.math.BigDecimal ROUND_TO_LAYER_PCT,
    java.math.BigDecimal ROUND_TO_PALLET_PCT,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:843^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"22oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:860^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:867^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"23oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:884^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    String PRIMARY_LOC_IND,
    java.math.BigDecimal PICKUP_LEAD_TIME,
    String ROUND_LVL,
    java.math.BigDecimal ROUND_TO_CASE_PCT,
    java.math.BigDecimal ROUND_TO_LAYER_PCT,
    java.math.BigDecimal ROUND_TO_PALLET_PCT,
    RibExtofxisclocdescTbl EXTOFXISCLOCDESC_TBL,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:915^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT,
//        :EXTOFXISCLOCDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"24oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
   if (EXTOFXISCLOCDESC_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_ExtOfXISCLocDesc_TBL"); else __sJT_st.setORAData(15,EXTOFXISCLOCDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:933^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:940^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :PRIMARY_LOC_IND,
//        :PICKUP_LEAD_TIME,
//        :ROUND_LVL,
//        :ROUND_TO_CASE_PCT,
//        :ROUND_TO_LAYER_PCT,
//        :ROUND_TO_PALLET_PCT,
//        :EXTOFXISCLOCDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"25oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
   __sJT_st.setString(9,PRIMARY_LOC_IND);
   __sJT_st.setBigDecimal(10,PICKUP_LEAD_TIME);
   __sJT_st.setString(11,ROUND_LVL);
   __sJT_st.setBigDecimal(12,ROUND_TO_CASE_PCT);
   __sJT_st.setBigDecimal(13,ROUND_TO_LAYER_PCT);
   __sJT_st.setBigDecimal(14,ROUND_TO_PALLET_PCT);
   if (EXTOFXISCLOCDESC_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_ExtOfXISCLocDesc_TBL"); else __sJT_st.setORAData(15,EXTOFXISCLOCDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:958^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:978^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"26oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:985^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:992^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"27oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:999^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1018^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"28oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1024^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1031^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"29oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1037^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXisclocdescRec ribXisclocdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    java.math.BigDecimal UNIT_COST,
    String NIC_STATIC_IND,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    RibXisclocdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXisclocdescRec __jPt_temp = (RibXisclocdescRec) this;
    RibXisclocdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1061^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"30oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1072^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1079^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XISCLocDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :UNIT_COST,
//        :NIC_STATIC_IND,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XISCLocDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"31oracle.retail.microapps.item.ribtypes.RibXisclocdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XISCLocDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setBigDecimal(4,UNIT_COST);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(7,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(8,INCLUSIVE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXisclocdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXisclocdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1090^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/