/*@lineinfo:filename=RibXitemcostdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXitemcostdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XItemCostDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,12,12,2,2,2,2,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[15];
  static
  {
    _factory[13] = RibExtofxitemcostdescTbl.getORADataFactory();
    _factory[14] = RibLocofxitemcostdescTbl.getORADataFactory();
  }
  protected static final RibXitemcostdescRec _RibXitemcostdescRecFactory = new RibXitemcostdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXitemcostdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XItemCostDesc_REC", _RibXitemcostdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[15], _sqlType, _factory); }
  public RibXitemcostdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXitemcostdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXitemcostdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXitemcostdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String deliveryCountryId, String primaryDlvyCtryInd, String nicStaticInd, java.math.BigDecimal baseCost, java.math.BigDecimal negotiatedItemCost, java.math.BigDecimal extendedBaseCost, java.math.BigDecimal inclusiveCost, RibExtofxitemcostdescTbl extofxitemcostdescTbl, RibLocofxitemcostdescTbl locofxitemcostdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setDeliveryCountryId(deliveryCountryId);
    setPrimaryDlvyCtryInd(primaryDlvyCtryInd);
    setNicStaticInd(nicStaticInd);
    setBaseCost(baseCost);
    setNegotiatedItemCost(negotiatedItemCost);
    setExtendedBaseCost(extendedBaseCost);
    setInclusiveCost(inclusiveCost);
    setExtofxitemcostdescTbl(extofxitemcostdescTbl);
    setLocofxitemcostdescTbl(locofxitemcostdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXitemcostdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXitemcostdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXitemcostdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXitemcostdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXitemcostdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getDeliveryCountryId() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setDeliveryCountryId(String deliveryCountryId) throws SQLException
  { _struct.setAttribute(6, deliveryCountryId); }


  public String getPrimaryDlvyCtryInd() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setPrimaryDlvyCtryInd(String primaryDlvyCtryInd) throws SQLException
  { _struct.setAttribute(7, primaryDlvyCtryInd); }


  public String getNicStaticInd() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setNicStaticInd(String nicStaticInd) throws SQLException
  { _struct.setAttribute(8, nicStaticInd); }


  public java.math.BigDecimal getBaseCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(9); }

  public void setBaseCost(java.math.BigDecimal baseCost) throws SQLException
  { _struct.setAttribute(9, baseCost); }


  public java.math.BigDecimal getNegotiatedItemCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(10); }

  public void setNegotiatedItemCost(java.math.BigDecimal negotiatedItemCost) throws SQLException
  { _struct.setAttribute(10, negotiatedItemCost); }


  public java.math.BigDecimal getExtendedBaseCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(11); }

  public void setExtendedBaseCost(java.math.BigDecimal extendedBaseCost) throws SQLException
  { _struct.setAttribute(11, extendedBaseCost); }


  public java.math.BigDecimal getInclusiveCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(12); }

  public void setInclusiveCost(java.math.BigDecimal inclusiveCost) throws SQLException
  { _struct.setAttribute(12, inclusiveCost); }


  public RibExtofxitemcostdescTbl getExtofxitemcostdescTbl() throws SQLException
  { return (RibExtofxitemcostdescTbl) _struct.getAttribute(13); }

  public void setExtofxitemcostdescTbl(RibExtofxitemcostdescTbl extofxitemcostdescTbl) throws SQLException
  { _struct.setAttribute(13, extofxitemcostdescTbl); }


  public RibLocofxitemcostdescTbl getLocofxitemcostdescTbl() throws SQLException
  { return (RibLocofxitemcostdescTbl) _struct.getAttribute(14); }

  public void setLocofxitemcostdescTbl(RibLocofxitemcostdescTbl locofxitemcostdescTbl) throws SQLException
  { _struct.setAttribute(14, locofxitemcostdescTbl); }


  public RibXitemcostdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXitemcostdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:195^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemCostDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:200^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXitemcostdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:208^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemCostDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:213^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:228^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:233^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:241^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:246^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXitemcostdescRec ribXitemcostdescRec (
    java.math.BigDecimal RIB_OID,
    String DELIVERY_COUNTRY_ID,
    String PRIMARY_DLVY_CTRY_IND,
    String NIC_STATIC_IND,
    java.math.BigDecimal BASE_COST,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    RibExtofxitemcostdescTbl EXTOFXITEMCOSTDESC_TBL,
    RibXitemcostdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemcostdescRec __jPt_temp = (RibXitemcostdescRec) this;
    RibXitemcostdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:271^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :EXTOFXITEMCOSTDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
   if (EXTOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(10,2003,"RMS01.RIB_ExtOfXItemCostDesc_TBL"); else __sJT_st.setORAData(10,EXTOFXITEMCOSTDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:284^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:291^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :EXTOFXITEMCOSTDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
   if (EXTOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(10,2003,"RMS01.RIB_ExtOfXItemCostDesc_TBL"); else __sJT_st.setORAData(10,EXTOFXITEMCOSTDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:304^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemcostdescRec ribXitemcostdescRec (
    java.math.BigDecimal RIB_OID,
    String DELIVERY_COUNTRY_ID,
    String PRIMARY_DLVY_CTRY_IND,
    String NIC_STATIC_IND,
    java.math.BigDecimal BASE_COST,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    RibExtofxitemcostdescTbl EXTOFXITEMCOSTDESC_TBL,
    RibLocofxitemcostdescTbl LOCOFXITEMCOSTDESC_TBL,
    RibXitemcostdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemcostdescRec __jPt_temp = (RibXitemcostdescRec) this;
    RibXitemcostdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:331^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :EXTOFXITEMCOSTDESC_TBL,
//        :LOCOFXITEMCOSTDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
   if (EXTOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(10,2003,"RMS01.RIB_ExtOfXItemCostDesc_TBL"); else __sJT_st.setORAData(10,EXTOFXITEMCOSTDESC_TBL);
   if (LOCOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_LocOfXItemCostDesc_TBL"); else __sJT_st.setORAData(11,LOCOFXITEMCOSTDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:345^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:352^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST,
//        :EXTOFXITEMCOSTDESC_TBL,
//        :LOCOFXITEMCOSTDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
   if (EXTOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(10,2003,"RMS01.RIB_ExtOfXItemCostDesc_TBL"); else __sJT_st.setORAData(10,EXTOFXITEMCOSTDESC_TBL);
   if (LOCOFXITEMCOSTDESC_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_LocOfXItemCostDesc_TBL"); else __sJT_st.setORAData(11,LOCOFXITEMCOSTDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:366^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemcostdescRec ribXitemcostdescRec (
    java.math.BigDecimal RIB_OID,
    String DELIVERY_COUNTRY_ID,
    String PRIMARY_DLVY_CTRY_IND,
    String NIC_STATIC_IND,
    java.math.BigDecimal BASE_COST,
    java.math.BigDecimal NEGOTIATED_ITEM_COST,
    java.math.BigDecimal EXTENDED_BASE_COST,
    java.math.BigDecimal INCLUSIVE_COST,
    RibXitemcostdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemcostdescRec __jPt_temp = (RibXitemcostdescRec) this;
    RibXitemcostdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:391^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:403^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:410^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemCostDesc_REC(
//        :RIB_OID,
//        :DELIVERY_COUNTRY_ID,
//        :PRIMARY_DLVY_CTRY_IND,
//        :NIC_STATIC_IND,
//        :BASE_COST,
//        :NEGOTIATED_ITEM_COST,
//        :EXTENDED_BASE_COST,
//        :INCLUSIVE_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemCostDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemCostDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,DELIVERY_COUNTRY_ID);
   __sJT_st.setString(4,PRIMARY_DLVY_CTRY_IND);
   __sJT_st.setString(5,NIC_STATIC_IND);
   __sJT_st.setBigDecimal(6,BASE_COST);
   __sJT_st.setBigDecimal(7,NEGOTIATED_ITEM_COST);
   __sJT_st.setBigDecimal(8,EXTENDED_BASE_COST);
   __sJT_st.setBigDecimal(9,INCLUSIVE_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemcostdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:422^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/