/*@lineinfo:filename=RibXitemsupdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXitemsupdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XItemSupDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,12,12,12,2003,2,91,12,12,12,12,2003,12,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[21];
  static
  {
    _factory[10] = RibXitemsupctydescTbl.getORADataFactory();
    _factory[17] = RibXitmsupctymfrdescTbl.getORADataFactory();
    _factory[19] = RibExtofxitemsupdescTbl.getORADataFactory();
    _factory[20] = RibLocofxitemsupdescTbl.getORADataFactory();
  }
  protected static final RibXitemsupdescRec _RibXitemsupdescRecFactory = new RibXitemsupdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXitemsupdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XItemSupDesc_REC", _RibXitemsupdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[21], _sqlType, _factory); }
  public RibXitemsupdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXitemsupdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXitemsupdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXitemsupdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String supplier, String primarySuppInd, String vpn, String suppLabel, RibXitemsupctydescTbl xitemsupctydescTbl, java.math.BigDecimal consignmentRate, java.sql.Timestamp suppDiscontinueDate, String directShipInd, String palletName, String caseName, String innerName, RibXitmsupctymfrdescTbl xitmsupctymfrdescTbl, String primaryCaseSize, RibExtofxitemsupdescTbl extofxitemsupdescTbl, RibLocofxitemsupdescTbl locofxitemsupdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setSupplier(supplier);
    setPrimarySuppInd(primarySuppInd);
    setVpn(vpn);
    setSuppLabel(suppLabel);
    setXitemsupctydescTbl(xitemsupctydescTbl);
    setConsignmentRate(consignmentRate);
    setSuppDiscontinueDate(suppDiscontinueDate);
    setDirectShipInd(directShipInd);
    setPalletName(palletName);
    setCaseName(caseName);
    setInnerName(innerName);
    setXitmsupctymfrdescTbl(xitmsupctymfrdescTbl);
    setPrimaryCaseSize(primaryCaseSize);
    setExtofxitemsupdescTbl(extofxitemsupdescTbl);
    setLocofxitemsupdescTbl(locofxitemsupdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXitemsupdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXitemsupdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXitemsupdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXitemsupdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXitemsupdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getSupplier() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setSupplier(String supplier) throws SQLException
  { _struct.setAttribute(6, supplier); }


  public String getPrimarySuppInd() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setPrimarySuppInd(String primarySuppInd) throws SQLException
  { _struct.setAttribute(7, primarySuppInd); }


  public String getVpn() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setVpn(String vpn) throws SQLException
  { _struct.setAttribute(8, vpn); }


  public String getSuppLabel() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setSuppLabel(String suppLabel) throws SQLException
  { _struct.setAttribute(9, suppLabel); }


  public RibXitemsupctydescTbl getXitemsupctydescTbl() throws SQLException
  { return (RibXitemsupctydescTbl) _struct.getAttribute(10); }

  public void setXitemsupctydescTbl(RibXitemsupctydescTbl xitemsupctydescTbl) throws SQLException
  { _struct.setAttribute(10, xitemsupctydescTbl); }


  public java.math.BigDecimal getConsignmentRate() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(11); }

  public void setConsignmentRate(java.math.BigDecimal consignmentRate) throws SQLException
  { _struct.setAttribute(11, consignmentRate); }


  public java.sql.Timestamp getSuppDiscontinueDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(12); }

  public void setSuppDiscontinueDate(java.sql.Timestamp suppDiscontinueDate) throws SQLException
  { _struct.setAttribute(12, suppDiscontinueDate); }


  public String getDirectShipInd() throws SQLException
  { return (String) _struct.getAttribute(13); }

  public void setDirectShipInd(String directShipInd) throws SQLException
  { _struct.setAttribute(13, directShipInd); }


  public String getPalletName() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setPalletName(String palletName) throws SQLException
  { _struct.setAttribute(14, palletName); }


  public String getCaseName() throws SQLException
  { return (String) _struct.getAttribute(15); }

  public void setCaseName(String caseName) throws SQLException
  { _struct.setAttribute(15, caseName); }


  public String getInnerName() throws SQLException
  { return (String) _struct.getAttribute(16); }

  public void setInnerName(String innerName) throws SQLException
  { _struct.setAttribute(16, innerName); }


  public RibXitmsupctymfrdescTbl getXitmsupctymfrdescTbl() throws SQLException
  { return (RibXitmsupctymfrdescTbl) _struct.getAttribute(17); }

  public void setXitmsupctymfrdescTbl(RibXitmsupctymfrdescTbl xitmsupctymfrdescTbl) throws SQLException
  { _struct.setAttribute(17, xitmsupctymfrdescTbl); }


  public String getPrimaryCaseSize() throws SQLException
  { return (String) _struct.getAttribute(18); }

  public void setPrimaryCaseSize(String primaryCaseSize) throws SQLException
  { _struct.setAttribute(18, primaryCaseSize); }


  public RibExtofxitemsupdescTbl getExtofxitemsupdescTbl() throws SQLException
  { return (RibExtofxitemsupdescTbl) _struct.getAttribute(19); }

  public void setExtofxitemsupdescTbl(RibExtofxitemsupdescTbl extofxitemsupdescTbl) throws SQLException
  { _struct.setAttribute(19, extofxitemsupdescTbl); }


  public RibLocofxitemsupdescTbl getLocofxitemsupdescTbl() throws SQLException
  { return (RibLocofxitemsupdescTbl) _struct.getAttribute(20); }

  public void setLocofxitemsupdescTbl(RibLocofxitemsupdescTbl locofxitemsupdescTbl) throws SQLException
  { _struct.setAttribute(20, locofxitemsupdescTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:245^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:250^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:258^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:263^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXitemsupdescRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXitemsupdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:278^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemSupDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:283^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXitemsupdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:291^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemSupDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:296^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:317^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:326^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:333^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:342^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:365^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:375^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:382^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:392^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:416^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:427^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:434^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:445^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    String INNER_NAME,
    RibXitmsupctymfrdescTbl XITMSUPCTYMFRDESC_TBL,
    String PRIMARY_CASE_SIZE,
    RibExtofxitemsupdescTbl EXTOFXITEMSUPDESC_TBL,
    RibLocofxitemsupdescTbl LOCOFXITEMSUPDESC_TBL,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:478^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE,
//        :EXTOFXITEMSUPDESC_TBL,
//        :LOCOFXITEMSUPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
   if (EXTOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfXItemSupDesc_TBL"); else __sJT_st.setORAData(16,EXTOFXITEMSUPDESC_TBL);
   if (LOCOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(17,2003,"RMS01.RIB_LocOfXItemSupDesc_TBL"); else __sJT_st.setORAData(17,LOCOFXITEMSUPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:498^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:505^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE,
//        :EXTOFXITEMSUPDESC_TBL,
//        :LOCOFXITEMSUPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
   if (EXTOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfXItemSupDesc_TBL"); else __sJT_st.setORAData(16,EXTOFXITEMSUPDESC_TBL);
   if (LOCOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(17,2003,"RMS01.RIB_LocOfXItemSupDesc_TBL"); else __sJT_st.setORAData(17,LOCOFXITEMSUPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:525^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:551^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:564^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:571^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:584^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:611^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:625^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:632^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:646^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:674^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:689^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:696^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:711^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    String INNER_NAME,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:740^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:756^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:763^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:779^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    String INNER_NAME,
    RibXitmsupctymfrdescTbl XITMSUPCTYMFRDESC_TBL,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:809^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:826^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:833^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:850^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    String INNER_NAME,
    RibXitmsupctymfrdescTbl XITMSUPCTYMFRDESC_TBL,
    String PRIMARY_CASE_SIZE,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:881^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"22oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:899^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:906^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"23oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:924^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    String DIRECT_SHIP_IND,
    String PALLET_NAME,
    String CASE_NAME,
    String INNER_NAME,
    RibXitmsupctymfrdescTbl XITMSUPCTYMFRDESC_TBL,
    String PRIMARY_CASE_SIZE,
    RibExtofxitemsupdescTbl EXTOFXITEMSUPDESC_TBL,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:956^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE,
//        :EXTOFXITEMSUPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"24oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
   if (EXTOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfXItemSupDesc_TBL"); else __sJT_st.setORAData(16,EXTOFXITEMSUPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:975^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:982^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE,
//        :DIRECT_SHIP_IND,
//        :PALLET_NAME,
//        :CASE_NAME,
//        :INNER_NAME,
//        :XITMSUPCTYMFRDESC_TBL,
//        :PRIMARY_CASE_SIZE,
//        :EXTOFXITEMSUPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"25oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
   __sJT_st.setString(10,DIRECT_SHIP_IND);
   __sJT_st.setString(11,PALLET_NAME);
   __sJT_st.setString(12,CASE_NAME);
   __sJT_st.setString(13,INNER_NAME);
   if (XITMSUPCTYMFRDESC_TBL==null) __sJT_st.setNull(14,2003,"RMS01.RIB_XItmSupCtyMfrDesc_TBL"); else __sJT_st.setORAData(14,XITMSUPCTYMFRDESC_TBL);
   __sJT_st.setString(15,PRIMARY_CASE_SIZE);
   if (EXTOFXITEMSUPDESC_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfXItemSupDesc_TBL"); else __sJT_st.setORAData(16,EXTOFXITEMSUPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1001^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1022^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"26oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1030^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1037^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"27oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1045^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1065^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"28oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1072^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1079^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"29oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1086^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemsupdescRec ribXitemsupdescRec (
    java.math.BigDecimal RIB_OID,
    String SUPPLIER,
    String PRIMARY_SUPP_IND,
    String VPN,
    String SUPP_LABEL,
    RibXitemsupctydescTbl XITEMSUPCTYDESC_TBL,
    java.math.BigDecimal CONSIGNMENT_RATE,
    java.sql.Timestamp SUPP_DISCONTINUE_DATE,
    RibXitemsupdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemsupdescRec __jPt_temp = (RibXitemsupdescRec) this;
    RibXitemsupdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1111^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"30oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1123^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1130^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemSupDesc_REC(
//        :RIB_OID,
//        :SUPPLIER,
//        :PRIMARY_SUPP_IND,
//        :VPN,
//        :SUPP_LABEL,
//        :XITEMSUPCTYDESC_TBL,
//        :CONSIGNMENT_RATE,
//        :SUPP_DISCONTINUE_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemSupDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"31oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemSupDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPPLIER);
   __sJT_st.setString(4,PRIMARY_SUPP_IND);
   __sJT_st.setString(5,VPN);
   __sJT_st.setString(6,SUPP_LABEL);
   if (XITEMSUPCTYDESC_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_XItemSupCtyDesc_TBL"); else __sJT_st.setORAData(7,XITEMSUPCTYDESC_TBL);
   __sJT_st.setBigDecimal(8,CONSIGNMENT_RATE);
   __sJT_st.setTimestamp(9,SUPP_DISCONTINUE_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemsupdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1142^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/