/*@lineinfo:filename=RibXitemudadtlRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXitemudadtlRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XItemUDADtl_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,2,12,91,12,12,91,91,12,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[16];
  static
  {
    _factory[14] = RibExtofxitemudadtlTbl.getORADataFactory();
    _factory[15] = RibLocofxitemudadtlTbl.getORADataFactory();
  }
  protected static final RibXitemudadtlRec _RibXitemudadtlRecFactory = new RibXitemudadtlRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXitemudadtlRecFactory; }
  static
  { _map.put("RMS01.RIB_XItemUDADtl_REC", _RibXitemudadtlRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[16], _sqlType, _factory); }
  public RibXitemudadtlRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXitemudadtlRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXitemudadtlRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXitemudadtlRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, java.math.BigDecimal udaId, String displayType, java.sql.Timestamp udaDate, String udaValue, String udaText, java.sql.Timestamp createDatetime, java.sql.Timestamp lastUpdateDatetime, String lastUpdateId, RibExtofxitemudadtlTbl extofxitemudadtlTbl, RibLocofxitemudadtlTbl locofxitemudadtlTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setUdaId(udaId);
    setDisplayType(displayType);
    setUdaDate(udaDate);
    setUdaValue(udaValue);
    setUdaText(udaText);
    setCreateDatetime(createDatetime);
    setLastUpdateDatetime(lastUpdateDatetime);
    setLastUpdateId(lastUpdateId);
    setExtofxitemudadtlTbl(extofxitemudadtlTbl);
    setLocofxitemudadtlTbl(locofxitemudadtlTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXitemudadtlRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXitemudadtlRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXitemudadtlRec o) { _struct = o._struct; }
  protected ORAData create(RibXitemudadtlRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXitemudadtlRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public java.math.BigDecimal getUdaId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(6); }

  public void setUdaId(java.math.BigDecimal udaId) throws SQLException
  { _struct.setAttribute(6, udaId); }


  public String getDisplayType() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setDisplayType(String displayType) throws SQLException
  { _struct.setAttribute(7, displayType); }


  public java.sql.Timestamp getUdaDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(8); }

  public void setUdaDate(java.sql.Timestamp udaDate) throws SQLException
  { _struct.setAttribute(8, udaDate); }


  public String getUdaValue() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setUdaValue(String udaValue) throws SQLException
  { _struct.setAttribute(9, udaValue); }


  public String getUdaText() throws SQLException
  { return (String) _struct.getAttribute(10); }

  public void setUdaText(String udaText) throws SQLException
  { _struct.setAttribute(10, udaText); }


  public java.sql.Timestamp getCreateDatetime() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(11); }

  public void setCreateDatetime(java.sql.Timestamp createDatetime) throws SQLException
  { _struct.setAttribute(11, createDatetime); }


  public java.sql.Timestamp getLastUpdateDatetime() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(12); }

  public void setLastUpdateDatetime(java.sql.Timestamp lastUpdateDatetime) throws SQLException
  { _struct.setAttribute(12, lastUpdateDatetime); }


  public String getLastUpdateId() throws SQLException
  { return (String) _struct.getAttribute(13); }

  public void setLastUpdateId(String lastUpdateId) throws SQLException
  { _struct.setAttribute(13, lastUpdateId); }


  public RibExtofxitemudadtlTbl getExtofxitemudadtlTbl() throws SQLException
  { return (RibExtofxitemudadtlTbl) _struct.getAttribute(14); }

  public void setExtofxitemudadtlTbl(RibExtofxitemudadtlTbl extofxitemudadtlTbl) throws SQLException
  { _struct.setAttribute(14, extofxitemudadtlTbl); }


  public RibLocofxitemudadtlTbl getLocofxitemudadtlTbl() throws SQLException
  { return (RibLocofxitemudadtlTbl) _struct.getAttribute(15); }

  public void setLocofxitemudadtlTbl(RibLocofxitemudadtlTbl locofxitemudadtlTbl) throws SQLException
  { _struct.setAttribute(15, locofxitemudadtlTbl); }


  public RibXitemudadtlRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXitemudadtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:203^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemUDADtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:208^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXitemudadtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:216^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XItemUDADtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:221^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:236^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:241^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:249^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:254^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:275^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:284^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:291^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:300^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    java.sql.Timestamp CREATE_DATETIME,
    java.sql.Timestamp LAST_UPDATE_DATETIME,
    String LAST_UPDATE_ID,
    RibExtofxitemudadtlTbl EXTOFXITEMUDADTL_TBL,
    RibLocofxitemudadtlTbl LOCOFXITEMUDADTL_TBL,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:328^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID,
//        :EXTOFXITEMUDADTL_TBL,
//        :LOCOFXITEMUDADTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
   if (EXTOFXITEMUDADTL_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_ExtOfXItemUDADtl_TBL"); else __sJT_st.setORAData(11,EXTOFXITEMUDADTL_TBL);
   if (LOCOFXITEMUDADTL_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_LocOfXItemUDADtl_TBL"); else __sJT_st.setORAData(12,LOCOFXITEMUDADTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:343^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:350^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID,
//        :EXTOFXITEMUDADTL_TBL,
//        :LOCOFXITEMUDADTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
   if (EXTOFXITEMUDADTL_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_ExtOfXItemUDADtl_TBL"); else __sJT_st.setORAData(11,EXTOFXITEMUDADTL_TBL);
   if (LOCOFXITEMUDADTL_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_LocOfXItemUDADtl_TBL"); else __sJT_st.setORAData(12,LOCOFXITEMUDADTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:365^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    java.sql.Timestamp CREATE_DATETIME,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:389^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:400^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:407^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:418^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    java.sql.Timestamp CREATE_DATETIME,
    java.sql.Timestamp LAST_UPDATE_DATETIME,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:443^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:455^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:462^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:474^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    java.sql.Timestamp CREATE_DATETIME,
    java.sql.Timestamp LAST_UPDATE_DATETIME,
    String LAST_UPDATE_ID,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:500^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:513^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:520^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:533^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    java.sql.Timestamp CREATE_DATETIME,
    java.sql.Timestamp LAST_UPDATE_DATETIME,
    String LAST_UPDATE_ID,
    RibExtofxitemudadtlTbl EXTOFXITEMUDADTL_TBL,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:560^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID,
//        :EXTOFXITEMUDADTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
   if (EXTOFXITEMUDADTL_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_ExtOfXItemUDADtl_TBL"); else __sJT_st.setORAData(11,EXTOFXITEMUDADTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:574^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:581^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT,
//        :CREATE_DATETIME,
//        :LAST_UPDATE_DATETIME,
//        :LAST_UPDATE_ID,
//        :EXTOFXITEMUDADTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
   __sJT_st.setTimestamp(8,CREATE_DATETIME);
   __sJT_st.setTimestamp(9,LAST_UPDATE_DATETIME);
   __sJT_st.setString(10,LAST_UPDATE_ID);
   if (EXTOFXITEMUDADTL_TBL==null) __sJT_st.setNull(11,2003,"RMS01.RIB_ExtOfXItemUDADtl_TBL"); else __sJT_st.setORAData(11,EXTOFXITEMUDADTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:595^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:616^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:624^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:631^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:639^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:659^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:666^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:673^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:680^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXitemudadtlRec ribXitemudadtlRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal UDA_ID,
    String DISPLAY_TYPE,
    java.sql.Timestamp UDA_DATE,
    String UDA_VALUE,
    String UDA_TEXT,
    RibXitemudadtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXitemudadtlRec __jPt_temp = (RibXitemudadtlRec) this;
    RibXitemudadtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:703^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:713^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:720^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XItemUDADtl_REC(
//        :RIB_OID,
//        :UDA_ID,
//        :DISPLAY_TYPE,
//        :UDA_DATE,
//        :UDA_VALUE,
//        :UDA_TEXT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XItemUDADtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XItemUDADtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,UDA_ID);
   __sJT_st.setString(4,DISPLAY_TYPE);
   __sJT_st.setTimestamp(5,UDA_DATE);
   __sJT_st.setString(6,UDA_VALUE);
   __sJT_st.setString(7,UDA_TEXT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXitemudadtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:730^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/