/*@lineinfo:filename=RibXizpdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXizpdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XIZPDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,2,12,2,12,12,12,12,2,2,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[17];
  static
  {
    _factory[15] = RibExtofxizpdescTbl.getORADataFactory();
    _factory[16] = RibLocofxizpdescTbl.getORADataFactory();
  }
  protected static final RibXizpdescRec _RibXizpdescRecFactory = new RibXizpdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXizpdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XIZPDesc_REC", _RibXizpdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[17], _sqlType, _factory); }
  public RibXizpdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXizpdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXizpdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXizpdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXitemdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, java.math.BigDecimal hierId, String baseRetailInd, java.math.BigDecimal sellingUnitRetail, String sellingUom, String multiSellingUom, String countryId, String currencyCode, java.math.BigDecimal multiUnits, java.math.BigDecimal multiUnitRetail, RibExtofxizpdescTbl extofxizpdescTbl, RibLocofxizpdescTbl locofxizpdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXitemdesc(nsNameXitemdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setHierId(hierId);
    setBaseRetailInd(baseRetailInd);
    setSellingUnitRetail(sellingUnitRetail);
    setSellingUom(sellingUom);
    setMultiSellingUom(multiSellingUom);
    setCountryId(countryId);
    setCurrencyCode(currencyCode);
    setMultiUnits(multiUnits);
    setMultiUnitRetail(multiUnitRetail);
    setExtofxizpdescTbl(extofxizpdescTbl);
    setLocofxizpdescTbl(locofxizpdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXizpdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXizpdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXizpdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXizpdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXizpdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXitemdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXitemdesc(String nsNameXitemdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXitemdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public java.math.BigDecimal getHierId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(6); }

  public void setHierId(java.math.BigDecimal hierId) throws SQLException
  { _struct.setAttribute(6, hierId); }


  public String getBaseRetailInd() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setBaseRetailInd(String baseRetailInd) throws SQLException
  { _struct.setAttribute(7, baseRetailInd); }


  public java.math.BigDecimal getSellingUnitRetail() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(8); }

  public void setSellingUnitRetail(java.math.BigDecimal sellingUnitRetail) throws SQLException
  { _struct.setAttribute(8, sellingUnitRetail); }


  public String getSellingUom() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setSellingUom(String sellingUom) throws SQLException
  { _struct.setAttribute(9, sellingUom); }


  public String getMultiSellingUom() throws SQLException
  { return (String) _struct.getAttribute(10); }

  public void setMultiSellingUom(String multiSellingUom) throws SQLException
  { _struct.setAttribute(10, multiSellingUom); }


  public String getCountryId() throws SQLException
  { return (String) _struct.getAttribute(11); }

  public void setCountryId(String countryId) throws SQLException
  { _struct.setAttribute(11, countryId); }


  public String getCurrencyCode() throws SQLException
  { return (String) _struct.getAttribute(12); }

  public void setCurrencyCode(String currencyCode) throws SQLException
  { _struct.setAttribute(12, currencyCode); }


  public java.math.BigDecimal getMultiUnits() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(13); }

  public void setMultiUnits(java.math.BigDecimal multiUnits) throws SQLException
  { _struct.setAttribute(13, multiUnits); }


  public java.math.BigDecimal getMultiUnitRetail() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(14); }

  public void setMultiUnitRetail(java.math.BigDecimal multiUnitRetail) throws SQLException
  { _struct.setAttribute(14, multiUnitRetail); }


  public RibExtofxizpdescTbl getExtofxizpdescTbl() throws SQLException
  { return (RibExtofxizpdescTbl) _struct.getAttribute(15); }

  public void setExtofxizpdescTbl(RibExtofxizpdescTbl extofxizpdescTbl) throws SQLException
  { _struct.setAttribute(15, extofxizpdescTbl); }


  public RibLocofxizpdescTbl getLocofxizpdescTbl() throws SQLException
  { return (RibLocofxizpdescTbl) _struct.getAttribute(16); }

  public void setLocofxizpdescTbl(RibLocofxizpdescTbl locofxizpdescTbl) throws SQLException
  { _struct.setAttribute(16, locofxizpdescTbl); }


  public RibXizpdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXizpdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:211^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XIZPDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:216^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXizpdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:224^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XIZPDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:229^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:244^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:249^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:257^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:262^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXizpdescRec ribXizpdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    String BASE_RETAIL_IND,
    java.math.BigDecimal SELLING_UNIT_RETAIL,
    String SELLING_UOM,
    String MULTI_SELLING_UOM,
    String COUNTRY_ID,
    String CURRENCY_CODE,
    java.math.BigDecimal MULTI_UNITS,
    java.math.BigDecimal MULTI_UNIT_RETAIL,
    RibXizpdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXizpdescRec __jPt_temp = (RibXizpdescRec) this;
    RibXizpdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:288^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:302^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:309^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:323^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXizpdescRec ribXizpdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    String BASE_RETAIL_IND,
    java.math.BigDecimal SELLING_UNIT_RETAIL,
    String SELLING_UOM,
    String MULTI_SELLING_UOM,
    String COUNTRY_ID,
    String CURRENCY_CODE,
    java.math.BigDecimal MULTI_UNITS,
    java.math.BigDecimal MULTI_UNIT_RETAIL,
    RibExtofxizpdescTbl EXTOFXIZPDESC_TBL,
    RibXizpdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXizpdescRec __jPt_temp = (RibXizpdescRec) this;
    RibXizpdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:351^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL,
//        :EXTOFXIZPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
   if (EXTOFXIZPDESC_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_ExtOfXIZPDesc_TBL"); else __sJT_st.setORAData(12,EXTOFXIZPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:366^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:373^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL,
//        :EXTOFXIZPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
   if (EXTOFXIZPDESC_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_ExtOfXIZPDesc_TBL"); else __sJT_st.setORAData(12,EXTOFXIZPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:388^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXizpdescRec ribXizpdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    String BASE_RETAIL_IND,
    java.math.BigDecimal SELLING_UNIT_RETAIL,
    String SELLING_UOM,
    String MULTI_SELLING_UOM,
    String COUNTRY_ID,
    String CURRENCY_CODE,
    java.math.BigDecimal MULTI_UNITS,
    java.math.BigDecimal MULTI_UNIT_RETAIL,
    RibExtofxizpdescTbl EXTOFXIZPDESC_TBL,
    RibLocofxizpdescTbl LOCOFXIZPDESC_TBL,
    RibXizpdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXizpdescRec __jPt_temp = (RibXizpdescRec) this;
    RibXizpdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:417^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL,
//        :EXTOFXIZPDESC_TBL,
//        :LOCOFXIZPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
   if (EXTOFXIZPDESC_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_ExtOfXIZPDesc_TBL"); else __sJT_st.setORAData(12,EXTOFXIZPDESC_TBL);
   if (LOCOFXIZPDESC_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_LocOfXIZPDesc_TBL"); else __sJT_st.setORAData(13,LOCOFXIZPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:433^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:440^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS,
//        :MULTI_UNIT_RETAIL,
//        :EXTOFXIZPDESC_TBL,
//        :LOCOFXIZPDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
   __sJT_st.setBigDecimal(11,MULTI_UNIT_RETAIL);
   if (EXTOFXIZPDESC_TBL==null) __sJT_st.setNull(12,2003,"RMS01.RIB_ExtOfXIZPDesc_TBL"); else __sJT_st.setORAData(12,EXTOFXIZPDESC_TBL);
   if (LOCOFXIZPDESC_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_LocOfXIZPDesc_TBL"); else __sJT_st.setORAData(13,LOCOFXIZPDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:456^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXizpdescRec ribXizpdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    String BASE_RETAIL_IND,
    java.math.BigDecimal SELLING_UNIT_RETAIL,
    String SELLING_UOM,
    String MULTI_SELLING_UOM,
    String COUNTRY_ID,
    String CURRENCY_CODE,
    RibXizpdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXizpdescRec __jPt_temp = (RibXizpdescRec) this;
    RibXizpdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:481^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:493^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:500^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:512^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXizpdescRec ribXizpdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal HIER_ID,
    String BASE_RETAIL_IND,
    java.math.BigDecimal SELLING_UNIT_RETAIL,
    String SELLING_UOM,
    String MULTI_SELLING_UOM,
    String COUNTRY_ID,
    String CURRENCY_CODE,
    java.math.BigDecimal MULTI_UNITS,
    RibXizpdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXizpdescRec __jPt_temp = (RibXizpdescRec) this;
    RibXizpdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:538^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:551^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:558^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XIZPDesc_REC(
//        :RIB_OID,
//        :HIER_ID,
//        :BASE_RETAIL_IND,
//        :SELLING_UNIT_RETAIL,
//        :SELLING_UOM,
//        :MULTI_SELLING_UOM,
//        :COUNTRY_ID,
//        :CURRENCY_CODE,
//        :MULTI_UNITS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XIZPDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXizpdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XIZPDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,HIER_ID);
   __sJT_st.setString(4,BASE_RETAIL_IND);
   __sJT_st.setBigDecimal(5,SELLING_UNIT_RETAIL);
   __sJT_st.setString(6,SELLING_UOM);
   __sJT_st.setString(7,MULTI_SELLING_UOM);
   __sJT_st.setString(8,COUNTRY_ID);
   __sJT_st.setString(9,CURRENCY_CODE);
   __sJT_st.setBigDecimal(10,MULTI_UNITS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXizpdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXizpdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:571^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/