package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibXtsfdescRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_XTsfDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibXtsfdescRecRef _RibXtsfdescRecRefFactory = new RibXtsfdescRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibXtsfdescRecRefFactory; }
  /* constructor */
  public RibXtsfdescRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibXtsfdescRecRef r = new RibXtsfdescRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibXtsfdescRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibXtsfdescRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibXtsfdescRecRef: "+exn.toString()); }
  }

  public RibXtsfdescRec getValue() throws SQLException
  {
     return (RibXtsfdescRec) RibXtsfdescRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibXtsfdescRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
