/*@lineinfo:filename=RibXtsfdtlRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXtsfdtlRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XTsfDtl_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,2,2,2,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[13];
  static
  {
    _factory[11] = RibExtofxtsfdtlTbl.getORADataFactory();
    _factory[12] = RibLocofxtsfdtlTbl.getORADataFactory();
  }
  protected static final RibXtsfdtlRec _RibXtsfdtlRecFactory = new RibXtsfdtlRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXtsfdtlRecFactory; }
  static
  { _map.put("RMS01.RIB_XTsfDtl_REC", _RibXtsfdtlRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[13], _sqlType, _factory); }
  public RibXtsfdtlRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXtsfdtlRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXtsfdtlRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXtsfdtlRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXtsfdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String item, java.math.BigDecimal tsfQty, java.math.BigDecimal suppPackSize, java.math.BigDecimal invStatus, java.math.BigDecimal unitCost, RibExtofxtsfdtlTbl extofxtsfdtlTbl, RibLocofxtsfdtlTbl locofxtsfdtlTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXtsfdesc(nsNameXtsfdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setItem(item);
    setTsfQty(tsfQty);
    setSuppPackSize(suppPackSize);
    setInvStatus(invStatus);
    setUnitCost(unitCost);
    setExtofxtsfdtlTbl(extofxtsfdtlTbl);
    setLocofxtsfdtlTbl(locofxtsfdtlTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXtsfdtlRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXtsfdtlRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXtsfdtlRec o) { _struct = o._struct; }
  protected ORAData create(RibXtsfdtlRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXtsfdtlRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXtsfdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXtsfdesc(String nsNameXtsfdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXtsfdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getItem() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setItem(String item) throws SQLException
  { _struct.setAttribute(6, item); }


  public java.math.BigDecimal getTsfQty() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setTsfQty(java.math.BigDecimal tsfQty) throws SQLException
  { _struct.setAttribute(7, tsfQty); }


  public java.math.BigDecimal getSuppPackSize() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(8); }

  public void setSuppPackSize(java.math.BigDecimal suppPackSize) throws SQLException
  { _struct.setAttribute(8, suppPackSize); }


  public java.math.BigDecimal getInvStatus() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(9); }

  public void setInvStatus(java.math.BigDecimal invStatus) throws SQLException
  { _struct.setAttribute(9, invStatus); }


  public java.math.BigDecimal getUnitCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(10); }

  public void setUnitCost(java.math.BigDecimal unitCost) throws SQLException
  { _struct.setAttribute(10, unitCost); }


  public RibExtofxtsfdtlTbl getExtofxtsfdtlTbl() throws SQLException
  { return (RibExtofxtsfdtlTbl) _struct.getAttribute(11); }

  public void setExtofxtsfdtlTbl(RibExtofxtsfdtlTbl extofxtsfdtlTbl) throws SQLException
  { _struct.setAttribute(11, extofxtsfdtlTbl); }


  public RibLocofxtsfdtlTbl getLocofxtsfdtlTbl() throws SQLException
  { return (RibLocofxtsfdtlTbl) _struct.getAttribute(12); }

  public void setLocofxtsfdtlTbl(RibLocofxtsfdtlTbl locofxtsfdtlTbl) throws SQLException
  { _struct.setAttribute(12, locofxtsfdtlTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:179^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:184^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:192^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:197^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXtsfdtlRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXtsfdtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:212^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XTsfDtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:217^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXtsfdtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:225^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XTsfDtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:230^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal INV_STATUS,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:251^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:260^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:267^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:276^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal INV_STATUS,
    java.math.BigDecimal UNIT_COST,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:299^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:309^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:316^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:326^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal INV_STATUS,
    java.math.BigDecimal UNIT_COST,
    RibExtofxtsfdtlTbl EXTOFXTSFDTL_TBL,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:350^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST,
//        :EXTOFXTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
   if (EXTOFXTSFDTL_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfXTsfDtl_TBL"); else __sJT_st.setORAData(8,EXTOFXTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:361^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:368^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST,
//        :EXTOFXTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
   if (EXTOFXTSFDTL_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfXTsfDtl_TBL"); else __sJT_st.setORAData(8,EXTOFXTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:379^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal INV_STATUS,
    java.math.BigDecimal UNIT_COST,
    RibExtofxtsfdtlTbl EXTOFXTSFDTL_TBL,
    RibLocofxtsfdtlTbl LOCOFXTSFDTL_TBL,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:404^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST,
//        :EXTOFXTSFDTL_TBL,
//        :LOCOFXTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
   if (EXTOFXTSFDTL_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfXTsfDtl_TBL"); else __sJT_st.setORAData(8,EXTOFXTSFDTL_TBL);
   if (LOCOFXTSFDTL_TBL==null) __sJT_st.setNull(9,2003,"RMS01.RIB_LocOfXTsfDtl_TBL"); else __sJT_st.setORAData(9,LOCOFXTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:416^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:423^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE,
//        :INV_STATUS,
//        :UNIT_COST,
//        :EXTOFXTSFDTL_TBL,
//        :LOCOFXTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(6,INV_STATUS);
   __sJT_st.setBigDecimal(7,UNIT_COST);
   if (EXTOFXTSFDTL_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfXTsfDtl_TBL"); else __sJT_st.setORAData(8,EXTOFXTSFDTL_TBL);
   if (LOCOFXTSFDTL_TBL==null) __sJT_st.setNull(9,2003,"RMS01.RIB_LocOfXTsfDtl_TBL"); else __sJT_st.setORAData(9,LOCOFXTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:435^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:455^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:462^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:469^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:476^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdtlRec ribXtsfdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal TSF_QTY,
    java.math.BigDecimal SUPP_PACK_SIZE,
    RibXtsfdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdtlRec __jPt_temp = (RibXtsfdtlRec) this;
    RibXtsfdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:497^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:505^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:512^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :TSF_QTY,
//        :SUPP_PACK_SIZE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,TSF_QTY);
   __sJT_st.setBigDecimal(5,SUPP_PACK_SIZE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:520^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/