  package oracle.retail.microapps.item.transfer.am;
  
  import oracle.jbo.server.ApplicationModuleImpl;
  import oracle.jbo.server.DBTransactionImpl;

import java.sql.Types;

import oracle.jbo.server.ViewObjectImpl;

import oracle.jdbc.OracleCallableStatement;
  
  import oracle.retail.microapps.item.transfer.am.common.TransferItem;

import oracle.retail.microapps.item.transfer.views.TransferItemsVOImpl;

import org.apache.log4j.Logger;
  
  import java.math.BigDecimal;
  
  import java.sql.CallableStatement;
  import java.sql.SQLException;
  import java.util.ArrayList;
  import java.util.HashMap;
  import java.util.List;
  import java.util.Map;
  import oracle.adf.model.binding.DCIteratorBinding;
  
  import oracle.jbo.JboException;
  import oracle.jbo.Row;
  import oracle.jbo.RowSetIterator;
  import oracle.retail.merch20.common.ADFUtils;
import oracle.retail.merch20.common.JSFUtils;
import oracle.retail.microapps.item.ribtypes.RibXtsfdescRec;
  import oracle.retail.microapps.item.ribtypes.RibXtsfdtlRec;
  import oracle.retail.microapps.item.ribtypes.RibXtsfdtlTbl;
  
  // ---------------------------------------------------------------------
  // ---    File generated by Oracle ADF Business Components Design Time.
  // ---    Tue Oct 05 15:15:10 IST 2010
  // ---    Custom code may be added to this class.
  // ---    Warning: Do not modify method signatures of generated methods.
  // ---------------------------------------------------------------------
  /**
  * ItemTransferImpl class implements the default ApplicationModule. This provides access to
  * all the View Objects used in the Application Module. This also contains the business
  * logic to perform all the necessary CRUD operations.
  *
  * @author Ashish Singh, Pratika Khatavkar
  *
  * @version 1.0
  *
  * @since 5th October 2010
  */
  public class TransferItemImpl extends ApplicationModuleImpl implements TransferItem {
    //Create a Log Instance
    Logger logger = Logger.getLogger(TransferItemImpl.class);
    private String tsfNo;
    private String destLocType;
    private String destLocation;
    private String srcLocType;
    private String srcLocation;
    
    /**
     * This is the default constructor (do not remove).
     */
    public TransferItemImpl() {
    }
  
    /**
     * Container's getter for DepartmentVO1.
     * @return DepartmentVO1
     */
    public ViewObjectImpl getDepartmentVO1() {
        return (ViewObjectImpl)findViewObject("DepartmentVO1");
    }
  
    /**
     * Container's getter for DestLocationVO1.
     * @return DestLocationVO1
     */
    public ViewObjectImpl getDestLocationVO1() {
        return (ViewObjectImpl)findViewObject("DestLocationVO1");
    }

    /**
     * Container's getter for ItemVO1.
     * @return ItemVO1
     */
    public ViewObjectImpl getItemVO1() {
        return (ViewObjectImpl)findViewObject("ItemVO1");
    }
  
    /**
     * Container's getter for SrcLocationVO1.
     * @return SrcLocationVO1
     */
    public ViewObjectImpl getSrcLocationVO1() {
        return (ViewObjectImpl)findViewObject("SrcLocationVO1");
    }
  
    /**
     * Container's getter for SystemOptionsVO1.
     * @return SystemOptionsVO1
     */
    public ViewObjectImpl getSystemOptionsVO1() {
        return (ViewObjectImpl)findViewObject("SystemOptionsVO1");
    }
    /**
     * This method is the setter for setting the transfer no.
     * @param tsfNo
     */
    public void setTsfNo(String tsfNo) {
        this.tsfNo = tsfNo;
    }
    
    /**
     * This method fetches the transfer no.
     * @return String tsfNo
     */
    public String getTsfNo() {
        return tsfNo;
    }
    
    /**
     * Container's getter for TransferItemsVO1.
     * @return TransferItemsVO1
     */
    public TransferItemsVOImpl getTransferItemsVO1() {
        return (TransferItemsVOImpl)findViewObject("TransferItemsVO1");
    }
    
    /**
     * This method is exposed to the client via data control. This is used to 
     * perform the Item Transfer operation.This method consumes 'RMSSUB_XTSF.CONSUME'
     * package. The items to be transfered are selected from the Item View Object.
     * @return String Returns the status of the transfer operation.
     */      
    public String transferItem(){
      logger.debug("Business service method 'transferItem' call in TransferItemImpl");
      String status = null;
      CallableStatement callableStmt = null;
      String callableStatement = "begin "+"RMSSUB_XTSF.CONSUME(?,?,?,?); end;";
      logger.debug("Created a Callable Statement");
      try{
          callableStmt = getDBTransaction().createCallableStatement(callableStatement,0);
          logger.debug("Started registering Output Parameters in RMSSUB_XTSF package");
          callableStmt.registerOutParameter(1, Types.VARCHAR);
          callableStmt.registerOutParameter(2, Types.VARCHAR);
          logger.debug("Completed Registration of Output Parameters in RMSSUB_XTSF package");
          logger.debug("Started setting input parameters in RMSSUB_XTSF package");
          callableStmt.setString(1, "");
          callableStmt.setString(2, "");
          callableStmt.setObject(3, getRibXtsfdescRecObject());
          callableStmt.setString(4, "xtsfcre");
          logger.debug("Completed setting the input parameters in RMSSUB_XTSF package");
          logger.debug("Started execution of the PL/SQL package RMSSUB_XTSF");
          callableStmt.executeUpdate();
          logger.debug("Completed Execution of the PL/SQL package RMSSUB_XTSF");
          logger.debug("STATUS code : " + callableStmt.getString(1));
          logger.debug("ERROR if any : " + callableStmt.getString(2));
          if (callableStmt.getString(1).equals("S")){
            status = callableStmt.getString(1);
          }else{
           status = callableStmt.getString(2);
          }
          logger.debug(status);
          logger.debug("Committing the DB transaction to transfer the item");
          getDBTransaction().commit();
          logger.debug("DB Transaction is committed");
          return status;
        } catch(SQLException e){
            logger.error("Error in callable statement execution : ", e);
            throw new JboException(e);
          } 
      finally{
            try{
             callableStmt.close();
            } catch(SQLException e){
              logger.error("Error in callable statement closing : ", e);
              throw new RuntimeException(e);
              }
            }
        }
    
    /**
     * Method getRibXtsfdescRecObject creates and populates an instance of RibXtsfdescRec 
     * object to be used in the {@link #transferItem} method.
     * @return Object Returns an instance of RibXtsfdescRec
     */
    private Object getRibXtsfdescRecObject() {
      logger.debug("Creating an instance of RibXtsfdescRec");
      RibXtsfdescRec  xtsfdescRec = new RibXtsfdescRec();
      logger.debug("Created instance of RibXtsfdescRec");
      try { 
          logger.debug("Fetching values for RibXtsfdescRec :");
          tsfNo = getTransferNumber();
          logger.debug("Transfer number : " + tsfNo);
          Object fromLocType = getSrcLocType();
              //getSrcLocationVO1().getCurrentRow().getAttribute("LocType");
          logger.debug("Fetched Source Location type : " + fromLocType);
          Object fromLoc = getSrcLocation();
              //getSrcLocationVO1().getCurrentRow().getAttribute("Location");
          logger.debug("Fetched Source Location : " + fromLoc);
          Object toLocType = getDestLocType();
              //getDestLocationVO1().getCurrentRow().getAttribute("LocType");
          logger.debug("Fetched Destination Location type : " + toLocType);
          Object toLoc = getDestLocation();
              //getDestLocationVO1().getCurrentRow().getAttribute("Location");
          logger.debug("Fetched Destination Location : " + toLoc); 
          //String ind = (String)JSFUtils.resolveExpression("#{bindings.DeptLevelTransfers.inputValue}");
          int n = getSystemOptionsVO1().getRowCount();
          logger.debug("Row count : "+n);
          //Object ind = getSystemOptionsVO1().getCurrentRow().getAttribute("DeptLevelTransfers");
          Object ind = getSystemOptionsVO1().getRowAtRangeIndex(0).getAttribute("DeptLevelTransfers");
          logger.debug("DeptLevelTransfers indicator is : "+ind);
          if(ind != null && ind.toString().equals("Y")){
              Object dept = getDepartmentVO1().getCurrentRow().getAttribute("Dept");
              logger.debug("Fetched Department : " + dept);  
              xtsfdescRec.setDept(new BigDecimal(dept.toString()));
              logger.debug("Setting the Department in RibXtsfdescRec");
          }         
                         
          logger.debug("Setting the values in RibXtsfdescRec");
          xtsfdescRec.setTsfNo(new BigDecimal(tsfNo));
          logger.debug("Setting the transferNo in RibXtsfdescRec");
          xtsfdescRec.setFromLocType(fromLocType.toString());
          logger.debug("Setting the Source LocType in RibXtsfdescRec");
          xtsfdescRec.setFromLoc(fromLoc.toString());
          logger.debug("Setting the Source Location in RibXtsfdescRec");
          xtsfdescRec.setToLocType(toLocType.toString());
          logger.debug("Setting the Destination LocType in RibXtsfdescRec");
          xtsfdescRec.setToLoc(toLoc.toString());
          logger.debug("Setting the Destination Location in RibXtsfdescRec");
          
          xtsfdescRec.setStatus("A");
          logger.debug("Setting the Status in RibXtsfdescRec");
          xtsfdescRec.setTsfType("EG");
          logger.debug("Setting the TransferType in RibXtsfdescRec");
          xtsfdescRec.setXtsfdtlTbl(getXtsfdtlTbl());
          logger.debug("Setting the XtsfdtlTbl in RibXtsfdescRec");
          logger.debug("Values successfully set in RibXtsfdescRec");
      }  catch (Exception e) {
          logger.error("Error in creating RibXtsfdescRec RIB Object: ", e);
          throw new JboException("Error in creating RibXtsfdescRec RIB Object" + e);
      }
      logger.debug("Instance of RibXtsfdescRec successfully created");
      return xtsfdescRec;
    }
    
    /**
     * Method getXtsfdtlTbl creates and populates an instance of RibXtsfdtlTbl object
     * to be used to populate the RibXtsfdtlTbl object created in {@link #getRibXtsfdescRecObject}
     * method.
     * @return RibXtsfdtlTbl Returns an instance of RibSupplierdescTbl object
     */  
    private RibXtsfdtlTbl getXtsfdtlTbl() {
        logger.debug("Creating an instance of RibXtsfdtlTbl");
        RibXtsfdtlTbl xtsfdtlTbl = new RibXtsfdtlTbl();
        logger.debug("Created instance of RibXtsfdtlTbl");
        try {
            logger.debug("Setting the values in RibXtsfdtlTbl");
            xtsfdtlTbl.setArray(getXtsfdtlRec());
            logger.debug("Values successfully set in RibXtsfdtlTbl");
        } catch (SQLException e) {
            logger.error("Error in creating RibXtsfdtlTbl RIB object: ", e);
            throw new JboException("Error in creating RibXtsfdtlTbl RIB Object" + e);
        }
        logger.debug("Instance of RibXtsfdtlTbl successfully created");
        return xtsfdtlTbl;
    }
    
    /**
     * Method getXtsfdtlRec creates and returns an Array of RibXtsfdtlRec object
     * to be used to populate the RibXtsfdtlTbl object created in {@link #getXtsfdtlTbl}
     * method
     * @return RibXtsfdtlRec[] Returns an array of RibXtsfdtlRec object
     */
    private RibXtsfdtlRec[] getXtsfdtlRec() {
        Row[] transferItemRows = getTransferItemsVO1().getAllRowsInRange();
        int len = transferItemRows.length;
        logger.debug("No. of items to be transferred is: " +len);
        RibXtsfdtlRec[] ribXtsfdtlRec = new RibXtsfdtlRec[transferItemRows.length];  
        try {
        for(int i=0; i<len; i++){
            logger.debug("Creating an instance of RibXtsfdtlRec");
            RibXtsfdtlRec xtsfdtlRec = new RibXtsfdtlRec();
            logger.debug("Created instance of RibXtsfdtlRec");
            logger.debug("Started fetching values to populate RibXtsfdtlRec instance");
            logger.debug("Fetching values for RibXtsfdtlRec :");
            logger.debug("Rows: "+transferItemRows[i].getAttribute("itemDesc"));
            Object item = transferItemRows[i].getAttribute("itemId");
            logger.debug("Fetched item : " + item);
            Object tsfQty = transferItemRows[i].getAttribute("tsfQty");
            logger.debug("Transfer quantity entered : " + tsfQty);
            xtsfdtlRec.setItem(item.toString());         
            logger.debug("Setting the itemId in RibXtsfdtlRec");
            xtsfdtlRec.setTsfQty(new BigDecimal(tsfQty.toString()));
            logger.debug("Setting the tsfQty in RibXtsfdtlRec");
            ribXtsfdtlRec[i] = xtsfdtlRec;
          }
         }catch (Exception e){
                            logger.error("Error in creating xtsfdtlRec RIB Object: " + e);
                            throw new JboException("Error in creating RibXtsfdtlRec RIB Object" +e);
                            }
        logger.debug("Values set succesfully in RibXtsfdtlRec instance");
        return ribXtsfdtlRec;
    }
    
    /**
     * This method returns the next transfer number.
     */
    private String getTransferNumber() {
       logger.debug("Call for getting next item transfer number");
       List<Object> result = new ArrayList<Object>();
       String transfer_no = "";
       DBTransactionImpl tx = (DBTransactionImpl)getDBTransaction();
       String stmt = 
           "begin NEXT_TRANSFER_NUMBER(?,?,?); end;";
       OracleCallableStatement statement = 
           (OracleCallableStatement)tx.createCallableStatement(stmt, 1);
       try {
           statement.registerOutParameter(1, Types.NUMERIC);
           statement.registerOutParameter(2, Types.VARCHAR);
           statement.registerOutParameter(3, Types.VARCHAR);
           statement.setInt(1, -1);
           statement.setString(2, "");
           statement.setObject(3, "");
           statement.execute();
           logger.debug("Transfer No : " + statement.getString(1));
           result.add(statement.getString(1));
           result.add(statement.getString(2));
           result.add(statement.getString(3));
           transfer_no=statement.getString(1);
        } catch (Exception e)  {
              logger.error("Error in generating the next transfer number: " + e);
             throw new JboException(e);
           }
        return transfer_no;
      }

    public void setDestLocation(String destLocation) {
        this.destLocation = destLocation;
    }

    public String getDestLocation() {
        return destLocation;
    }

    public void setDestLocType(String destLocType) {
        this.destLocType = destLocType;
    }

    public String getDestLocType() {
        return destLocType;
    }

    public void setSrcLocType(String srcLocType) {
        this.srcLocType = srcLocType;
    }

    public String getSrcLocType() {
        return srcLocType;
    }

    public void setSrcLocation(String srcLocation) {
        this.srcLocation = srcLocation;
    }

    public String getSrcLocation() {
        return srcLocation;
    }
}
