package oracle.retail.microapps.map.config;

import java.net.URL;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;

import org.apache.log4j.Logger;

public class MapConfigReader {
    
    private static Logger logger = Logger.getLogger(MapConfigReader.class);
    private static final String JAXB_CONTEXT_PACKAGE = "oracle.retail.microapps.map.config";
    private static String MAP_CONFIG_FILE_NAME = "config/mapConfig.xml";
    
    public MapConfigReader() {
        super();
    }
    
    public static MapConfig readConfig(){
       logger.debug("Reading configuration ...");
       MapConfig config = null;
       try {
           JAXBContext context = JAXBContext.newInstance(JAXB_CONTEXT_PACKAGE);
           Unmarshaller unmarshaller = context.createUnmarshaller();                
           URL url = MapConfigReader.class.getClassLoader().getResource(MAP_CONFIG_FILE_NAME);
           logger.debug("Got URL for the configuration file "+url);
           config =  (MapConfig)unmarshaller.unmarshal(url);
       } catch (Exception e){
          logger.debug("Exception while unmarshalling the config file : "+MAP_CONFIG_FILE_NAME);
          logger.debug("Ex : "+e);      
       }
       return config;
    }
}
