package oracle.retail.microapps.order.create.backing;

import java.util.Iterator;
import java.util.List;

import java.util.Map;

import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;

import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;
import oracle.adf.view.rich.component.rich.RichDialog;
import oracle.adf.view.rich.component.rich.RichPopup;
import oracle.adf.view.rich.component.rich.data.RichTable;
import oracle.adf.view.rich.component.rich.input.RichInputListOfValues;
import oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelGroupLayout;
import oracle.adf.view.rich.component.rich.layout.RichToolbar;
import oracle.adf.view.rich.component.rich.nav.RichCommandButton;
import oracle.adf.view.rich.component.rich.nav.RichCommandLink;
import oracle.adf.view.rich.component.rich.output.RichImage;
import oracle.adf.view.rich.component.rich.output.RichOutputFormatted;
import oracle.adf.view.rich.component.rich.output.RichPanelCollection;

import oracle.adf.view.rich.component.rich.output.RichSpacer;
import oracle.adf.view.rich.context.AdfFacesContext;
import oracle.adf.view.rich.event.DialogEvent;

import oracle.adf.view.rich.event.ReturnPopupEvent;

import oracle.jbo.ApplicationModule;

import oracle.jbo.Key;
import oracle.jbo.Row;
import oracle.jbo.RowSetIterator;

import oracle.jbo.ViewObject;
import oracle.jbo.uicli.binding.JUCtrlHierNodeBinding;

import oracle.retail.merch20.common.ADFUtils;
import oracle.retail.merch20.common.JSFUtils;

import oracle.retail.microapps.order.create.managed.Order;

import org.apache.log4j.Logger;
import org.apache.myfaces.trinidad.model.CollectionModel;
import org.apache.myfaces.trinidad.model.RowKeySet;

public class CreateOrder {
    
    //Status message to be displayed to the user
    private String statusMessage;
  
    // get the logger instance
    private static Logger logger = Logger.getLogger(CreateOrder.class);
  
    // get the resourceBundle instance
    Map resourceBundle =
        ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.retail.microapps.order.i18n.OrderBundle']}");
    
    private RichInputListOfValues locationId;
    private RichInputListOfValues supplier1Id;
    private RichPanelGroupLayout pgl1;
    private RichPanelFormLayout pfl1;
    private RichPanelCollection pc1;
    private RichToolbar t1;
    private RichCommandLink cl1;
    private RichImage i1;
    private RichPopup p1;
    private RichDialog d1;
    private RichSpacer s1;
    private RichSpacer s2;
    private RichSpacer s3;
    private RichCommandLink cl2;
    private RichImage i2;
    private RichSpacer s4;
    private RichPanelFormLayout pfl2;
    private RichCommandButton cb1;
    private RichCommandButton cb2;
    private RichOutputFormatted of1;
    private RichSpacer s5;
    private RichTable t3;
    private RichTable t2;
  
    public void setPgl1(RichPanelGroupLayout pgl1) {
        this.pgl1 = pgl1;
    }
  
    public RichPanelGroupLayout getPgl1() {
        return pgl1;
    }
  
    public void setPfl1(RichPanelFormLayout pfl1) {
        this.pfl1 = pfl1;
    }
  
    public RichPanelFormLayout getPfl1() {
        return pfl1;
    }

    public void setPc1(RichPanelCollection pc1) {
        this.pc1 = pc1;
    }
  
    public RichPanelCollection getPc1() {
        return pc1;
    }
  
    public void setT1(RichToolbar t1) {
        this.t1 = t1;
    }
  
    public RichToolbar getT1() {
        return t1;
    }
  
    public void setCl1(RichCommandLink cl1) {
        this.cl1 = cl1;
    }
  
    public RichCommandLink getCl1() {
        return cl1;
    }
  
    public void setI1(RichImage i1) {
        this.i1 = i1;
    }
  
    public RichImage getI1() {
        return i1;
    }
  
    public void setP1(RichPopup p1) {
        this.p1 = p1;
    }
  
    public RichPopup getP1() {
        return p1;
    }
  
    public void setD1(RichDialog d1) {
        this.d1 = d1;
    }
  
    public RichDialog getD1() {
        return d1;
    }
  
    public void setStatusMessage(String statusMessage) {
        this.statusMessage = statusMessage;
    }
  
    public String getStatusMessage() {
        return statusMessage;
    }
  
    public void setS1(RichSpacer s1) {
        this.s1 = s1;
    }
  
    public RichSpacer getS1() {
        return s1;
    }
  
    public void setS2(RichSpacer s2) {
        this.s2 = s2;
    }
  
    public RichSpacer getS2() {
        return s2;
    }
  
    public void setS3(RichSpacer s3) {
        this.s3 = s3;
    }
  
    public RichSpacer getS3() {
        return s3;
    }
  
    public void setCl2(RichCommandLink cl2) {
        this.cl2 = cl2;
    }
  
    public RichCommandLink getCl2() {
        return cl2;
    }
  
    public void setI2(RichImage i2) {
        this.i2 = i2;
    }
  
    public RichImage getI2() {
        return i2;
    }
  
    public void setS4(RichSpacer s4) {
        this.s4 = s4;
    }
  
    public RichSpacer getS4() {
        return s4;
    }
  
    public void setPfl2(RichPanelFormLayout pfl2) {
        this.pfl2 = pfl2;
    }
  
    public RichPanelFormLayout getPfl2() {
        return pfl2;
    }
  
    public void setCb1(RichCommandButton cb1) {
        this.cb1 = cb1;
    }
  
    public RichCommandButton getCb1() {
        return cb1;
    }
  
    public void setCb2(RichCommandButton cb2) {
        this.cb2 = cb2;
    }
  
    public RichCommandButton getCb2() {
        return cb2;
    }
  
    public void setOf1(RichOutputFormatted of1) {
        this.of1 = of1;
    }
  
    public RichOutputFormatted getOf1() {
        return of1;
    }
  
    public void setS5(RichSpacer s5) {
        this.s5 = s5;
    }
  
    public RichSpacer getS5() {
        return s5;
    }
  
    public void setT3(RichTable t3) {
        this.t3 = t3;
    }
  
    public RichTable getT3() {
        return t3;
    }
  
    /**
     * This method calls the createPurchaseOrder method in CreateOrder Application Module.
     * It sets the status message to the result returned from the createPurchaseOrder call
     * @return String Status of the create purchase order process
     */
    public void createPurchaseOrder(ActionEvent e) {
        String validate = validateItemQty();
        if (!validate.equals("")) {
            setStatusMessage(validate);
            logger.debug("Status message set");
            return;
        }
        logger.debug("Fetching the instance of Application Module");
        ApplicationModule am =
            ADFUtils.getApplicationModuleForDataControl("CreateOrderDataControl");
        oracle.retail.microapps.order.create.am.common.CreateOrder createPO =
            (oracle.retail.microapps.order.create.am.common.CreateOrder)am;
        logger.debug("Calling createPurchaseOrder() method of Application Module");

        String loc = ADFContext.getCurrent().getViewScope().get("passedParamLoc").toString();
        String locType = ADFContext.getCurrent().getViewScope().get("passedParamLocType").toString();
        String supplier = ADFContext.getCurrent().getViewScope().get("supplierIDBindValue").toString();
        
        logger.debug("loc = " + loc);
        logger.debug("locType = " + locType);
        logger.debug("supplier = " + supplier); 
        
        createPO.setSupplier(supplier);

        createPO.setLocType(locType);
  
        createPO.setLocation(loc);
        
        String result = createPO.createPurchaseOrder();
        if (result.equals("S")) {
            result = resourceBundle.get("ORDER") + " " + createPO.getOrderNo()
                     + " " + resourceBundle.get("SUCCESS");
            logger.debug("Order has been created successfully");
        } else {
            result = resourceBundle.get("ERROR_MSG") + result;
        }
        logger.debug(result);
        logger.debug("Setting status message");
        setStatusMessage(result);
        logger.debug("Status message set");
        return;
    }
  
    /**
     * This method validate the item table for the presence of at least one row
     * and for correct ordered quantity of the item.
     * @return String Status of the validation process
     */
    public String validateItemQty() {
        logger.debug("In validateItemQty");
        DCIteratorBinding iter =
            ADFUtils.findIterator("OrderedItemsVO1Iterator");
        RowSetIterator rsi = iter.getRowSetIterator();
        logger.debug("Ordered items row count " + rsi.getRowCount());
        int rowcount = rsi.getRowCount();
        if (rowcount == 0) {
            return (String)resourceBundle.get("Item_Is_Mandatory");
        }
        for (int i = 0; i < rowcount; i++) {
            Object qtyOrdered = rsi.getRowAtRangeIndex(i).getAttribute("OrderedQty");
            if (qtyOrdered == null) {
                return (String)resourceBundle.get("OrdQty_Is_Mandatory");
            } else {
                try {
                    Integer.parseInt(qtyOrdered.toString());
                } catch (NumberFormatException e) {
                    return (String)resourceBundle.get("OrdQty_Is_Numeric");
                }
            }
        }
        return "";
    }
  
    /**
     * This method is called when the values are changed in the Location LOV
     * @param p1
     */
    public void locSelectPopupListner(ReturnPopupEvent returnPopupEvent) {
        logger.debug("In locSelectPopupListner");
        DCIteratorBinding dcib = ADFUtils.findIterator("LocationVO1Iterator1");
        Row rw = dcib.getCurrentRow();
        logger.debug("Fetching the variable Location and locationType");
        Object locationIdValue = rw.getAttribute("Location");
        String locationTypeValue = (String)rw.getAttribute("Loctype");
        logger.debug("location value fetched is " + locationIdValue);
        logger.debug("location value type fetched is " + locationTypeValue);
        ADFContext.getCurrent().getViewScope().put("passedParamLoc",
                                                   locationIdValue.toString());
        ADFContext.getCurrent().getViewScope().put("passedParamLocType",
                                                   locationTypeValue.toString());
        ADFContext.getCurrent().getViewScope().put("orgUnitID", null);
        ADFContext.getCurrent().getViewScope().put("passedItem", null);
    }
  
    /**
     * This method is called when the values are changed in the supplier LOV when msob is true
     * @param p1
     */
    public void supSitePopupListner(ReturnPopupEvent returnPopupEvent) {
        logger.debug("In supSitePopupListner");
        DCIteratorBinding dcib = ADFUtils.findIterator("VSupMsobYVO1Iterator");
        Row rw = dcib.getCurrentRow();
        ADFContext.getCurrent().getViewScope().put("supplierIDBindValue", rw.getAttribute("Supplier"));
        ADFContext.getCurrent().getViewScope().put("passedItem", null);
        logger.debug("Clearing order item table");
        clearOrderedItemTable();  
    }
  
    /**
     * This method is called as the DialogListener for the pop up.
     * It populates the itemCollection iterator with the details of the item selected.
     * @param dialogEvent
     */
    public void itemSelectDialogListener(DialogEvent dialogEvent) {
        try {
            logger.debug("Item select dialog called...");
            RowKeySet rowSet = t2.getSelectedRowKeys();
            logger.debug("No of rows selected for ordering item "+rowSet.size());
            Iterator rowSetIter = rowSet.iterator();
            DCIteratorBinding selectedItemIter =
                ADFUtils.findIterator("ItemsVO1Iterator");
            int rowCount = 0;
            while (rowSetIter.hasNext()) {
                logger.debug("Getting rows from ItemsVO1Iterator");
                List l = (List)rowSetIter.next();
                Key key = (Key)l.get(0);
                selectedItemIter.setCurrentRowWithKey(key.toStringFormat(true));
                Row rw = selectedItemIter.getCurrentRow();
                populateOrderedItemVO(rw);
                rowCount++;
            }
            AdfFacesContext.getCurrentInstance().addPartialTarget(t3);
        } catch (Exception e) {
            logger.error("Error: " + e);
            throw new RuntimeException(e);
        }
    }
    
    public static void populateOrderedItemVO(Row orderedItemRow){
        //getting hold of view object where to create new row...
        DCIteratorBinding dcib = ADFUtils.findIterator("OrderedItemsVO1Iterator");
        ViewObject itemsOrderedVO = dcib.getViewObject();
        //getting hold of the iterator for above view obj
        RowSetIterator itemRowIter = dcib.getRowSetIterator();
        //creating row
        Row newRow = itemsOrderedVO.createRow();
        newRow.setAttribute("Item", orderedItemRow.getAttribute("Item"));
        newRow.setAttribute("ItemDesc", orderedItemRow.getAttribute("ItemDesc"));
        newRow.setAttribute("UnitCost", orderedItemRow.getAttribute("UnitCost"));
        newRow.setAttribute("OriginCountryId", orderedItemRow.getAttribute("OriginCountryId"));
        itemsOrderedVO.setCurrentRow(newRow);
        itemRowIter.insertRow(newRow);
        logger.debug("Row added");
    }
  
    /**
     * This method is called when somone clicks the cross mark above the item table
     * to delete the item.
     * This will delete item of the selected row by the user.
     */
  
    public void deleteSelectedItems() {
        logger.debug("deleting selected items");
        try {
            RowKeySet rowSet = t3.getSelectedRowKeys();
            if (rowSet != null) {
                CollectionModel cm = (CollectionModel)t3.getValue();
                for (Object facesTreeRowKey : rowSet) {
                    cm.setRowKey(facesTreeRowKey);
                    JUCtrlHierNodeBinding rowData =
                        (JUCtrlHierNodeBinding)cm.getRowData();
                    rowData.getRow().remove();
                }
            }
        } catch (Exception e) {
            logger.error("Error in deleting selected rows : " + e);
        }
        ADFContext.getCurrent().getViewScope().put("passedItem", null);
        logger.debug("Selected items deleted");
    }
  
  
    /**
     * This method is called when the user clicks on cancel Button to reset the values
     * This resets all the attributes in the View Scope and restore the UI in original state.
     * @param actionEvent ActionEvent
     */
    public void cancel(ActionEvent actionEvent) {
        logger.debug("in cancel)");
        logger.debug("Setting ViewScope variables to blank to reset the bind variable");
        ADFContext.getCurrent().getViewScope().put("passedItem", null);
        ADFContext.getCurrent().getViewScope().put("passedParamLoc", null);
        ADFContext.getCurrent().getViewScope().put("passedParamLocType", null);
        ADFContext.getCurrent().getViewScope().put("orgUnitID", null);
        ADFContext.getCurrent().getViewScope().put("supplierIDBindValue", null);
        
        Order orderBean = (Order)JSFUtils.resolveExpression("#{pageFlowScope.orderBean}");

        logger.debug("item in page flow scope = " + orderBean.getItemInputParam());
        logger.debug("location in page flow scope = " + orderBean.getLocationInputParam());
        logger.debug("locType in page flow scope = " + orderBean.getLocationTypeInputParam());
        logger.debug("supplier in page flow scope = " + orderBean.getSupplierInputParam());
        
        orderBean.setItemInputParam(null);
        orderBean.setLocationInputParam(null);
        orderBean.setLocationTypeInputParam(null);
        orderBean.setSupplierInputParam(null);
        
        logger.debug("Clearing the ordered item table");
        clearOrderedItemTable();
    }
    
    private void clearOrderedItemTable(){
        DCIteratorBinding dcib =
            ADFUtils.findIterator("OrderedItemsVO1Iterator");
        RowSetIterator rsi = dcib.getRowSetIterator();
        logger.debug("Ordered items count " + rsi.getRowCount());
        int rowcount = rsi.getRowCount();
        for (int i = 0; i < rowcount; i++) {
            rsi.removeCurrentRow();
            logger.debug("removed row no " + i);
        }
    }
    
    public void setLocationId(RichInputListOfValues locationId) {
        this.locationId = locationId;
    }

    public RichInputListOfValues getLocationId() {
        return locationId;
    }

    public void setSupplier1Id(RichInputListOfValues supplier1Id) {
        this.supplier1Id = supplier1Id;
    }

    public RichInputListOfValues getSupplier1Id() {
        return supplier1Id;
    }

    public void setT2(RichTable t2) {
        this.t2 = t2;
    }

    public RichTable getT2() {
        return t2;
    }
}
