package oracle.retail.microapps.item.create.am.applicationModule;

import oracle.jbo.ViewObject;

import oracle.retail.microapps.item.create.am.common.CreateItem;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class CreateItemAMTest {
    private Logger logger = Logger.getLogger(CreateItemAMTest.class);
    private CreateItem _amImpl;
    private String itemDesc;
    private ViewObject deptVO;
    private ViewObject classVO;
    private ViewObject subclassVO;
    private ViewObject systemOptionsVO;
    private ViewObject supplierVO;
    private ViewObject supplierSiteVO;
    private ViewObject countryVO;
    private String unitCost;
    private ViewObject itemNumberTypeVO;
    private String itemNumberManual;
    private ViewObject costZoneGroupVO;
    private ViewObject retailPriceZoneGroupVO;
    private ViewObject standardUomVO;
    private String uomConversionFactor;
    
    public CreateItemAMTest() {
        _amImpl = (CreateItem)CreateItemAMFixture.getInstance().getApplicationModule();
    }

    @Before
    public void setUp() {
      //setting item desc
      itemDesc = "JUnit test item";
      //setting dept vo
      deptVO = _amImpl.findViewObject("DepartmentVO1");
      deptVO.executeQuery();
      deptVO.setRangeSize(deptVO.getRowCount());
      deptVO.setCurrentRowAtRangeIndex(0);
      //setting class vo
      classVO = _amImpl.findViewObject("ClassVO1");
      classVO.setNamedWhereClauseParam("BindVarDeptID", deptVO.getCurrentRow().getAttribute("DepartmentId"));
      classVO.setRangeSize(classVO.getRowCount());
      classVO.executeQuery();
      classVO.setCurrentRowAtRangeIndex(0);
      //setting subclass vo
      subclassVO =  _amImpl.findViewObject("SubclassVO1");
      subclassVO.setNamedWhereClauseParam("BindVarDeptID", deptVO.getCurrentRow().getAttribute("DepartmentId"));
      subclassVO.setNamedWhereClauseParam("BindVarClassID", classVO.getCurrentRow().getAttribute("ClassId"));
      subclassVO.setRangeSize(subclassVO.getRowCount());
      subclassVO.executeQuery();
      subclassVO.setCurrentRowAtRangeIndex(0);
      //setting systemOptions vo
      systemOptionsVO = _amImpl.findViewObject("SystemOptionsVO1");
      systemOptionsVO.executeQuery();
      String supplierSiteInd = (String)systemOptionsVO.getRowAtRangeIndex(0).getAttribute("SupplierSitesInd");
      if(supplierSiteInd.equals("N")){
        //setting supplier vo
        supplierVO =  _amImpl.findViewObject("SupplierVO1");
        supplierVO.setRangeSize(supplierVO.getRowCount());
        supplierVO.executeQuery();
        supplierVO.setCurrentRowAtRangeIndex(0);
      } else {
        //setting supplier site vo
        supplierSiteVO =  _amImpl.findViewObject("SupplierSiteVO1");
        supplierSiteVO.setRangeSize(supplierSiteVO.getRowCount());
        supplierSiteVO.executeQuery();
        supplierSiteVO.setCurrentRowAtRangeIndex(0);
      }
      //setting country vo
      countryVO = _amImpl.findViewObject("CountryVO1");
      countryVO.setRangeSize(countryVO.getRowCount());
      countryVO.executeQuery();
      countryVO.setCurrentRowAtRangeIndex(0);
      //setting unit cost
      unitCost = "100";
      //setting itemNumber type code
      itemNumberTypeVO = _amImpl.findViewObject("ItemNumberTypeVO1");
      itemNumberTypeVO.setRangeSize(itemNumberTypeVO.getRowCount());
      itemNumberTypeVO.executeQuery();
      itemNumberTypeVO.setCurrentRowAtRangeIndex(0);
      //setting item number manual
      itemNumberManual = "1001";
      //setting CostZoneGrp vo
      costZoneGroupVO =  _amImpl.findViewObject("CostZoneGroupVO1");
      costZoneGroupVO.setRangeSize(costZoneGroupVO.getRowCount());
      costZoneGroupVO.executeQuery();
      costZoneGroupVO.setCurrentRowAtRangeIndex(0);
      //setting RetailPriceZoneGroup vo
      retailPriceZoneGroupVO = _amImpl.findViewObject("RetailPriceZoneGroupVO1");
      retailPriceZoneGroupVO.setRangeSize(retailPriceZoneGroupVO.getRowCount());
      retailPriceZoneGroupVO.executeQuery();
      retailPriceZoneGroupVO.setCurrentRowAtRangeIndex(0);
      //setting uom vo
      standardUomVO = _amImpl.findViewObject("StandardUomVO1");
      standardUomVO.setRangeSize(standardUomVO.getRowCount());
      standardUomVO.executeQuery();
      standardUomVO.setCurrentRowAtRangeIndex(0);
      //setting UOM conversion factor
      uomConversionFactor = "1"; 
    }

    @After
    public void tearDown() {
    }

    @Test
    public void testGetItemId() {
    }

    @Test
    public void testSetUomConversionFactor() {
    }

    @Test
    public void testSetUnitCost() {
    }

    @Test
    public void testSetItemNumberManual() {
    }

    @Test
    public void testSetItemDesc() {
    }

    @Test
    public void testCreateRegularItem() {
      _amImpl.setItemDesc(itemDesc);
      _amImpl.setUnitCost(unitCost);
      _amImpl.setUomConversionFactor(uomConversionFactor);
      String itemNoType = "";
      int index = -1;
      while(!itemNoType.equals("MANL")){
        itemNumberTypeVO.setCurrentRowAtRangeIndex(++index);
        itemNoType = (String)itemNumberTypeVO.getCurrentRow().getAttribute("ItemNoTypeCode");
      }
      _amImpl.setItemNumberManual("1001");
      _amImpl.setSupplierConfig("SupplierSite");
      String result = _amImpl.createRegularItem();
      Assert.assertTrue(result.contains("This item, 1001 already exists")
                        || result.startsWith("S"));
    }

    @Test
    public void testSetSupplierConfig() {
    }
}
