package oracle.retail.microapps.item.transfer.am.view.SrcLocationVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.item.transfer.am.applicationModule.TransferItemAMFixture;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class SrcLocationVO1VOTest {
    private TransferItemAMFixture fixture1 = TransferItemAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger("SrcLocationVO1VOTest.class");
  
    public SrcLocationVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("SrcLocationVO1");
        assertNotNull(view);
    }
  
    /**
     * This method is to test the View Objects for the valid
     * Source location. This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */
    @Test
    public void testVOQuery() {
        ViewObject srcLocationVO = fixture1.getApplicationModule().findViewObject("SrcLocationVO1");
        logger.debug("SrcLocationVO1 VO fetched");
        //get a valid location id.
        srcLocationVO.setNamedWhereClauseParam("to_loc", null);
        srcLocationVO.setNamedWhereClauseParam("to_loc_type", null);
        srcLocationVO.setNamedWhereClauseParam("ParamItem", null);
        srcLocationVO.executeQuery();
        Row[] rows = srcLocationVO.getAllRowsInRange();
        logger.debug("Rows in SrcLocationVO1 fetched");
        Assert.assertTrue(rows.length > 0);
    }
   
    /**
     * This method is to test the View Objects for the mandatory attribute- Location.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOMandatoryAttribute_locationId() {
        ViewObject srcLocationVO = fixture1.getApplicationModule().findViewObject("SrcLocationVO1");
        logger.debug("SrcLocationVO1 VO fetched");
        //get a valid location id.
        srcLocationVO.executeQuery();
        Row[] rows = srcLocationVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("Location");
        logger.debug("Rows in SrcLocationVO1 fetched with valid Location");
        Assert.assertTrue(voAttr != null);
    }
   
    /**
     * This method is to test the View Objects for the mandatory attribute- LocType.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOMandatoryAttribute_locType() {
        ViewObject srcLocationVO = fixture1.getApplicationModule().findViewObject("SrcLocationVO1");
        logger.debug("SrcLocationVO1 VO fetched");
        srcLocationVO.executeQuery();
        Row[] rows = srcLocationVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("LocType");
        logger.debug("Rows in SrcLocationVO1 fetched with valid LocType");
        Assert.assertTrue(voAttr != null);
    }
  
    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
