package oracle.retail.microapps.order.create.am.view.ItemsVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMFixture;

import org.junit.*;
import static org.junit.Assert.*;

public class ItemsVO1VOTest {
    private CreateOrderAMFixture fixture1 = CreateOrderAMFixture.getInstance();
    private ViewObject supplierSiteVO;

    public ItemsVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("ItemsVO1");
        assertNotNull(view);
    }
  @Test
  public void testQueryWithNoParameters() {
    ViewObject itemsVO = fixture1.getApplicationModule().findViewObject("ItemsVO1");
    itemsVO.setNamedWhereClauseParam("bindSupplier", "");
    itemsVO.setNamedWhereClauseParam("ParamItem", "");
    itemsVO.executeQuery();
  Row[]  rows = itemsVO.getAllRowsInRange();
    Assert.assertTrue(rows.length >= 0);
  }
  @Test
  public void testQueryWithSupplierAsParameter() {
    Row[] rows = supplierSiteVO.getAllRowsInRange();
    //there should be location present in RMS test schema.
    //if this assumption is wrong, test will abort.
    Assume.assumeTrue(rows.length != 0);
    Row row = rows[0];
    oracle.jbo.domain.Number BindSupplier = (oracle.jbo.domain.Number)rows[0].getAttribute("Supplier");  
    ViewObject itemsVO = fixture1.getApplicationModule().findViewObject("ItemsVO1");
    itemsVO.setNamedWhereClauseParam("bindSupplier", BindSupplier);
    itemsVO.setNamedWhereClauseParam("ParamItem", "");
    itemsVO.executeQuery();
    rows = itemsVO.getAllRowsInRange();
    Assert.assertTrue(rows.length >= 0);
  }

    @Before
    public void setUp() {
      
      //items vo is dependent on supplierSite vo
      supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      assertNotNull(supplierSiteVO);
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", "");
      supplierSiteVO.executeQuery();  
    }

    @After
    public void tearDown() {
         supplierSiteVO=null; 
    }
}
