package oracle.retail.microapps.order.create.am.view.VSupMsobYVO1VO;

import java.util.HashSet;
import java.util.Set;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.retail.microapps.order.create.am.applicationModule.CreateOrderAMFixture;

import org.junit.*;
import static org.junit.Assert.*;

public class VSupMsobYVO1VOTest {
    private CreateOrderAMFixture fixture1 = CreateOrderAMFixture.getInstance();
  private ViewObject locationVO;
  private ViewObject itemsVO;

    public VSupMsobYVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
        assertNotNull(view);
    }
  @Test
  public void testQueryWithNoParameters() {
    /*   Row[] rows = locationVO.getAllRowsInRange();
      //there should be location present in RMS test schema.
      //if this assumption is wrong, test will abort.
      Assume.assumeTrue(rows.length != 0);
      Row row = rows[0];
      String orgUnitID = (String)row.getAttribute("Orgunitidb"); */
      //set the valid orgUnitID as bind variable for supplierSite vo
      ViewObject supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", "");
      
      supplierSiteVO.executeQuery();
      Row[] rows = supplierSiteVO.getAllRowsInRange();
      Assert.assertTrue(rows.length >= 0);
  }
  @Test
  public void testQueryWithParameters() {
       Row[] rows = locationVO.getAllRowsInRange();
      //there should be location present in RMS test schema.
      //if this assumption is wrong, test will abort.
      Assume.assumeTrue(rows.length != 0);
      Row row = rows[0]; 
      oracle.jbo.domain.Number location = (oracle.jbo.domain.Number)row.getAttribute("Location"); 
      String locType = (String)row.getAttribute("Loctype"); 
      //set the valid location and locType as bind variable for supplierSite vo
      ViewObject supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", locType);
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", location);
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", "");
      
      supplierSiteVO.executeQuery();
      Row[] rows1 = supplierSiteVO.getAllRowsInRange();
      Assert.assertTrue(rows1.length >= 0);
  }
  @Test
  public void testQueryWithItemAsParameter() {
       Row[] rows = itemsVO.getAllRowsInRange();
      //there should be location present in RMS test schema.
      //if this assumption is wrong, test will abort.
      Assume.assumeTrue(rows.length != 0);
      Row row = rows[0]; 
      String item = (String)row.getAttribute("Item");  
      //set the valid location and locType as bind variable for supplierSite vo
      ViewObject supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", item);
      
      supplierSiteVO.executeQuery();
      Row[] rows1 = supplierSiteVO.getAllRowsInRange();
      Assert.assertTrue(rows1.length >= 0);
  }
  
  @Test
  public void testQueryWithItemAndLocationAsParameter() {
       Row[] rows = itemsVO.getAllRowsInRange();
      //there should be location present in RMS test schema.
      //if this assumption is wrong, test will abort.
      Assume.assumeTrue(rows.length != 0);
      Row row = rows[0]; 
      String item = (String)row.getAttribute("Item");
       rows = locationVO.getAllRowsInRange();
    //there should be location present in RMS test schema.
    //if this assumption is wrong, test will abort.
      Assume.assumeTrue(rows.length != 0);
       row = rows[0];
      oracle.jbo.domain.Number location = (oracle.jbo.domain.Number)row.getAttribute("Location");
      String locType = (String)row.getAttribute("Loctype");
      //set the valid item location and locType as bind variable for supplierSite vo
      ViewObject supplierSiteVO = fixture1.getApplicationModule().findViewObject("VSupMsobYVO1");
      supplierSiteVO.setNamedWhereClauseParam("OrgUnitID", "");
      supplierSiteVO.setNamedWhereClauseParam("ParamLocType", locType);
      supplierSiteVO.setNamedWhereClauseParam("ParamLoc", location);
      supplierSiteVO.setNamedWhereClauseParam("ParamItem", item);
      
      supplierSiteVO.executeQuery();
       rows = supplierSiteVO.getAllRowsInRange();
      Assert.assertTrue(rows.length >= 0);
  }

  
 
    @Before
    public void setUp() {
       //supplierSiteVO vo is dependent on location vo and items vo
      locationVO = fixture1.getApplicationModule().findViewObject("LocationVO1");
      locationVO.setNamedWhereClauseParam("ParamSupp","");
      assertNotNull(locationVO);
      locationVO.executeQuery();  
      itemsVO = fixture1.getApplicationModule().findViewObject("ItemsVO1");
      itemsVO.setNamedWhereClauseParam("bindSupplier", "");
      itemsVO.setNamedWhereClauseParam("ParamItem", "");
      assertNotNull(itemsVO);
      itemsVO.executeQuery();  
    }

    @After
    public void tearDown() {
     /*  locationVO = null; */
    }
}
