package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibAddrRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_Addr_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibAddrRecRef _RibAddrRecRefFactory = new RibAddrRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibAddrRecRefFactory; }
  /* constructor */
  public RibAddrRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibAddrRecRef r = new RibAddrRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibAddrRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibAddrRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibAddrRecRef: "+exn.toString()); }
  }

  public RibAddrRec getValue() throws SQLException
  {
     return (RibAddrRec) RibAddrRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibAddrRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
