package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.ARRAY;
import oracle.sql.ArrayDescriptor;
import oracle.jpub.runtime.MutableArray;

public class RibBraddrTbl implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_BrAddr_TBL";
  public static final int _SQL_TYPECODE = OracleTypes.ARRAY;

  MutableArray _array;

private static final RibBraddrTbl _RibBraddrTblFactory = new RibBraddrTbl();

  public static ORADataFactory getORADataFactory()
  { return _RibBraddrTblFactory; }
  /* constructors */
  public RibBraddrTbl()
  {
    this((RibBraddrRec[])null);
  }

  public RibBraddrTbl(RibBraddrRec[] a)
  {
    _array = new MutableArray(2002, a, RibBraddrRec.getORADataFactory());
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _array.toDatum(c, _SQL_NAME);
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibBraddrTbl a = new RibBraddrTbl();
    a._array = new MutableArray(2002, (ARRAY) d, RibBraddrRec.getORADataFactory());
    return a;
  }

  public int length() throws SQLException
  {
    return _array.length();
  }

  public int getBaseType() throws SQLException
  {
    return _array.getBaseType();
  }

  public String getBaseTypeName() throws SQLException
  {
    return _array.getBaseTypeName();
  }

  public ArrayDescriptor getDescriptor() throws SQLException
  {
    return _array.getDescriptor();
  }

  /* array accessor methods */
  public RibBraddrRec[] getArray() throws SQLException
  {
    return (RibBraddrRec[]) _array.getObjectArray(
      new RibBraddrRec[_array.length()]);
  }

  public RibBraddrRec[] getArray(long index, int count) throws SQLException
  {
    return (RibBraddrRec[]) _array.getObjectArray(index,
      new RibBraddrRec[_array.sliceLength(index, count)]);
  }

  public void setArray(RibBraddrRec[] a) throws SQLException
  {
    _array.setObjectArray(a);
  }

  public void setArray(RibBraddrRec[] a, long index) throws SQLException
  {
    _array.setObjectArray(a, index);
  }

  public RibBraddrRec getElement(long index) throws SQLException
  {
    return (RibBraddrRec) _array.getObjectElement(index);
  }

  public void setElement(RibBraddrRec a, long index) throws SQLException
  {
    _array.setObjectElement(a, index);
  }

}
