package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibEofbraddrRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_EOfBrAddr_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibEofbraddrRecRef _RibEofbraddrRecRefFactory = new RibEofbraddrRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibEofbraddrRecRefFactory; }
  /* constructor */
  public RibEofbraddrRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibEofbraddrRecRef r = new RibEofbraddrRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibEofbraddrRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibEofbraddrRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibEofbraddrRecRef: "+exn.toString()); }
  }

  public RibEofbraddrRec getValue() throws SQLException
  {
     return (RibEofbraddrRec) RibEofbraddrRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibEofbraddrRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
