package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibEofinaddrRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_EOfInAddr_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibEofinaddrRecRef _RibEofinaddrRecRefFactory = new RibEofinaddrRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibEofinaddrRecRefFactory; }
  /* constructor */
  public RibEofinaddrRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibEofinaddrRecRef r = new RibEofinaddrRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibEofinaddrRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibEofinaddrRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibEofinaddrRecRef: "+exn.toString()); }
  }

  public RibEofinaddrRec getValue() throws SQLException
  {
     return (RibEofinaddrRec) RibEofinaddrRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibEofinaddrRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
