package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibInaddrRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_InAddr_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibInaddrRecRef _RibInaddrRecRefFactory = new RibInaddrRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibInaddrRecRefFactory; }
  /* constructor */
  public RibInaddrRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibInaddrRecRef r = new RibInaddrRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibInaddrRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibInaddrRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibInaddrRecRef: "+exn.toString()); }
  }

  public RibInaddrRec getValue() throws SQLException
  {
     return (RibInaddrRec) RibInaddrRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibInaddrRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
