package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.ARRAY;
import oracle.sql.ArrayDescriptor;
import oracle.jpub.runtime.MutableArray;

public class RibInaddrTbl implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_InAddr_TBL";
  public static final int _SQL_TYPECODE = OracleTypes.ARRAY;

  MutableArray _array;

private static final RibInaddrTbl _RibInaddrTblFactory = new RibInaddrTbl();

  public static ORADataFactory getORADataFactory()
  { return _RibInaddrTblFactory; }
  /* constructors */
  public RibInaddrTbl()
  {
    this((RibInaddrRec[])null);
  }

  public RibInaddrTbl(RibInaddrRec[] a)
  {
    _array = new MutableArray(2002, a, RibInaddrRec.getORADataFactory());
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _array.toDatum(c, _SQL_NAME);
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibInaddrTbl a = new RibInaddrTbl();
    a._array = new MutableArray(2002, (ARRAY) d, RibInaddrRec.getORADataFactory());
    return a;
  }

  public int length() throws SQLException
  {
    return _array.length();
  }

  public int getBaseType() throws SQLException
  {
    return _array.getBaseType();
  }

  public String getBaseTypeName() throws SQLException
  {
    return _array.getBaseTypeName();
  }

  public ArrayDescriptor getDescriptor() throws SQLException
  {
    return _array.getDescriptor();
  }

  /* array accessor methods */
  public RibInaddrRec[] getArray() throws SQLException
  {
    return (RibInaddrRec[]) _array.getObjectArray(
      new RibInaddrRec[_array.length()]);
  }

  public RibInaddrRec[] getArray(long index, int count) throws SQLException
  {
    return (RibInaddrRec[]) _array.getObjectArray(index,
      new RibInaddrRec[_array.sliceLength(index, count)]);
  }

  public void setArray(RibInaddrRec[] a) throws SQLException
  {
    _array.setObjectArray(a);
  }

  public void setArray(RibInaddrRec[] a, long index) throws SQLException
  {
    _array.setObjectArray(a, index);
  }

  public RibInaddrRec getElement(long index) throws SQLException
  {
    return (RibInaddrRec) _array.getObjectElement(index);
  }

  public void setElement(RibInaddrRec a, long index) throws SQLException
  {
    _array.setObjectElement(a, index);
  }

}
