package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibInsupsiteRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_InSupSite_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibInsupsiteRecRef _RibInsupsiteRecRefFactory = new RibInsupsiteRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibInsupsiteRecRefFactory; }
  /* constructor */
  public RibInsupsiteRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibInsupsiteRecRef r = new RibInsupsiteRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibInsupsiteRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibInsupsiteRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibInsupsiteRecRef: "+exn.toString()); }
  }

  public RibInsupsiteRec getValue() throws SQLException
  {
     return (RibInsupsiteRec) RibInsupsiteRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibInsupsiteRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
