package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.ARRAY;
import oracle.sql.ArrayDescriptor;
import oracle.jpub.runtime.MutableArray;

public class RibLocofaddrTbl implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_LocOfAddr_TBL";
  public static final int _SQL_TYPECODE = OracleTypes.ARRAY;

  MutableArray _array;

private static final RibLocofaddrTbl _RibLocofaddrTblFactory = new RibLocofaddrTbl();

  public static ORADataFactory getORADataFactory()
  { return _RibLocofaddrTblFactory; }
  /* constructors */
  public RibLocofaddrTbl()
  {
    this((RibLocofaddrRec[])null);
  }

  public RibLocofaddrTbl(RibLocofaddrRec[] a)
  {
    _array = new MutableArray(2002, a, RibLocofaddrRec.getORADataFactory());
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _array.toDatum(c, _SQL_NAME);
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibLocofaddrTbl a = new RibLocofaddrTbl();
    a._array = new MutableArray(2002, (ARRAY) d, RibLocofaddrRec.getORADataFactory());
    return a;
  }

  public int length() throws SQLException
  {
    return _array.length();
  }

  public int getBaseType() throws SQLException
  {
    return _array.getBaseType();
  }

  public String getBaseTypeName() throws SQLException
  {
    return _array.getBaseTypeName();
  }

  public ArrayDescriptor getDescriptor() throws SQLException
  {
    return _array.getDescriptor();
  }

  /* array accessor methods */
  public RibLocofaddrRec[] getArray() throws SQLException
  {
    return (RibLocofaddrRec[]) _array.getObjectArray(
      new RibLocofaddrRec[_array.length()]);
  }

  public RibLocofaddrRec[] getArray(long index, int count) throws SQLException
  {
    return (RibLocofaddrRec[]) _array.getObjectArray(index,
      new RibLocofaddrRec[_array.sliceLength(index, count)]);
  }

  public void setArray(RibLocofaddrRec[] a) throws SQLException
  {
    _array.setObjectArray(a);
  }

  public void setArray(RibLocofaddrRec[] a, long index) throws SQLException
  {
    _array.setObjectArray(a, index);
  }

  public RibLocofaddrRec getElement(long index) throws SQLException
  {
    return (RibLocofaddrRec) _array.getObjectElement(index);
  }

  public void setElement(RibLocofaddrRec a, long index) throws SQLException
  {
    _array.setObjectElement(a, index);
  }

}
