/*@lineinfo:filename=RibSuppliercoldescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibSuppliercoldescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_SupplierColDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,2,2003,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[10];
  static
  {
    _factory[7] = RibSupplierdescTbl.getORADataFactory();
    _factory[8] = RibExtofsuppliercoldescTbl.getORADataFactory();
    _factory[9] = RibLocofsuppliercoldescTbl.getORADataFactory();
  }
  protected static final RibSuppliercoldescRec _RibSuppliercoldescRecFactory = new RibSuppliercoldescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibSuppliercoldescRecFactory; }
  static
  { _map.put("RMS01.RIB_SupplierColDesc_REC", _RibSuppliercoldescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[10], _sqlType, _factory); }
  public RibSuppliercoldescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibSuppliercoldescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibSuppliercoldescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibSuppliercoldescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameSuppliercoldesc, String nsTypeBo, String nsLocationBase, String nsLevelTop, java.math.BigDecimal collectionSize, RibSupplierdescTbl supplierdescTbl, RibExtofsuppliercoldescTbl extofsuppliercoldescTbl, RibLocofsuppliercoldescTbl locofsuppliercoldescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameSuppliercoldesc(nsNameSuppliercoldesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelTop(nsLevelTop);
    setCollectionSize(collectionSize);
    setSupplierdescTbl(supplierdescTbl);
    setExtofsuppliercoldescTbl(extofsuppliercoldescTbl);
    setLocofsuppliercoldescTbl(locofsuppliercoldescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibSuppliercoldescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibSuppliercoldescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibSuppliercoldescRec o) { _struct = o._struct; }
  protected ORAData create(RibSuppliercoldescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibSuppliercoldescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameSuppliercoldesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameSuppliercoldesc(String nsNameSuppliercoldesc) throws SQLException
  { _struct.setAttribute(2, nsNameSuppliercoldesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelTop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelTop(String nsLevelTop) throws SQLException
  { _struct.setAttribute(5, nsLevelTop); }


  public java.math.BigDecimal getCollectionSize() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(6); }

  public void setCollectionSize(java.math.BigDecimal collectionSize) throws SQLException
  { _struct.setAttribute(6, collectionSize); }


  public RibSupplierdescTbl getSupplierdescTbl() throws SQLException
  { return (RibSupplierdescTbl) _struct.getAttribute(7); }

  public void setSupplierdescTbl(RibSupplierdescTbl supplierdescTbl) throws SQLException
  { _struct.setAttribute(7, supplierdescTbl); }


  public RibExtofsuppliercoldescTbl getExtofsuppliercoldescTbl() throws SQLException
  { return (RibExtofsuppliercoldescTbl) _struct.getAttribute(8); }

  public void setExtofsuppliercoldescTbl(RibExtofsuppliercoldescTbl extofsuppliercoldescTbl) throws SQLException
  { _struct.setAttribute(8, extofsuppliercoldescTbl); }


  public RibLocofsuppliercoldescTbl getLocofsuppliercoldescTbl() throws SQLException
  { return (RibLocofsuppliercoldescTbl) _struct.getAttribute(9); }

  public void setLocofsuppliercoldescTbl(RibLocofsuppliercoldescTbl locofsuppliercoldescTbl) throws SQLException
  { _struct.setAttribute(9, locofsuppliercoldescTbl); }


  public RibSuppliercoldescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibSuppliercoldescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:156^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierColDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:161^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibSuppliercoldescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:169^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupplierColDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:174^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:189^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:194^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:202^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:207^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibSuppliercoldescRec ribSuppliercoldescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal COLLECTION_SIZE,
    RibSupplierdescTbl SUPPLIERDESC_TBL,
    RibExtofsuppliercoldescTbl EXTOFSUPPLIERCOLDESC_TBL,
    RibSuppliercoldescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSuppliercoldescRec __jPt_temp = (RibSuppliercoldescRec) this;
    RibSuppliercoldescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:227^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL,
//        :EXTOFSUPPLIERCOLDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
   if (EXTOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_ExtOfSupplierColDesc_TBL"); else __sJT_st.setORAData(5,EXTOFSUPPLIERCOLDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:235^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:242^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL,
//        :EXTOFSUPPLIERCOLDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
   if (EXTOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_ExtOfSupplierColDesc_TBL"); else __sJT_st.setORAData(5,EXTOFSUPPLIERCOLDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:250^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSuppliercoldescRec ribSuppliercoldescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal COLLECTION_SIZE,
    RibSupplierdescTbl SUPPLIERDESC_TBL,
    RibExtofsuppliercoldescTbl EXTOFSUPPLIERCOLDESC_TBL,
    RibLocofsuppliercoldescTbl LOCOFSUPPLIERCOLDESC_TBL,
    RibSuppliercoldescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSuppliercoldescRec __jPt_temp = (RibSuppliercoldescRec) this;
    RibSuppliercoldescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:272^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL,
//        :EXTOFSUPPLIERCOLDESC_TBL,
//        :LOCOFSUPPLIERCOLDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
   if (EXTOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_ExtOfSupplierColDesc_TBL"); else __sJT_st.setORAData(5,EXTOFSUPPLIERCOLDESC_TBL);
   if (LOCOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_LocOfSupplierColDesc_TBL"); else __sJT_st.setORAData(6,LOCOFSUPPLIERCOLDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:281^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:288^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL,
//        :EXTOFSUPPLIERCOLDESC_TBL,
//        :LOCOFSUPPLIERCOLDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
   if (EXTOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(5,2003,"RMS01.RIB_ExtOfSupplierColDesc_TBL"); else __sJT_st.setORAData(5,EXTOFSUPPLIERCOLDESC_TBL);
   if (LOCOFSUPPLIERCOLDESC_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_LocOfSupplierColDesc_TBL"); else __sJT_st.setORAData(6,LOCOFSUPPLIERCOLDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:297^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSuppliercoldescRec ribSuppliercoldescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal COLLECTION_SIZE,
    RibSupplierdescTbl SUPPLIERDESC_TBL,
    RibSuppliercoldescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSuppliercoldescRec __jPt_temp = (RibSuppliercoldescRec) this;
    RibSuppliercoldescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:317^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:324^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:331^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupplierColDesc_REC(
//        :RIB_OID,
//        :COLLECTION_SIZE,
//        :SUPPLIERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupplierColDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupplierColDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,COLLECTION_SIZE);
   if (SUPPLIERDESC_TBL==null) __sJT_st.setNull(4,2003,"RMS01.RIB_SupplierDesc_TBL"); else __sJT_st.setORAData(4,SUPPLIERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSuppliercoldescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:338^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/