/*@lineinfo:filename=RibSupsiteRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibSupsiteRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_SupSite_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,2002,2003,2003,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[13];
  static
  {
    _factory[8] = RibSupattrRec.getORADataFactory();
    _factory[9] = RibSupsiteorgunitTbl.getORADataFactory();
    _factory[10] = RibSupsiteaddrTbl.getORADataFactory();
    _factory[11] = RibExtofsupsiteTbl.getORADataFactory();
    _factory[12] = RibLocofsupsiteTbl.getORADataFactory();
  }
  protected static final RibSupsiteRec _RibSupsiteRecFactory = new RibSupsiteRec();

  public static ORADataFactory getORADataFactory()
  { return _RibSupsiteRecFactory; }
  static
  { _map.put("RMS01.RIB_SupSite_REC", _RibSupsiteRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[13], _sqlType, _factory); }
  public RibSupsiteRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibSupsiteRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibSupsiteRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibSupsiteRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameSupplierdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String supsiteXrefKey, java.math.BigDecimal supplierSiteId, RibSupattrRec supattr, RibSupsiteorgunitTbl supsiteorgunitTbl, RibSupsiteaddrTbl supsiteaddrTbl, RibExtofsupsiteTbl extofsupsiteTbl, RibLocofsupsiteTbl locofsupsiteTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameSupplierdesc(nsNameSupplierdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setSupsiteXrefKey(supsiteXrefKey);
    setSupplierSiteId(supplierSiteId);
    setSupattr(supattr);
    setSupsiteorgunitTbl(supsiteorgunitTbl);
    setSupsiteaddrTbl(supsiteaddrTbl);
    setExtofsupsiteTbl(extofsupsiteTbl);
    setLocofsupsiteTbl(locofsupsiteTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibSupsiteRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibSupsiteRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibSupsiteRec o) { _struct = o._struct; }
  protected ORAData create(RibSupsiteRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibSupsiteRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameSupplierdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameSupplierdesc(String nsNameSupplierdesc) throws SQLException
  { _struct.setAttribute(2, nsNameSupplierdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getSupsiteXrefKey() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setSupsiteXrefKey(String supsiteXrefKey) throws SQLException
  { _struct.setAttribute(6, supsiteXrefKey); }


  public java.math.BigDecimal getSupplierSiteId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setSupplierSiteId(java.math.BigDecimal supplierSiteId) throws SQLException
  { _struct.setAttribute(7, supplierSiteId); }


  public RibSupattrRec getSupattr() throws SQLException
  { return (RibSupattrRec) _struct.getAttribute(8); }

  public void setSupattr(RibSupattrRec supattr) throws SQLException
  { _struct.setAttribute(8, supattr); }


  public RibSupsiteorgunitTbl getSupsiteorgunitTbl() throws SQLException
  { return (RibSupsiteorgunitTbl) _struct.getAttribute(9); }

  public void setSupsiteorgunitTbl(RibSupsiteorgunitTbl supsiteorgunitTbl) throws SQLException
  { _struct.setAttribute(9, supsiteorgunitTbl); }


  public RibSupsiteaddrTbl getSupsiteaddrTbl() throws SQLException
  { return (RibSupsiteaddrTbl) _struct.getAttribute(10); }

  public void setSupsiteaddrTbl(RibSupsiteaddrTbl supsiteaddrTbl) throws SQLException
  { _struct.setAttribute(10, supsiteaddrTbl); }


  public RibExtofsupsiteTbl getExtofsupsiteTbl() throws SQLException
  { return (RibExtofsupsiteTbl) _struct.getAttribute(11); }

  public void setExtofsupsiteTbl(RibExtofsupsiteTbl extofsupsiteTbl) throws SQLException
  { _struct.setAttribute(11, extofsupsiteTbl); }


  public RibLocofsupsiteTbl getLocofsupsiteTbl() throws SQLException
  { return (RibLocofsupsiteTbl) _struct.getAttribute(12); }

  public void setLocofsupsiteTbl(RibLocofsupsiteTbl locofsupsiteTbl) throws SQLException
  { _struct.setAttribute(12, locofsupsiteTbl); }


  public RibSupsiteRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibSupsiteRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:182^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupSite_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:187^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibSupsiteRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:195^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_SupSite_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:200^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:215^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:220^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:228^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:233^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibSupsiteRec ribSupsiteRec (
    java.math.BigDecimal RIB_OID,
    String SUPSITE_XREF_KEY,
    java.math.BigDecimal SUPPLIER_SITE_ID,
    RibSupattrRec SUPATTR,
    RibSupsiteorgunitTbl SUPSITEORGUNIT_TBL,
    RibSupsiteaddrTbl SUPSITEADDR_TBL,
    RibExtofsupsiteTbl EXTOFSUPSITE_TBL,
    RibSupsiteRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupsiteRec __jPt_temp = (RibSupsiteRec) this;
    RibSupsiteRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:256^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL,
//        :EXTOFSUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
   if (EXTOFSUPSITE_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfSupSite_TBL"); else __sJT_st.setORAData(8,EXTOFSUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:267^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:274^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL,
//        :EXTOFSUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
   if (EXTOFSUPSITE_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfSupSite_TBL"); else __sJT_st.setORAData(8,EXTOFSUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:285^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSupsiteRec ribSupsiteRec (
    java.math.BigDecimal RIB_OID,
    String SUPSITE_XREF_KEY,
    java.math.BigDecimal SUPPLIER_SITE_ID,
    RibSupattrRec SUPATTR,
    RibSupsiteorgunitTbl SUPSITEORGUNIT_TBL,
    RibSupsiteaddrTbl SUPSITEADDR_TBL,
    RibExtofsupsiteTbl EXTOFSUPSITE_TBL,
    RibLocofsupsiteTbl LOCOFSUPSITE_TBL,
    RibSupsiteRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupsiteRec __jPt_temp = (RibSupsiteRec) this;
    RibSupsiteRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:310^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL,
//        :EXTOFSUPSITE_TBL,
//        :LOCOFSUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
   if (EXTOFSUPSITE_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfSupSite_TBL"); else __sJT_st.setORAData(8,EXTOFSUPSITE_TBL);
   if (LOCOFSUPSITE_TBL==null) __sJT_st.setNull(9,2003,"RMS01.RIB_LocOfSupSite_TBL"); else __sJT_st.setORAData(9,LOCOFSUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:322^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:329^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL,
//        :EXTOFSUPSITE_TBL,
//        :LOCOFSUPSITE_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
   if (EXTOFSUPSITE_TBL==null) __sJT_st.setNull(8,2003,"RMS01.RIB_ExtOfSupSite_TBL"); else __sJT_st.setORAData(8,EXTOFSUPSITE_TBL);
   if (LOCOFSUPSITE_TBL==null) __sJT_st.setNull(9,2003,"RMS01.RIB_LocOfSupSite_TBL"); else __sJT_st.setORAData(9,LOCOFSUPSITE_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:341^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibSupsiteRec ribSupsiteRec (
    java.math.BigDecimal RIB_OID,
    String SUPSITE_XREF_KEY,
    java.math.BigDecimal SUPPLIER_SITE_ID,
    RibSupattrRec SUPATTR,
    RibSupsiteorgunitTbl SUPSITEORGUNIT_TBL,
    RibSupsiteaddrTbl SUPSITEADDR_TBL,
    RibSupsiteRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibSupsiteRec __jPt_temp = (RibSupsiteRec) this;
    RibSupsiteRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:364^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:374^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:381^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_SupSite_REC(
//        :RIB_OID,
//        :SUPSITE_XREF_KEY,
//        :SUPPLIER_SITE_ID,
//        :SUPATTR,
//        :SUPSITEORGUNIT_TBL,
//        :SUPSITEADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_SupSite_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_SupSite_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,SUPSITE_XREF_KEY);
   __sJT_st.setBigDecimal(4,SUPPLIER_SITE_ID);
   if (SUPATTR==null) __sJT_st.setNull(5,2002,"RMS01.RIB_SupAttr_REC"); else __sJT_st.setORAData(5,SUPATTR);
   if (SUPSITEORGUNIT_TBL==null) __sJT_st.setNull(6,2003,"RMS01.RIB_SupSiteOrgUnit_TBL"); else __sJT_st.setORAData(6,SUPSITEORGUNIT_TBL);
   if (SUPSITEADDR_TBL==null) __sJT_st.setNull(7,2003,"RMS01.RIB_SupSiteAddr_TBL"); else __sJT_st.setORAData(7,SUPSITEADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibSupsiteRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:391^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/