package oracle.retail.microapps.vendor.update.backing;

import java.util.Map;

import javax.faces.event.ActionEvent;

import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;
import oracle.adf.view.rich.component.rich.input.RichInputListOfValues;
import oracle.adf.view.rich.component.rich.input.RichInputText;
import oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelGroupLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelLabelAndMessage;
import oracle.adf.view.rich.component.rich.nav.RichCommandButton;
import oracle.adf.view.rich.component.rich.output.RichInlineFrame;
import oracle.adf.view.rich.component.rich.output.RichOutputText;
import oracle.adf.view.rich.component.rich.output.RichSpacer;
import oracle.adf.view.rich.event.ReturnPopupEvent;

import oracle.jbo.ApplicationModule;

import oracle.retail.merch20.common.ADFUtils;

import org.apache.log4j.Logger;

public class UpdateVendor {
    private RichInputListOfValues supplierId;
    private RichPanelGroupLayout pgl1;
    private RichPanelFormLayout pfl1;
    private RichPanelLabelAndMessage plam1;
    private RichOutputText ot1;
    private RichInputText it1;
    private RichInputText it2;
    private RichInputText it3;
    private RichInputText it4;
    private RichCommandButton cb1;
    private RichOutputText ot2;
    private RichCommandButton cb2;
    private RichPanelFormLayout pfl2;
    private RichInlineFrame if1;
    
    //Status message to be displayed to the user
    private String statusMessage;
    //Parameter passed from called Task flow
    private String passedParam;
    //get logger instance
    Logger logger = Logger.getLogger(UpdateVendor.class);
    private RichSpacer s1;


    public void setSupplierId(RichInputListOfValues supplierId) {
        this.supplierId = supplierId;
    }

    public RichInputListOfValues getSupplierId() {
        return supplierId; 
    }
  
    public void setPgl1(RichPanelGroupLayout pgl1) {
        this.pgl1 = pgl1;
    }

    public RichPanelGroupLayout getPgl1() {
        return pgl1;
    }

    public void setPfl1(RichPanelFormLayout pfl1) {
        this.pfl1 = pfl1;
    }

    public RichPanelFormLayout getPfl1() {
        return pfl1;
    }

    public void setPlam1(RichPanelLabelAndMessage plam1) {
        this.plam1 = plam1;
    }

    public RichPanelLabelAndMessage getPlam1() {
        return plam1;
    }

    public void setOt1(RichOutputText ot1) {
        this.ot1 = ot1;
    }

    public RichOutputText getOt1() {
        return ot1;
    }

    public void setIt1(RichInputText it1) {
        this.it1 = it1;
    }

    public RichInputText getIt1() {
        return it1;
    }

    public void setIt2(RichInputText it2) {
        this.it2 = it2;
    }

    public RichInputText getIt2() {
        return it2;
    }

    public void setIt3(RichInputText it3) {
        this.it3 = it3;
    }

    public RichInputText getIt3() {
        return it3;
    }

    public void setIt4(RichInputText it4) {
        this.it4 = it4;
    }

    public RichInputText getIt4() {
        return it4;
    }

    public void setCb1(RichCommandButton cb1) {
        this.cb1 = cb1;
    }

    public RichCommandButton getCb1() {
        return cb1;
    }
    
    public void setStatusMessage(String statusMessage) {
        this.statusMessage = statusMessage;
    }

    public String getStatusMessage() {
        return statusMessage;
    }

    public void setOt2(RichOutputText ot2) {
        this.ot2 = ot2;
    }

    public RichOutputText getOt2() {
        return ot2;
    }

    public void setCb2(RichCommandButton cb2) {
        this.cb2 = cb2;
    }

    public RichCommandButton getCb2() {
        return cb2;
    }

    public void setPfl2(RichPanelFormLayout pfl2) {
        this.pfl2 = pfl2;
    }

    public RichPanelFormLayout getPfl2() {
        return pfl2;
    }

    public void setIf1(RichInlineFrame if1) {
        this.if1 = if1;
    }

    public RichInlineFrame getIf1() {
        return if1;
    }

    /**
     * This method is called when the user clicks on 'Cancel' button to reset the form.
     * It will reset bind variables as well as clears the input values on the form.
     * @param actionEvent ActionEvent
     */
    public void cancelUpdate(ActionEvent actionEvent) {
        passedParam = "";
        //supplierId.setValue(null);
        logger.debug("Setting ViewScope variable to blank to reset the bind variable");
        ADFContext.getCurrent().getViewScope().put("supplierID", "");
        DCIteratorBinding supplierDetailsIterator = ADFUtils.findIterator("SupplierDetailsVO1Iterator");
        logger.debug("Executing the query of the SupplierDetailsVO view object");
        supplierDetailsIterator.executeQuery();
        supplierDetailsIterator.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
    }

    /**
     * This method is called when the user selects a Supplier from the Supplier List of Values
     * Editor in the UpdateVendor application. The selected Supplier ID is set in the View Scope to be
     * accessed by any other View Objects which need it
     * @param returnPopupEvent PopupEvent
     */
    public void selectSupplier(ReturnPopupEvent returnPopupEvent) {
        setStatusMessage("");
        logger.debug("Setting selected Order in to the ViewScope for Bind Variable");
        ADFContext.getCurrent().getViewScope().put("supplierID", supplierId.getValue());
        DCIteratorBinding detailsIterator = ADFUtils.findIterator("SupplierDetailsVO1Iterator");
        logger.debug("Executing the query of the SupplierDetailsVO view object");
        detailsIterator.executeQuery();
    }

    /**
     * This method calls the updateVendor method in UpdateVendor Application Module.
     * It sets the status message to the result returned from the updateVendor call
     * @return String Status of the Vendor update process
     */
    public String updateVendor() {
      Map resourceBundle =
          ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.retail.microapps.vendor.i18n.VendorBundle']}");
      logger.debug("Fetching the instance of Application Module");
      ApplicationModule am = ADFUtils.getApplicationModuleForDataControl("UpdateVendorDataControl");
      oracle.retail.microapps.vendor.update.am.common.UpdateVendor updateVendor = (oracle.retail.microapps.vendor.update.am.common.UpdateVendor)am;

      logger.debug("Calling cancelOrder() method of Application Module");
      String result = updateVendor.updateVendor();

      if (result.equals("S")) {
          result =  resourceBundle.get("SUPPLIER") + " " + ADFContext.getCurrent().getViewScope().get("supplierID") + " " + resourceBundle.get("SUCCESS_MSG");
      } else {
          result = resourceBundle.get("ERROR_MSG") + "(" + resourceBundle.get("SUPPLIER") + " " + ADFContext.getCurrent().getViewScope().get("supplierID") + ")  " + result;
      }

      logger.debug("result" + result);
      setStatusMessage(result);
      return result;
    }

    /**
     * This method will check for passed parameter. If found then it will set the 
     * parameter in the bind variables of OrderLocVO1Iterator and executes the query.
     */
      public void setPassedParam(String passedParam) {
          this.passedParam = passedParam;
          logger.debug("Passed Supplier Id is : " + passedParam);
    
          if (passedParam != null && !passedParam.toString().equals("")) {
              logger.debug("Setting passed Supplier Id in to the ViewScope for Bind Variable");
              ADFContext.getCurrent().getViewScope().put("supplierID", passedParam.toString());
              DCIteratorBinding detailsIterator = ADFUtils.findIterator("SupplierDetailsVO1Iterator");
              detailsIterator.executeQuery();
              logger.debug("Completed passing the parameter to the view scope");
          }
      }
    
      public String getPassedParam() {
          return passedParam;
      }

    public void setS1(RichSpacer s1) {
        this.s1 = s1;
    }

    public RichSpacer getS1() {
        return s1;
    }
}
