/*@lineinfo:filename=RibXtsfdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.item.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXtsfdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XTsfDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,2,12,12,12,12,91,2,12,12,12,2003,12,12,12,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[21];
  static
  {
    _factory[16] = RibXtsfdtlTbl.getORADataFactory();
    _factory[20] = RibExtofxtsfdescTbl.getORADataFactory();
  }
  protected static final RibXtsfdescRec _RibXtsfdescRecFactory = new RibXtsfdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXtsfdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XTsfDesc_REC", _RibXtsfdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[21], _sqlType, _factory); }
  public RibXtsfdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXtsfdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXtsfdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXtsfdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXtsfdesc, String nsTypeBo, String nsLocationBase, String nsLevelTop, java.math.BigDecimal tsfNo, String fromLocType, String fromLoc, String toLocType, String toLoc, java.sql.Timestamp deliveryDate, java.math.BigDecimal dept, String routingCode, String freightCode, String tsfType, RibXtsfdtlTbl xtsfdtlTbl, String status, String userId, String commentDesc, RibExtofxtsfdescTbl extofxtsfdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXtsfdesc(nsNameXtsfdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelTop(nsLevelTop);
    setTsfNo(tsfNo);
    setFromLocType(fromLocType);
    setFromLoc(fromLoc);
    setToLocType(toLocType);
    setToLoc(toLoc);
    setDeliveryDate(deliveryDate);
    setDept(dept);
    setRoutingCode(routingCode);
    setFreightCode(freightCode);
    setTsfType(tsfType);
    setXtsfdtlTbl(xtsfdtlTbl);
    setStatus(status);
    setUserId(userId);
    setCommentDesc(commentDesc);
    setExtofxtsfdescTbl(extofxtsfdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXtsfdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXtsfdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXtsfdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXtsfdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXtsfdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXtsfdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXtsfdesc(String nsNameXtsfdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXtsfdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelTop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelTop(String nsLevelTop) throws SQLException
  { _struct.setAttribute(5, nsLevelTop); }


  public java.math.BigDecimal getTsfNo() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(6); }

  public void setTsfNo(java.math.BigDecimal tsfNo) throws SQLException
  { _struct.setAttribute(6, tsfNo); }


  public String getFromLocType() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setFromLocType(String fromLocType) throws SQLException
  { _struct.setAttribute(7, fromLocType); }


  public String getFromLoc() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setFromLoc(String fromLoc) throws SQLException
  { _struct.setAttribute(8, fromLoc); }


  public String getToLocType() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setToLocType(String toLocType) throws SQLException
  { _struct.setAttribute(9, toLocType); }


  public String getToLoc() throws SQLException
  { return (String) _struct.getAttribute(10); }

  public void setToLoc(String toLoc) throws SQLException
  { _struct.setAttribute(10, toLoc); }


  public java.sql.Timestamp getDeliveryDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(11); }

  public void setDeliveryDate(java.sql.Timestamp deliveryDate) throws SQLException
  { _struct.setAttribute(11, deliveryDate); }


  public java.math.BigDecimal getDept() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(12); }

  public void setDept(java.math.BigDecimal dept) throws SQLException
  { _struct.setAttribute(12, dept); }


  public String getRoutingCode() throws SQLException
  { return (String) _struct.getAttribute(13); }

  public void setRoutingCode(String routingCode) throws SQLException
  { _struct.setAttribute(13, routingCode); }


  public String getFreightCode() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setFreightCode(String freightCode) throws SQLException
  { _struct.setAttribute(14, freightCode); }


  public String getTsfType() throws SQLException
  { return (String) _struct.getAttribute(15); }

  public void setTsfType(String tsfType) throws SQLException
  { _struct.setAttribute(15, tsfType); }


  public RibXtsfdtlTbl getXtsfdtlTbl() throws SQLException
  { return (RibXtsfdtlTbl) _struct.getAttribute(16); }

  public void setXtsfdtlTbl(RibXtsfdtlTbl xtsfdtlTbl) throws SQLException
  { _struct.setAttribute(16, xtsfdtlTbl); }


  public String getStatus() throws SQLException
  { return (String) _struct.getAttribute(17); }

  public void setStatus(String status) throws SQLException
  { _struct.setAttribute(17, status); }


  public String getUserId() throws SQLException
  { return (String) _struct.getAttribute(18); }

  public void setUserId(String userId) throws SQLException
  { _struct.setAttribute(18, userId); }


  public String getCommentDesc() throws SQLException
  { return (String) _struct.getAttribute(19); }

  public void setCommentDesc(String commentDesc) throws SQLException
  { _struct.setAttribute(19, commentDesc); }


  public RibExtofxtsfdescTbl getExtofxtsfdescTbl() throws SQLException
  { return (RibExtofxtsfdescTbl) _struct.getAttribute(20); }

  public void setExtofxtsfdescTbl(RibExtofxtsfdescTbl extofxtsfdescTbl) throws SQLException
  { _struct.setAttribute(20, extofxtsfdescTbl); }


  public RibXtsfdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXtsfdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:243^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XTsfDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:248^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXtsfdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:256^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XTsfDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:261^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:276^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:281^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:289^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.item.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:294^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:318^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:330^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:337^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:349^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:375^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:388^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:395^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:408^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdtlTbl XTSFDTL_TBL,
    String STATUS,
    String USER_ID,
    String COMMENT_DESC,
    RibExtofxtsfdescTbl EXTOFXTSFDESC_TBL,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:441^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXTSFDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
   __sJT_st.setString(16,COMMENT_DESC);
   if (EXTOFXTSFDESC_TBL==null) __sJT_st.setNull(17,2003,"RMS01.RIB_ExtOfXTsfDesc_TBL"); else __sJT_st.setORAData(17,EXTOFXTSFDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:461^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:468^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXTSFDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
   __sJT_st.setString(16,COMMENT_DESC);
   if (EXTOFXTSFDESC_TBL==null) __sJT_st.setNull(17,2003,"RMS01.RIB_ExtOfXTsfDesc_TBL"); else __sJT_st.setORAData(17,EXTOFXTSFDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:488^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:516^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:531^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:538^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:553^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdtlTbl XTSFDTL_TBL,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:582^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:598^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:605^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:621^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdtlTbl XTSFDTL_TBL,
    String STATUS,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:651^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:668^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:675^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:692^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdtlTbl XTSFDTL_TBL,
    String STATUS,
    String USER_ID,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:723^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:741^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:748^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:766^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    String TSF_TYPE,
    RibXtsfdtlTbl XTSFDTL_TBL,
    String STATUS,
    String USER_ID,
    String COMMENT_DESC,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:798^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID,
//        :COMMENT_DESC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
   __sJT_st.setString(16,COMMENT_DESC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:817^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:824^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE,
//        :TSF_TYPE,
//        :XTSFDTL_TBL,
//        :STATUS,
//        :USER_ID,
//        :COMMENT_DESC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
   __sJT_st.setString(12,TSF_TYPE);
   if (XTSFDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_XTsfDtl_TBL"); else __sJT_st.setORAData(13,XTSFDTL_TBL);
   __sJT_st.setString(14,STATUS);
   __sJT_st.setString(15,USER_ID);
   __sJT_st.setString(16,COMMENT_DESC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:843^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:867^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:878^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:885^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:896^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:919^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"22oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:929^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:936^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"23oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:946^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXtsfdescRec ribXtsfdescRec (
    java.math.BigDecimal RIB_OID,
    java.math.BigDecimal TSF_NO,
    String FROM_LOC_TYPE,
    String FROM_LOC,
    String TO_LOC_TYPE,
    String TO_LOC,
    java.sql.Timestamp DELIVERY_DATE,
    java.math.BigDecimal DEPT,
    String ROUTING_CODE,
    String FREIGHT_CODE,
    RibXtsfdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXtsfdescRec __jPt_temp = (RibXtsfdescRec) this;
    RibXtsfdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:973^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"24oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:987^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:994^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XTsfDesc_REC(
//        :RIB_OID,
//        :TSF_NO,
//        :FROM_LOC_TYPE,
//        :FROM_LOC,
//        :TO_LOC_TYPE,
//        :TO_LOC,
//        :DELIVERY_DATE,
//        :DEPT,
//        :ROUTING_CODE,
//        :FREIGHT_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XTsfDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"25oracle.retail.microapps.item.ribtypes.RibXtsfdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XTsfDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setBigDecimal(3,TSF_NO);
   __sJT_st.setString(4,FROM_LOC_TYPE);
   __sJT_st.setString(5,FROM_LOC);
   __sJT_st.setString(6,TO_LOC_TYPE);
   __sJT_st.setString(7,TO_LOC);
   __sJT_st.setTimestamp(8,DELIVERY_DATE);
   __sJT_st.setBigDecimal(9,DEPT);
   __sJT_st.setString(10,ROUTING_CODE);
   __sJT_st.setString(11,FREIGHT_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.item.ribtypes.RibXtsfdescRec)__sJT_st.getORAData(1,oracle.retail.microapps.item.ribtypes.RibXtsfdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1008^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/
