package oracle.retail.microapps.order.cancel.backing;

import java.util.Map;

import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;
import oracle.adf.view.rich.component.rich.data.RichTable;
import oracle.adf.view.rich.component.rich.input.RichInputListOfValues;
import oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelGroupLayout;
import oracle.adf.view.rich.component.rich.layout.RichPanelLabelAndMessage;
import oracle.adf.view.rich.component.rich.nav.RichCommandButton;
import oracle.adf.view.rich.component.rich.output.RichOutputText;
import oracle.adf.view.rich.component.rich.output.RichSpacer;
import oracle.adf.view.rich.event.ReturnPopupEvent;

import oracle.jbo.ApplicationModule;

import oracle.retail.merch20.common.ADFUtils;

import org.apache.log4j.Logger;

public class CancelOrder {
    private RichInputListOfValues orderNoId;
    private RichPanelLabelAndMessage plam1;
    private RichOutputText ot1;
    private RichPanelLabelAndMessage plam2;
    private RichOutputText ot2;
    private RichPanelLabelAndMessage plam3;
    private RichOutputText ot3;
    private RichPanelLabelAndMessage plam4;
    private RichOutputText ot4;
    private RichTable t1;
    private RichCommandButton cb1;
    private RichOutputText ot11;
    private RichCommandButton cb2;
    private RichPanelFormLayout pfl2;
    private RichPanelFormLayout pfl3;
    private RichPanelFormLayout pfl4;
    private RichSpacer s1;
    private RichSpacer s2;
    private RichSpacer s3;
    private RichPanelGroupLayout pgl1;
    private RichSpacer s4;

    //Status message to be displayed to the user
    private String statusMessage;
    //Parameter passed from called Task flow
    private String passedParam;
    //get logger instance
    Logger logger = Logger.getLogger(CancelOrder.class);

    public void setOrderNoId(RichInputListOfValues orderNoId) {
        this.orderNoId = orderNoId;
    }

    public RichInputListOfValues getOrderNoId() {
        return orderNoId;
    }

    public void setPlam1(RichPanelLabelAndMessage plam1) {
        this.plam1 = plam1;
    }

    public RichPanelLabelAndMessage getPlam1() {
        return plam1;
    }

    public void setOt1(RichOutputText ot1) {
        this.ot1 = ot1;
    }

    public RichOutputText getOt1() {
        return ot1;
    }

    public void setPlam2(RichPanelLabelAndMessage plam2) {
        this.plam2 = plam2;
    }

    public RichPanelLabelAndMessage getPlam2() {
        return plam2;
    }

    public void setOt2(RichOutputText ot2) {
        this.ot2 = ot2;
    }

    public RichOutputText getOt2() {
        return ot2;
    }

    public void setPlam3(RichPanelLabelAndMessage plam3) {
        this.plam3 = plam3;
    }

    public RichPanelLabelAndMessage getPlam3() {
        return plam3;
    }

    public void setOt3(RichOutputText ot3) {
        this.ot3 = ot3;
    }

    public RichOutputText getOt3() {
        return ot3;
    }

    public void setPlam4(RichPanelLabelAndMessage plam4) {
        this.plam4 = plam4;
    }

    public RichPanelLabelAndMessage getPlam4() {
        return plam4;
    }

    public void setOt4(RichOutputText ot4) {
        this.ot4 = ot4;
    }

    public RichOutputText getOt4() {
        return ot4;
    }

    public void setT1(RichTable t1) {
        this.t1 = t1;
    }

    public RichTable getT1() {
        return t1;
    }

    public void setCb1(RichCommandButton cb1) {
        this.cb1 = cb1;
    }

    public RichCommandButton getCb1() {
        return cb1;
    }

    public void setStatusMessage(String statusMessage) {
        this.statusMessage = statusMessage;
    }

    public String getStatusMessage() {
        return statusMessage;
    }

    public void setOt11(RichOutputText ot11) {
        this.ot11 = ot11;
    }

    public RichOutputText getOt11() {
        return ot11;
    }

    public void setCb2(RichCommandButton cb2) {
        this.cb2 = cb2;
    }

    public RichCommandButton getCb2() {
        return cb2;
    }

    public void setPfl2(RichPanelFormLayout pfl2) {
        this.pfl2 = pfl2;
    }

    public RichPanelFormLayout getPfl2() {
        return pfl2;
    }

    public void setPfl3(RichPanelFormLayout pfl3) {
        this.pfl3 = pfl3;
    }

    public RichPanelFormLayout getPfl3() {
        return pfl3;
    }

    public void setPfl4(RichPanelFormLayout pfl4) {
        this.pfl4 = pfl4;
    }

    public RichPanelFormLayout getPfl4() {
        return pfl4;
    }

    public void setS1(RichSpacer s1) {
        this.s1 = s1;
    }

    public RichSpacer getS1() {
        return s1;
    }

    public void setS2(RichSpacer s2) {
        this.s2 = s2;
    }

    public RichSpacer getS2() {
        return s2;
    }

    public void setS3(RichSpacer s3) {
        this.s3 = s3;
    }

    public RichSpacer getS3() {
        return s3;
    }

    public void setPgl1(RichPanelGroupLayout pgl1) {
        this.pgl1 = pgl1;
    }

    public RichPanelGroupLayout getPgl1() {
        return pgl1;
    }

    public void setS4(RichSpacer s4) {
        this.s4 = s4;
    }
  
    public RichSpacer getS4() {
        return s4;
    }

    /**
     * This method calls the cancelOrder method in CancelOrder Application Module.
     * It sets the status message to the result returned from the cancelOrder call
     * @return String - Status of the cancel Order process
     */
    public String cancelOrder() {
        ApplicationModule am = ADFUtils.getApplicationModuleForDataControl("CancelOrderDataControl");
        logger.debug("Fetching the instance of Application Module");
        oracle.retail.microapps.order.cancel.am.common.CancelOrder order =
            (oracle.retail.microapps.order.cancel.am.common.CancelOrder)am;
        
        logger.debug("Calling cancelOrder() method of Application Module");
        String result = order.cancelOrder();

        Map resourceBundle = ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.retail.microapps.order.i18n.OrderBundle']}");
        
        if (result.equals("S")) {
            result =  resourceBundle.get("ORDER_NO_") + " " + ADFContext.getCurrent().getViewScope().get("orderID") + " " + resourceBundle.get("SUCCESS_MSG");
          //Disable the cancel button once Parameter passed Order No has been cancelled successfully
          if (orderNoId.isDisabled()){
            cb1.setDisabled(true);
          }
        } else {
            result = resourceBundle.get("ERROR_MSG") + "(" + resourceBundle.get("ORDER_NO_") + " " + ADFContext.getCurrent().getViewScope().get("orderID") + ")  " + result;
        }
  
        logger.debug("result" + result);
        setStatusMessage(result);
        //Calling reset button to reset/clear the values after Order is cancelled.
        orderNoId.setValue(null);
        cancel(null);
        return result;
    }

    /**
     * This method is called when the user clicks on cancel Button to reset the values
     * This resets the orderID attribute in the View Scope as well as refreshing the iterator data
     * @param actionEvent ActionEvent 
     */
    public void cancel(ActionEvent actionEvent) {
        passedParam = "";
        logger.debug("Setting ViewScope variable to blank to reset the bind variable");
        ADFContext.getCurrent().getViewScope().put("orderID", "");
        DCIteratorBinding orderDetailsIterator = ADFUtils.findIterator("OrderLocVO1Iterator");
        orderDetailsIterator.executeQuery();
        logger.debug("Executing the query of the OrderLocVO view object");
        orderDetailsIterator.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
        logger.debug("Setting the JSF rendered response");
        FacesContext.getCurrentInstance().renderResponse();
    }

    /**
     * This method is called when the user selects an Order from the Order List of Values
     * Editor in the CancelOrder application. The selected orderID is set in the View Scope to be
     * accessed by any other View Objects which need it
     * @param returnPopupEvent PopupEvent
     */
    public void selectOrderId(ReturnPopupEvent returnPopupEvent) {
        setStatusMessage("");
        logger.debug("Setting selected Order in to the ViewScope for Bind Variable");
        ADFContext.getCurrent().getViewScope().put("orderID", orderNoId.getValue());
        DCIteratorBinding detailsIterator = ADFUtils.findIterator("OrderLocVO1Iterator");
        detailsIterator.executeQuery();
        logger.debug("Executing the query of the OrderLocVO view object");
    }

  /**
   * This method will check for passed parameter. If found then it will set the 
   * parameter in the bind variables of OrderLocVO1Iterator and executes the query.
   */
    public void setPassedParam(String passedParam) {
        this.passedParam = passedParam;
        logger.debug("Passed Order Id is : " + passedParam);
 
        if (passedParam != null && !passedParam.toString().equals("")) {
            logger.debug("Setting passed Order No in to the ViewScope for Bind Variable");
            ADFContext.getCurrent().getViewScope().put("orderID", passedParam.toString());
            DCIteratorBinding detailsIterator = ADFUtils.findIterator("OrderLocVO1Iterator");
            detailsIterator.executeQuery();
            logger.debug("Completed passing the parameter to the view scope");
        }
    }
  
    public String getPassedParam() {
        return passedParam;
    }
}
