/*@lineinfo:filename=RibXorderdtlRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.order.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXorderdtlRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XOrderDtl_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,2,2,12,12,2,2,12,12,12,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[17];
  static
  {
    _factory[16] = RibExtofxorderdtlTbl.getORADataFactory();
  }
  protected static final RibXorderdtlRec _RibXorderdtlRecFactory = new RibXorderdtlRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXorderdtlRecFactory; }
  static
  { _map.put("RMS01.RIB_XOrderDtl_REC", _RibXorderdtlRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[17], _sqlType, _factory); }
  public RibXorderdtlRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXorderdtlRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXorderdtlRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXorderdtlRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXorderdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String item, java.math.BigDecimal location, java.math.BigDecimal unitCost, String refItem, String originCountryId, java.math.BigDecimal suppPackSize, java.math.BigDecimal qtyOrdered, String locationType, String cancelInd, String reinstateInd, RibExtofxorderdtlTbl extofxorderdtlTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXorderdesc(nsNameXorderdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setItem(item);
    setLocation(location);
    setUnitCost(unitCost);
    setRefItem(refItem);
    setOriginCountryId(originCountryId);
    setSuppPackSize(suppPackSize);
    setQtyOrdered(qtyOrdered);
    setLocationType(locationType);
    setCancelInd(cancelInd);
    setReinstateInd(reinstateInd);
    setExtofxorderdtlTbl(extofxorderdtlTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXorderdtlRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXorderdtlRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXorderdtlRec o) { _struct = o._struct; }
  protected ORAData create(RibXorderdtlRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXorderdtlRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXorderdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXorderdesc(String nsNameXorderdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXorderdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getItem() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setItem(String item) throws SQLException
  { _struct.setAttribute(6, item); }


  public java.math.BigDecimal getLocation() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(7); }

  public void setLocation(java.math.BigDecimal location) throws SQLException
  { _struct.setAttribute(7, location); }


  public java.math.BigDecimal getUnitCost() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(8); }

  public void setUnitCost(java.math.BigDecimal unitCost) throws SQLException
  { _struct.setAttribute(8, unitCost); }


  public String getRefItem() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setRefItem(String refItem) throws SQLException
  { _struct.setAttribute(9, refItem); }


  public String getOriginCountryId() throws SQLException
  { return (String) _struct.getAttribute(10); }

  public void setOriginCountryId(String originCountryId) throws SQLException
  { _struct.setAttribute(10, originCountryId); }


  public java.math.BigDecimal getSuppPackSize() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(11); }

  public void setSuppPackSize(java.math.BigDecimal suppPackSize) throws SQLException
  { _struct.setAttribute(11, suppPackSize); }


  public java.math.BigDecimal getQtyOrdered() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(12); }

  public void setQtyOrdered(java.math.BigDecimal qtyOrdered) throws SQLException
  { _struct.setAttribute(12, qtyOrdered); }


  public String getLocationType() throws SQLException
  { return (String) _struct.getAttribute(13); }

  public void setLocationType(String locationType) throws SQLException
  { _struct.setAttribute(13, locationType); }


  public String getCancelInd() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setCancelInd(String cancelInd) throws SQLException
  { _struct.setAttribute(14, cancelInd); }


  public String getReinstateInd() throws SQLException
  { return (String) _struct.getAttribute(15); }

  public void setReinstateInd(String reinstateInd) throws SQLException
  { _struct.setAttribute(15, reinstateInd); }


  public RibExtofxorderdtlTbl getExtofxorderdtlTbl() throws SQLException
  { return (RibExtofxorderdtlTbl) _struct.getAttribute(16); }

  public void setExtofxorderdtlTbl(RibExtofxorderdtlTbl extofxorderdtlTbl) throws SQLException
  { _struct.setAttribute(16, extofxorderdtlTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:210^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.order.ribtypes.RibObject)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:215^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:223^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.order.ribtypes.RibObject)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:228^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXorderdtlRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXorderdtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:243^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XOrderDtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:248^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXorderdtlRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:256^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XOrderDtl_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:261^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXorderdtlRec ribXorderdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal LOCATION,
    java.math.BigDecimal UNIT_COST,
    String REF_ITEM,
    String ORIGIN_COUNTRY_ID,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal QTY_ORDERED,
    String LOCATION_TYPE,
    String CANCEL_IND,
    String REINSTATE_IND,
    RibXorderdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdtlRec __jPt_temp = (RibXorderdtlRec) this;
    RibXorderdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:288^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND,
//        :REINSTATE_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
   __sJT_st.setString(12,REINSTATE_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:303^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:310^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND,
//        :REINSTATE_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
   __sJT_st.setString(12,REINSTATE_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:325^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdtlRec ribXorderdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal LOCATION,
    java.math.BigDecimal UNIT_COST,
    String REF_ITEM,
    String ORIGIN_COUNTRY_ID,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal QTY_ORDERED,
    String LOCATION_TYPE,
    String CANCEL_IND,
    RibXorderdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdtlRec __jPt_temp = (RibXorderdtlRec) this;
    RibXorderdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:352^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:366^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:373^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:387^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdtlRec ribXorderdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal LOCATION,
    java.math.BigDecimal UNIT_COST,
    String REF_ITEM,
    String ORIGIN_COUNTRY_ID,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal QTY_ORDERED,
    String LOCATION_TYPE,
    String CANCEL_IND,
    String REINSTATE_IND,
    RibExtofxorderdtlTbl EXTOFXORDERDTL_TBL,
    RibXorderdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdtlRec __jPt_temp = (RibXorderdtlRec) this;
    RibXorderdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:416^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND,
//        :REINSTATE_IND,
//        :EXTOFXORDERDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
   __sJT_st.setString(12,REINSTATE_IND);
   if (EXTOFXORDERDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_ExtOfXOrderDtl_TBL"); else __sJT_st.setORAData(13,EXTOFXORDERDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:432^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:439^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE,
//        :CANCEL_IND,
//        :REINSTATE_IND,
//        :EXTOFXORDERDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
   __sJT_st.setString(11,CANCEL_IND);
   __sJT_st.setString(12,REINSTATE_IND);
   if (EXTOFXORDERDTL_TBL==null) __sJT_st.setNull(13,2003,"RMS01.RIB_ExtOfXOrderDtl_TBL"); else __sJT_st.setORAData(13,EXTOFXORDERDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:455^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdtlRec ribXorderdtlRec (
    java.math.BigDecimal RIB_OID,
    String ITEM,
    java.math.BigDecimal LOCATION,
    java.math.BigDecimal UNIT_COST,
    String REF_ITEM,
    String ORIGIN_COUNTRY_ID,
    java.math.BigDecimal SUPP_PACK_SIZE,
    java.math.BigDecimal QTY_ORDERED,
    String LOCATION_TYPE,
    RibXorderdtlRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdtlRec __jPt_temp = (RibXorderdtlRec) this;
    RibXorderdtlRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:481^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:494^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:501^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDtl_REC(
//        :RIB_OID,
//        :ITEM,
//        :LOCATION,
//        :UNIT_COST,
//        :REF_ITEM,
//        :ORIGIN_COUNTRY_ID,
//        :SUPP_PACK_SIZE,
//        :QTY_ORDERED,
//        :LOCATION_TYPE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDtl_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.order.cancel.ribtypes.RibXorderdtlRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDtl_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ITEM);
   __sJT_st.setBigDecimal(4,LOCATION);
   __sJT_st.setBigDecimal(5,UNIT_COST);
   __sJT_st.setString(6,REF_ITEM);
   __sJT_st.setString(7,ORIGIN_COUNTRY_ID);
   __sJT_st.setBigDecimal(8,SUPP_PACK_SIZE);
   __sJT_st.setBigDecimal(9,QTY_ORDERED);
   __sJT_st.setString(10,LOCATION_TYPE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.order.ribtypes.RibXorderdtlRec)__sJT_st.getORAData(1, oracle.retail.microapps.order.ribtypes.RibXorderdtlRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:514^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/
