package oracle.retail.microapps.item.transfer.am.view.ItemVO1VO;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.jbo.domain.Number;

import oracle.retail.microapps.item.transfer.am.applicationModule.TransferItemAMFixture;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class ItemVO1VOTest {
    private TransferItemAMFixture fixture1 = TransferItemAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger("ItemVO1VOTest.class");

    public ItemVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view = fixture1.getApplicationModule().findViewObject("ItemVO1");
        assertNotNull(view);
    }

    /**
     * This method is to test the View Objects for the valid
     * Items. This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */    
    @Test
  public void testVOQuery() {
      ViewObject itemVO = fixture1.getApplicationModule().findViewObject("ItemVO1");
      logger.debug("ItemVO1 VO fetched");
      //get a valid location id.
      itemVO.setNamedWhereClauseParam("from_loc", null);
      itemVO.setNamedWhereClauseParam("from_loc_type", null);
      itemVO.setNamedWhereClauseParam("dept", null);
      itemVO.executeQuery();
      Row[] rows = itemVO.getAllRowsInRange();
      logger.debug("Rows in ItemVO1 fetched");
      Assert.assertTrue(rows.length > 0);
  }
    
    /**
     * This method is to test the View Objects for the mandatory attribute- Item.
     * This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */ 
    @Test
    public void testVOMandatoryAttribute_item() {
        ViewObject itemVO = fixture1.getApplicationModule().findViewObject("ItemVO1");
        logger.debug("ItemVO1 VO fetched");
        //get a valid location id.
        itemVO.executeQuery();
        Row[] rows = itemVO.getAllRowsInRange();
        //there should be rows present for this vo in RMS test schema.
        //if this assumption is wrong, test will abort.
        Assume.assumeTrue(rows.length > 0);
        Object voAttr = rows[0].getAttribute("Item");
        logger.debug("Rows in DestLocationVO1 fetched with valid Location");
        Assert.assertTrue(voAttr != null);
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
