package oracle.retail.microapps.order.cancel.am.view.OrderLocVO1VO;

import com.bea.common.security.xacml.attr.IntegerAttribute;

import com.bea.common.security.xacml.attr.IntegerAttributeBag;

import com.octetstring.vde.syntax.IntegerSyntax;

import java.sql.SQLException;

import oracle.jbo.JboException;
import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.jbo.domain.Number;

import oracle.retail.microapps.order.cancel.am.applicationModule.CancelOrderAMFixture;

import org.apache.commons.beanutils.converters.IntegerConverter;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class OrderLocVO1VOTest {
    private CancelOrderAMFixture fixture1 = CancelOrderAMFixture.getInstance();
    // get a logger instance
    Logger logger = Logger.getLogger(OrderLocVO1VOTest.class);

    public OrderLocVO1VOTest() {
    }

    @Test
    public void testAccess() {
        ViewObject view =
            fixture1.getApplicationModule().findViewObject("OrderLocVO1");
        assertNotNull(view);
    }

    /**
     * This method is to test the View Objects for the valid
     * Purchase Order Number. This means that row which data does exists
     * in database.
     * Expected Result : Row with valid data found in database
     */
    @Test
    public void testExecuteQueryWithValidOrderNo() {
        ViewObject selectOrderVO =
            fixture1.getApplicationModule().findViewObject("SelectOrderVO1");
        logger.debug("SelectOrderVO1 VO fetched");
        Row firstRow = selectOrderVO.first();
        Number orderNo = (Number)firstRow.getAttribute("OrderNo");
        logger.debug("Order No got from the SelectOrderVO1 VO");
        ViewObject view =
            fixture1.getApplicationModule().findViewObject("OrderLocVO1");
        view.setNamedWhereClauseParam("order_no", orderNo);
        view.executeQuery();
        Row first = view.first();
        Number returnedSupplier = (Number)first.getAttribute("OrderNo");
        logger.debug("Order No got from the OrderLocVO1 VO");
        logger.debug("Validating the order numbers");
        assertTrue(returnedSupplier.equals(orderNo));
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
