/*@lineinfo:filename=RibAddrRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibAddrRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_Addr_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[20];
  static
  {
    _factory[19] = RibExtofaddrTbl.getORADataFactory();
  }
  protected static final RibAddrRec _RibAddrRecFactory = new RibAddrRec();

  public static ORADataFactory getORADataFactory()
  { return _RibAddrRecFactory; }
  static
  { _map.put("RMS01.RIB_Addr_REC", _RibAddrRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[20], _sqlType, _factory); }
  public RibAddrRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibAddrRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibAddrRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibAddrRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameSupplierdesc, String nsTypeBo, String nsLocationBase, String nsLevelNontop, String addrType, String primaryAddrInd, String add1, String add2, String add3, String city, String state, String countryId, String post, String contactName, String contactPhone, String contactFax, String contactEmail, RibExtofaddrTbl extofaddrTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameSupplierdesc(nsNameSupplierdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelNontop(nsLevelNontop);
    setAddrType(addrType);
    setPrimaryAddrInd(primaryAddrInd);
    setAdd1(add1);
    setAdd2(add2);
    setAdd3(add3);
    setCity(city);
    setState(state);
    setCountryId(countryId);
    setPost(post);
    setContactName(contactName);
    setContactPhone(contactPhone);
    setContactFax(contactFax);
    setContactEmail(contactEmail);
    setExtofaddrTbl(extofaddrTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibAddrRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibAddrRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibAddrRec o) { _struct = o._struct; }
  protected ORAData create(RibAddrRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibAddrRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameSupplierdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameSupplierdesc(String nsNameSupplierdesc) throws SQLException
  { _struct.setAttribute(2, nsNameSupplierdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelNontop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelNontop(String nsLevelNontop) throws SQLException
  { _struct.setAttribute(5, nsLevelNontop); }


  public String getAddrType() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setAddrType(String addrType) throws SQLException
  { _struct.setAttribute(6, addrType); }


  public String getPrimaryAddrInd() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setPrimaryAddrInd(String primaryAddrInd) throws SQLException
  { _struct.setAttribute(7, primaryAddrInd); }


  public String getAdd1() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setAdd1(String add1) throws SQLException
  { _struct.setAttribute(8, add1); }


  public String getAdd2() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setAdd2(String add2) throws SQLException
  { _struct.setAttribute(9, add2); }


  public String getAdd3() throws SQLException
  { return (String) _struct.getAttribute(10); }

  public void setAdd3(String add3) throws SQLException
  { _struct.setAttribute(10, add3); }


  public String getCity() throws SQLException
  { return (String) _struct.getAttribute(11); }

  public void setCity(String city) throws SQLException
  { _struct.setAttribute(11, city); }


  public String getState() throws SQLException
  { return (String) _struct.getAttribute(12); }

  public void setState(String state) throws SQLException
  { _struct.setAttribute(12, state); }


  public String getCountryId() throws SQLException
  { return (String) _struct.getAttribute(13); }

  public void setCountryId(String countryId) throws SQLException
  { _struct.setAttribute(13, countryId); }


  public String getPost() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setPost(String post) throws SQLException
  { _struct.setAttribute(14, post); }


  public String getContactName() throws SQLException
  { return (String) _struct.getAttribute(15); }

  public void setContactName(String contactName) throws SQLException
  { _struct.setAttribute(15, contactName); }


  public String getContactPhone() throws SQLException
  { return (String) _struct.getAttribute(16); }

  public void setContactPhone(String contactPhone) throws SQLException
  { _struct.setAttribute(16, contactPhone); }


  public String getContactFax() throws SQLException
  { return (String) _struct.getAttribute(17); }

  public void setContactFax(String contactFax) throws SQLException
  { _struct.setAttribute(17, contactFax); }


  public String getContactEmail() throws SQLException
  { return (String) _struct.getAttribute(18); }

  public void setContactEmail(String contactEmail) throws SQLException
  { _struct.setAttribute(18, contactEmail); }


  public RibExtofaddrTbl getExtofaddrTbl() throws SQLException
  { return (RibExtofaddrTbl) _struct.getAttribute(19); }

  public void setExtofaddrTbl(RibExtofaddrTbl extofaddrTbl) throws SQLException
  { _struct.setAttribute(19, extofaddrTbl); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:234^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:239^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:247^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:252^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibAddrRec appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibAddrRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:267^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_Addr_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:272^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibAddrRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:280^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_Addr_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:285^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    String CONTACT_NAME,
    String CONTACT_PHONE,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:313^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:329^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:336^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:352^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    String CONTACT_NAME,
    String CONTACT_PHONE,
    String CONTACT_FAX,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:382^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:399^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:406^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:423^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    String CONTACT_NAME,
    String CONTACT_PHONE,
    String CONTACT_FAX,
    String CONTACT_EMAIL,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:454^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX,
//        :CONTACT_EMAIL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
   __sJT_st.setString(15,CONTACT_EMAIL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:472^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:479^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX,
//        :CONTACT_EMAIL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
   __sJT_st.setString(15,CONTACT_EMAIL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:497^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    String CONTACT_NAME,
    String CONTACT_PHONE,
    String CONTACT_FAX,
    String CONTACT_EMAIL,
    RibExtofaddrTbl EXTOFADDR_TBL,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:529^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX,
//        :CONTACT_EMAIL,
//        :EXTOFADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
   __sJT_st.setString(15,CONTACT_EMAIL);
   if (EXTOFADDR_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfAddr_TBL"); else __sJT_st.setORAData(16,EXTOFADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:548^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:555^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME,
//        :CONTACT_PHONE,
//        :CONTACT_FAX,
//        :CONTACT_EMAIL,
//        :EXTOFADDR_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
   __sJT_st.setString(13,CONTACT_PHONE);
   __sJT_st.setString(14,CONTACT_FAX);
   __sJT_st.setString(15,CONTACT_EMAIL);
   if (EXTOFADDR_TBL==null) __sJT_st.setNull(16,2003,"RMS01.RIB_ExtOfAddr_TBL"); else __sJT_st.setORAData(16,EXTOFADDR_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:574^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:601^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:615^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:622^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:636^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibAddrRec ribAddrRec (
    java.math.BigDecimal RIB_OID,
    String ADDR_TYPE,
    String PRIMARY_ADDR_IND,
    String ADD_1,
    String ADD_2,
    String ADD_3,
    String CITY,
    String STATE,
    String COUNTRY_ID,
    String POST,
    String CONTACT_NAME,
    RibAddrRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibAddrRec __jPt_temp = (RibAddrRec) this;
    RibAddrRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:664^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:679^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:686^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_Addr_REC(
//        :RIB_OID,
//        :ADDR_TYPE,
//        :PRIMARY_ADDR_IND,
//        :ADD_1,
//        :ADD_2,
//        :ADD_3,
//        :CITY,
//        :STATE,
//        :COUNTRY_ID,
//        :POST,
//        :CONTACT_NAME);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_Addr_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.retail.microapps.vendor.ribtypes.RibAddrRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_Addr_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ADDR_TYPE);
   __sJT_st.setString(4,PRIMARY_ADDR_IND);
   __sJT_st.setString(5,ADD_1);
   __sJT_st.setString(6,ADD_2);
   __sJT_st.setString(7,ADD_3);
   __sJT_st.setString(8,CITY);
   __sJT_st.setString(9,STATE);
   __sJT_st.setString(10,COUNTRY_ID);
   __sJT_st.setString(11,POST);
   __sJT_st.setString(12,CONTACT_NAME);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.retail.microapps.vendor.ribtypes.RibAddrRec)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibAddrRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:701^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/