/*@lineinfo:filename=RibObject*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_OBJECT";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  /* connection management */
  protected Connection __onn = null;
  protected javax.sql.DataSource __dataSource = null;
  public void setDataSource(javax.sql.DataSource dataSource) throws SQLException
  { release(); __dataSource = dataSource; }
  public void setDataSourceLocation(String dataSourceLocation) throws SQLException {
    javax.sql.DataSource dataSource;
    try {
      Class cls = Class.forName("javax.naming.InitialContext");
      Object ctx = cls.newInstance();
      java.lang.reflect.Method meth = cls.getMethod("lookup", new Class[]{String.class});
      dataSource = (javax.sql.DataSource) meth.invoke(ctx, new Object[]{"java:comp/env/" + dataSourceLocation});
      setDataSource(dataSource);
    } catch (Exception e) {
      throw new java.sql.SQLException("Error initializing DataSource at " + dataSourceLocation + ": " + e.getMessage());
    }
  }
  public Connection getConnection() throws SQLException
  { 
    if (__onn!=null) return __onn;
     else if (__tx!=null) return __tx.getConnection(); 
     else if (__dataSource!=null) __onn= __dataSource.getConnection(); 
     return __onn; 
   } 
  public void release() throws SQLException
  { if (__tx!=null && __onn!=null) __tx.close(ConnectionContext.KEEP_CONNECTION);
    __onn = null; __tx = null;
    __dataSource = null;
  }

  public void closeConnection(){
    if (__dataSource!=null) {
      try { if (__onn!=null) { __onn.close(); } } catch (java.sql.SQLException e) {}
      try { if (__tx!=null) {__tx.close(); } } catch (java.sql.SQLException e) {}
      __onn=null;
      __tx=null;
    }
  }
  protected DefaultContext __tx = null;
  public void setConnectionContext(DefaultContext ctx) throws SQLException
  { release(); __tx = ctx; }
  public DefaultContext getConnectionContext() throws SQLException
  { if (__tx==null)
    { __tx = (getConnection()==null) ? DefaultContext.getDefaultContext() : new DefaultContext(getConnection()); }
    return __tx;
  };
  protected MutableStruct _struct;

  protected static int[] _sqlType =  { 2 };
  protected static ORADataFactory[] _factory = new ORADataFactory[1];
  protected static final RibObject _RibObjectFactory = new RibObject();

  public static ORADataFactory getORADataFactory()
  { return _RibObjectFactory; }

  protected static java.util.Hashtable _map = new java.util.Hashtable();
  protected static boolean _initialized = false;
  protected static synchronized void init()
  { if (!_initialized)
    { _initialized=true;
      _map.put("RMS01.RIB_OBJECT",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibSupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_ASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Addr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AttributeVal_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Attribute_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BusinessProblemDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_COHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Client_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EnumOptionSet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EnumOption_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FailStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctCollectionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctCollectionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GroupElementType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Group_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Groups_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Identifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InductItemResponse_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemConfig_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemDescription_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Label_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MessageContext_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_NewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ParentIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Principal_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ProblemDetailEntry_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Property_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Receipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ServiceOpContext_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ServiceOpStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StaticContents_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Status_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SuccessStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierCollectionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierCollectionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSiteAddress_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_reward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[1], _sqlType, _factory); }
  public RibObject()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibObject(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibObject(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibObject(java.math.BigDecimal ribOid) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibObject o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibObject o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibObject o) { _struct = o._struct; }
  protected ORAData create(RibObject o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) return createFromFactory("RibObject", d, sqlType);
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  {
    RibObject o = new RibObject();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createFromFactory(String s, Datum d, int sqlType) throws SQLException
  {
    String sql = ((STRUCT) d).getSQLTypeName();
    init();
    RibObject factory = (RibObject)_map.get(sql);
    if (factory == null) {
       int p;
       if ((p=sql.indexOf(".")) >= 0) {
          factory = (RibObject)_map.get(sql.substring(p+1));
          if (factory!=null) _map.put(sql,factory); }
       if (factory == null) throw new SQLException
          ("Unable to convert a "+sql+" to a "+s+" or a subclass of "+s);
    }
    return factory.createExact(d,sqlType);
  }

  /* accessor methods */
  public java.math.BigDecimal getRibOid() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(0); }

  public void setRibOid(java.math.BigDecimal ribOid) throws SQLException
  { _struct.setAttribute(0, ribOid); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:999^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibObject",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1004^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:1012^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibObject",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1017^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }
}/*@lineinfo:generated-code*/