package oracle.training.microapps.order.modify.am;

import java.math.BigDecimal;

import java.sql.CallableStatement;
import java.sql.SQLException;
import java.sql.Types;

import java.util.ArrayList;

import java.util.Map;

import oracle.adf.model.binding.DCIteratorBinding;

import oracle.adf.share.ADFContext;

import oracle.jbo.JboException;
import oracle.jbo.Row;
import oracle.jbo.RowSetIterator;
import oracle.jbo.server.ApplicationModuleImpl;
import oracle.jbo.server.ViewObjectImpl;

import oracle.training.microapps.common.ADFUtils;
import oracle.training.microapps.order.modify.am.common.ModifyOrder;
import oracle.training.microapps.order.ribtypes.RibXorderdescRec;

import oracle.training.microapps.order.ribtypes.RibXorderdtlRec;
import oracle.training.microapps.order.ribtypes.RibXorderdtlTbl;

import org.apache.log4j.Logger;
// ---------------------------------------------------------------------
// ---    File generated by Oracle ADF Business Components Design Time.
// ---    Tue Dec 14 10:05:19 IST 2010
// ---    Custom code may be added to this class.
// ---    Warning: Do not modify method signatures of generated methods.
// ---------------------------------------------------------------------
public class ModifyOrderImpl extends ApplicationModuleImpl implements ModifyOrder {
    //Create a Log Instance
    Logger logger = Logger.getLogger(ModifyOrderImpl.class);

    /**
     * This is the default constructor (do not remove).
     */
    public ModifyOrderImpl() {
    }

    /**
     * Container's getter for OrdersVO1.
     * @return OrdersVO1
     */
    public ViewObjectImpl getOrdersVO1() {
        return (ViewObjectImpl)findViewObject("OrdersVO1");
    }

    /**
     * Container's getter for OrderDetailsVO1.
     * @return OrderDetailsVO1
     */
    public ViewObjectImpl getOrderDetailsVO1() {
        return (ViewObjectImpl)findViewObject("OrderDetailsVO1");
    }

    /**
     * This method is exposed to the client via data control. This is used to
     * perform the Modify Selected Orders . This method calls the modify order method 
     * for the orders which are selected.
     * @return ArrayList - Returns the status of the  order modification operation for the selected orders.
     */

    public ArrayList modifyOrders() {
        Map resourceBundle =
            ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.training.microapps.order.i18n.ModifyOrderBundle']}");

        logger.debug("In modify orders");
        Row[] rows = getOrdersVO1().getAllRowsInRange();
        int noOfRows = rows.length;
        logger.debug("Number of rows" + noOfRows);
        ArrayList al = new ArrayList();
        for (int i = 0; i < noOfRows; i++) {
            logger.debug(rows[i].getAttribute("CheckBox"));
            if (rows[i].getAttribute("CheckBox") != null) {
                if (rows[i].getAttribute("CheckBox").toString().equalsIgnoreCase("Y")) {
                    logger.debug(rows[i].getAttribute("OrderNo"));
                    getOrdersVO1().setCurrentRow(rows[i]);
                    ADFContext.getCurrent().getViewScope().put("orderID",
                                                               rows[i].getAttribute("OrderNo"));
                    DCIteratorBinding orderDetailsIterator =
                        ADFUtils.findIterator("OrderDetailsVO1Iterator");
                    orderDetailsIterator.executeQuery();
                    orderDetailsIterator.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
                    String result;
                    result = modifyOrder();
                    if (result.equalsIgnoreCase("S")) {
                        result =
                                (String)resourceBundle.get("ORDER_NO") + " " + getOrderDetailsVO1().getCurrentRow().getAttribute("OrderNo").toString() +
                                "  " + (String)resourceBundle.get("MODIFY") +
                                " " + (String)resourceBundle.get("SUCCESS") +
                                "\n" +
                                "<br>";
                    } else
                        result =
                                (String)resourceBundle.get("ORDER_NO") + " " + getOrderDetailsVO1().getCurrentRow().getAttribute("OrderNo").toString() +
                                "  " + (String)resourceBundle.get("MODIFY") +
                                " " + (String)resourceBundle.get("FAILED") +
                                (String)resourceBundle.get("ERROR") + result +
                                "\n" +
                                "<br>";

                    al.add(result);

                }
            }
        }
        if(al.isEmpty() ){
          al.add((String)resourceBundle.get("NO_ORDERS"));
        }
        return al;
    }

    /**
     * This method is exposed to the client via data control. This is used to
     * perform the Modify Order operation. This method consumes RMSSUB_XORDER
     * package. The currently selected orderNo is fetched from the current row in
     * the OrderDetailsVO1 View Object.
     * @return String - Returns the status of the modify order operation.
     */
    public String modifyOrder() {
        logger.debug("Method modifyOrder in ModifyOrderImpl called");
        String status = "";
        CallableStatement callableStmt = null;

        String callableStatement =
            "begin " + "RMSSUB_XORDER.CONSUME(?,?,?,?); end;";
        logger.debug("Created a Callable Statment");

        try {
            callableStmt =
                    getDBTransaction().createCallableStatement(callableStatement,
                                                               0);
            logger.debug("Started registering Output Parameters in RMSSUB_XORDER package");
            callableStmt.registerOutParameter(1, Types.VARCHAR);
            callableStmt.registerOutParameter(2, Types.VARCHAR);
            logger.debug("Completed Registration of Output Parameters in RMSSUB_XORDER package");
            logger.debug("Started setting input Parameters in RMSSUB_XORDER package");
            callableStmt.setString(1, "");
            callableStmt.setString(2, "");
            callableStmt.setObject(3, getRibXorderdescRecObject());
            callableStmt.setString(4, "xordermod");
            logger.debug("Completed setting the input parameters in RMSSUB_XORDER package");
            logger.debug("Started execution of the PL/SQL package RMSSUB_XORDER");
            callableStmt.executeUpdate();
            logger.debug("Completed Execution of the PL/SQL package RMSAIASUB_SUPPLIER");
            logger.debug("STATUS : " + callableStmt.getString(1));
            logger.debug("ERROR : " + callableStmt.getString(2));
            if (callableStmt.getString(1).equals("S")) {
                status = callableStmt.getString(1);

            } else {
                status = callableStmt.getString(2);

            }

            logger.debug("Committing the DB transaction to cancel the order");
            getDBTransaction().commit();
            logger.debug("DB Transaction is committed ");
            callableStmt.close();
            return status;
        } catch (SQLException e) {
            e.printStackTrace();
            logger.error("SQLException in callable statement execution", e);
            throw new JboException(e);
        }
    }

    /**
     * Method getRibXorderdescRecObject creates an instance of RibXorderdescRec object to be used
     * in the {@link #modifyOrder} method of this class
     * @return Object Returns an instance of RibXorderdescRec
     */
    private Object getRibXorderdescRecObject() {
        BigDecimal dept = null;
        logger.debug("Creating an instance of RibXorderdescRec");
        RibXorderdescRec xorderdescRec = new RibXorderdescRec();
        logger.debug("Created instance of RibXorderdescRec");
        try {
            logger.debug("Fetching values for RibXorderdescRec :");
            Object orderNo =
                getOrderDetailsVO1().getCurrentRow().getAttribute("OrderNo");
            logger.debug("Fetched Order number : " + orderNo);

            Object supplierNo =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Supplier");
            logger.debug("Fetched supplier : " + supplierNo);
            String status =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Status").toString();
            logger.debug("Fetched status : " + status);

            Object deptNo =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Dept");
            logger.debug("Fetched department number : " + deptNo);
            if (deptNo != null) {
                dept = new BigDecimal(deptNo.toString());
            }

            Object terms =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Terms");
            logger.debug("Fetched terms : " + terms);

            logger.debug("Setting the values in RibXorderdescRec");
            xorderdescRec.setOrderNo(orderNo.toString());
            logger.debug("Setting the orderNo in RibXorderdescRec");
            xorderdescRec.setSupplier(supplierNo.toString());
            logger.debug("Setting the supplierNo in RibXorderdescRec");
            xorderdescRec.setTerms(terms.toString());
            logger.debug("Setting the terms in RibXorderdescRec");
            xorderdescRec.setDept(dept);
            logger.debug("Setting the dept in RibXorderdescRec");
            if (status.equalsIgnoreCase("A")) {
                xorderdescRec.setStatus("C");
                logger.debug("Cancelling Order");
            } else {
                xorderdescRec.setStatus("A");
                logger.debug("Approving order");
            }

            logger.debug("Setting the status in RibXorderdescRec");
            xorderdescRec.setXorderdtlTbl(getXorderdtlTbl());
            logger.debug("Setting the XorderdtlTbl in RibXorderdescRec");
            logger.debug("Values successfully set in RibXorderdescRec");
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("Error in creating RibXorderdescRec RIB object: ", e);
            throw new JboException("Error in creating RibXorderdescRec RIB Object" +
                                   e);
        }
        logger.debug("Instance of RibXorderdescRec successfully created");
        return xorderdescRec;
    }

    /**
     * Method getXorderdtlTbl creates and populates an instance of RibXorderdtlTbl object
     * to be used to populate the RibXorderdescRec object created in
     * {@link #getRibXorderdescRecObject} method.
     * @return RibXorderdtlTbl Returns an instance of RibXorderdtlTbl object
     */
    private RibXorderdtlTbl getXorderdtlTbl() {
        logger.debug("Creating an instance of RibXorderdtlTbl");
        RibXorderdtlTbl xorderdtlTbl = new RibXorderdtlTbl();
        logger.debug("Created instance of RibXorderdtlTbl");
        try {
            logger.debug("Setting the values in RibXorderdtlTbl");
            xorderdtlTbl.setArray(getXorderdtlRec());
            logger.debug("Values successfully set in RibXorderdtlTbl");
        } catch (SQLException e) {
            e.printStackTrace();
            logger.error("Error in creating RibXorderdtlTbl RIB object: ", e);
            throw new JboException("Error in creating RibXorderdtlTbl RIB Object" +
                                   e);
        }
        logger.debug("Instance of RibXorderdtlTbl successfully created");
        return xorderdtlTbl;
    }


    /**
     * Method getXorderdtlRec creates and returns an Array of RibXorderdtlRec object
     * to be used to populate the RibXorderdtlTbl object created in {@link #getXorderdtlTbl}
     * method
     * @return RibXorderdtlRec[] Returns an array of RibXorderdtlRec object
     */
    private RibXorderdtlRec[] getXorderdtlRec() {
        logger.debug("Creating an instance of RibXorderdtlRec");
        RibXorderdtlRec xorderdtlRec = new RibXorderdtlRec();
        logger.debug("Created instance of RibXorderdtlRec");
        logger.debug("Started fetching values from the Order Details View object to populate" +
                     "RibXorderdtlRec instance");

        try {
            logger.debug("Fetching values for RibXorderdtlRec :");
            Object location =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Location");
            logger.debug("Fetched Location : " + location);
            Object itemId =
                getOrderDetailsVO1().getCurrentRow().getAttribute("Item");
            logger.debug("Fetched Item  : " + itemId);
            Object locType =
                getOrderDetailsVO1().getCurrentRow().getAttribute("LocType");
            logger.debug("Fetched Location Type : " + locType);
            Object qtyOrdered =
                getOrderDetailsVO1().getCurrentRow().getAttribute("QtyOrdered");
            logger.debug("Fetched Quantity Ordered : " + qtyOrdered);

            logger.debug("Setting the values in RibXorderdtlRec");
            xorderdtlRec.setItem(itemId.toString()); //String item,
            logger.debug("Setting the itemId in RibXorderdtlRec");
            xorderdtlRec.setLocation(new BigDecimal(location.toString())); //java.math.BigDecimal location,
            logger.debug("Setting the location in RibXorderdtlRec");
            xorderdtlRec.setQtyOrdered(new BigDecimal(qtyOrdered.toString())); //java.math.BigDecimal qtyOrdered,
            logger.debug("Setting the qtyOrdered in RibXorderdtlRec");
            xorderdtlRec.setLocationType(locType.toString()); //String locationType,
            logger.debug("Setting the locType in RibXorderdtlRec");
            logger.debug("Values set succesfully in RibXorderdtlRec instance");
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("Error in creating RibXorderdtlRec RIB object: ", e);
            throw new JboException("Error in creating RibXorderdtlRec RIB Object" +
                                   e);
        }
        logger.debug("Instance of RibXorderdtlRec created successfully");
        return new RibXorderdtlRec[] { xorderdtlRec };
    }
}
