package oracle.training.microapps.order.modify.backing;

import java.util.ArrayList;

import java.util.Map;

import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;

import oracle.adf.model.BindingContainer;
import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;
import oracle.adf.view.rich.component.rich.RichDialog;
import oracle.adf.view.rich.component.rich.RichPopup;
import oracle.adf.view.rich.component.rich.data.RichTable;
import oracle.adf.view.rich.component.rich.input.RichSelectBooleanCheckbox;
import oracle.adf.view.rich.component.rich.input.RichSelectItem;
import oracle.adf.view.rich.component.rich.input.RichSelectOneRadio;
import oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout;

import oracle.adf.view.rich.component.rich.layout.RichPanelGroupLayout;
import oracle.adf.view.rich.component.rich.nav.RichCommandButton;
import oracle.adf.view.rich.component.rich.output.RichOutputFormatted;
import oracle.adf.view.rich.event.DialogEvent;

import oracle.adf.view.rich.event.PopupFetchEvent;

import oracle.jbo.ApplicationModule;
import oracle.jbo.Row;

import oracle.jbo.RowSetIterator;
import oracle.jbo.uicli.binding.JUCtrlHierNodeBinding;

import oracle.training.microapps.common.ADFUtils;

import org.apache.log4j.Logger;
import org.apache.myfaces.trinidad.event.SelectionEvent;
import org.apache.myfaces.trinidad.model.CollectionModel;
import org.apache.myfaces.trinidad.model.RowKeySet;

import utils.system;

public class ModifyOrder {

    private RichPanelFormLayout pfl1;
    private RichSelectOneRadio sor1;
    private RichSelectItem si1;
    private RichSelectItem si2;
    private RichTable t1;
    // get the logger instance
    private static Logger logger = Logger.getLogger(ModifyOrder.class);
    private RichCommandButton cb1;
    private RichPopup p2;
    private RichDialog d2;
    private ArrayList al;
    private RichPanelFormLayout pfl2;
    private RichPanelGroupLayout pgl1;
    private RichOutputFormatted of1;
    private RichSelectBooleanCheckbox sbc2;

    public void setPfl1(RichPanelFormLayout pfl1) {
        this.pfl1 = pfl1;
    }

    public RichPanelFormLayout getPfl1() {
        return pfl1;
    }

    public void setSor1(RichSelectOneRadio sor1) {
        this.sor1 = sor1;
    }

    public RichSelectOneRadio getSor1() {
        return sor1;
    }

    public void setSi1(RichSelectItem si1) {
        this.si1 = si1;
    }

    public RichSelectItem getSi1() {
        return si1;
    }

    public void setSi2(RichSelectItem si2) {
        this.si2 = si2;
    }

    public RichSelectItem getSi2() {
        return si2;
    }


    public void setT1(RichTable t1) {
        this.t1 = t1;
    }

    public RichTable getT1() {
        return t1;
    }


    public void setCb1(RichCommandButton cb1) {
        this.cb1 = cb1;
    }

    public RichCommandButton getCb1() {
        return cb1;
    }


    public void setP2(RichPopup p2) {
        this.p2 = p2;
    }

    public RichPopup getP2() {
        return p2;
    }


    public void setD2(RichDialog d2) {
        this.d2 = d2;
    }

    public RichDialog getD2() {
        return d2;
    }


    public void setAl(ArrayList al) {
        this.al = al;
    }

    public ArrayList getAl() {
        return al;
    }

    public void setPfl2(RichPanelFormLayout pfl2) {
        this.pfl2 = pfl2;
    }

    public RichPanelFormLayout getPfl2() {
        return pfl2;
    }

    public void setPgl1(RichPanelGroupLayout pgl1) {
        this.pgl1 = pgl1;
    }

    public RichPanelGroupLayout getPgl1() {
        return pgl1;
    }

    public void setOf1(RichOutputFormatted of1) {
        this.of1 = of1;
    }

    public RichOutputFormatted getOf1() {
        return of1;
    }
  public void setSbc2(RichSelectBooleanCheckbox sbc2) {
      this.sbc2 = sbc2;
  }

  public RichSelectBooleanCheckbox getSbc2() {
      return sbc2;
  }
  /**
   * This method is called when one of the radio buttons in the UI is selected.
   * Based on the selected action the bind variables are populated to retrieve the 
   * appropraite orders for the selected action.
   */

    public void actionTaken(ValueChangeEvent valueChangeEvent) {
        logger.debug("Action taken" + valueChangeEvent.getNewValue());
        logger.debug("Setting the bind variable statusI");
        ADFContext.getCurrent().getViewScope().put("statusI",
                                                   valueChangeEvent.getNewValue().toString());
        logger.debug("Status set");
        DCIteratorBinding ordersIterator =
            ADFUtils.findIterator("OrdersVO1Iterator");
        ordersIterator.executeQuery();
        ordersIterator.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
        DCIteratorBinding ordersIterator1 =
            ADFUtils.findIterator("OrdersVO1Iterator");
        Row[] rows1 = ordersIterator1.getAllRowsInRange();
        Object length1 = rows1.length;
        Map resourceBundle = ADFUtils.getResourceBundleHandle("#{adfBundle['oracle.training.microapps.order.i18n.ModifyOrderBundle']}");
        if (valueChangeEvent.getNewValue().toString().equalsIgnoreCase("A"))
            cb1.setText((String)resourceBundle.get("CANCEL_ORDER"));
        else
            cb1.setText((String)resourceBundle.get("APPROVE_ORDER"));
      sbc2.setSelected(false);


    }
  
  /**
   * This method calls the modifyOrders method in ModifyOrder Application Module.
   */

    public void modifyOrder() {
        logger.debug("Fetching the instance of Application Module");
        ApplicationModule am =
            ADFUtils.getApplicationModuleForDataControl("ModifyOrderDataControl");
        oracle.training.microapps.order.modify.am.common.ModifyOrder modifyPO =
            (oracle.training.microapps.order.modify.am.common.ModifyOrder)am;
        logger.debug("Calling modifyOrders() method of Application Module");
        al = modifyPO.modifyOrders();
        logger.debug("Result is" + al);
        return;

    }

  /**
   * This method calls the retrieves the details of the order selected.
   * This method is called when the details button(a plus image) in the UI is clicked.
   */

    public void getDetails(PopupFetchEvent popupFetchEvent) {
        RowKeySet rowSet = t1.getSelectedRowKeys();
        if (rowSet != null) {
            CollectionModel cm = (CollectionModel)t1.getValue();
            for (Object facesTreeRowKey : rowSet) {
                cm.setRowKey(facesTreeRowKey);
                JUCtrlHierNodeBinding rowData =
                    (JUCtrlHierNodeBinding)cm.getRowData();
                Object orderno = rowData.getRow().getAttribute("OrderNo");
                logger.debug("retrieving details of order : " + orderno);
                ADFContext.getCurrent().getViewScope().put("orderID", orderno);
                DCIteratorBinding orderDetailsIterator =
                    ADFUtils.findIterator("OrderDetailsVO1Iterator");
                orderDetailsIterator.executeQuery();
                orderDetailsIterator.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
            }
        }
    }
  /**
   * This method is called when the checkbox button of the header is checked
   * This method checks/unchecks all the rows in the table when the checkbox is checked/unchecked.
   */
  public void selectAll(ValueChangeEvent valueChangeEvent) {
      logger.debug(valueChangeEvent.getNewValue().toString());
      DCIteratorBinding ordersIterator1 =
          ADFUtils.findIterator("OrdersVO1Iterator");
      Row[] rows1 = ordersIterator1.getAllRowsInRange();
      for (int i = 0; i < rows1.length; i++) {
          logger.debug("Setting rows");
          if (valueChangeEvent.getNewValue().toString() == "true")
              rows1[i].setAttribute("CheckBox", "Y");
          else
              rows1[i].setAttribute("CheckBox", "N");
      }
      ordersIterator1.refresh(DCIteratorBinding.RANGESIZE_UNLIMITED);
  }

  
}
