package oracle.training.microapps.order.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibBrxorderdescRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_BrXOrderDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibBrxorderdescRecRef _RibBrxorderdescRecRefFactory = new RibBrxorderdescRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibBrxorderdescRecRefFactory; }
  /* constructor */
  public RibBrxorderdescRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibBrxorderdescRecRef r = new RibBrxorderdescRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibBrxorderdescRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibBrxorderdescRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibBrxorderdescRecRef: "+exn.toString()); }
  }

  public RibBrxorderdescRec getValue() throws SQLException
  {
     return (RibBrxorderdescRec) RibBrxorderdescRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibBrxorderdescRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
