package oracle.training.microapps.order.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class RibInxorderdescRecRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "RMS01.RIB_InXOrderDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

private static final RibInxorderdescRecRef _RibInxorderdescRecRefFactory = new RibInxorderdescRecRef();

  public static ORADataFactory getORADataFactory()
  { return _RibInxorderdescRecRefFactory; }
  /* constructor */
  public RibInxorderdescRecRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    RibInxorderdescRecRef r = new RibInxorderdescRecRef();
    r._ref = (REF) d;
    return r;
  }

  public static RibInxorderdescRecRef cast(ORAData o) throws SQLException
  {
     if (o == null) return null;
     try { return (RibInxorderdescRecRef) getORADataFactory().create(o.toDatum(null), OracleTypes.REF); }
     catch (Exception exn)
     { throw new SQLException("Unable to convert "+o.getClass().getName()+" to RibInxorderdescRecRef: "+exn.toString()); }
  }

  public RibInxorderdescRec getValue() throws SQLException
  {
     return (RibInxorderdescRec) RibInxorderdescRec.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(RibInxorderdescRec c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
