/*@lineinfo:filename=RibXorderdescRec*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.training.microapps.order.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibXorderdescRec extends RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_XOrderDesc_REC";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected static int[] _sqlType =  { 2,12,12,12,12,12,12,12,12,12,91,91,91,2,12,2,12,91,2003,12,12,12,12,12,2003,2003 };
  protected static ORADataFactory[] _factory = new ORADataFactory[26];
  static
  {
    _factory[18] = RibXorderdtlTbl.getORADataFactory();
    _factory[24] = RibExtofxorderdescTbl.getORADataFactory();
    _factory[25] = RibLocofxorderdescTbl.getORADataFactory();
  }
  protected static final RibXorderdescRec _RibXorderdescRecFactory = new RibXorderdescRec();

  public static ORADataFactory getORADataFactory()
  { return _RibXorderdescRecFactory; }
  static
  { _map.put("RMS01.RIB_XOrderDesc_REC", _RibXorderdescRecFactory); }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[26], _sqlType, _factory); }
  public RibXorderdescRec()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibXorderdescRec(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibXorderdescRec(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibXorderdescRec(java.math.BigDecimal ribOid, String nsVersionV1, String nsNameXorderdesc, String nsTypeBo, String nsLocationBase, String nsLevelTop, String orderNo, String supplier, String currencyCode, String terms, java.sql.Timestamp notBeforeDate, java.sql.Timestamp notAfterDate, java.sql.Timestamp otbEowDate, java.math.BigDecimal dept, String status, java.math.BigDecimal exchangeRate, String includeOnOrdInd, java.sql.Timestamp writtenDate, RibXorderdtlTbl xorderdtlTbl, String origInd, String ediPoInd, String preMarkInd, String userId, String commentDesc, RibExtofxorderdescTbl extofxorderdescTbl, RibLocofxorderdescTbl locofxorderdescTbl) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
    setNsVersionV1(nsVersionV1);
    setNsNameXorderdesc(nsNameXorderdesc);
    setNsTypeBo(nsTypeBo);
    setNsLocationBase(nsLocationBase);
    setNsLevelTop(nsLevelTop);
    setOrderNo(orderNo);
    setSupplier(supplier);
    setCurrencyCode(currencyCode);
    setTerms(terms);
    setNotBeforeDate(notBeforeDate);
    setNotAfterDate(notAfterDate);
    setOtbEowDate(otbEowDate);
    setDept(dept);
    setStatus(status);
    setExchangeRate(exchangeRate);
    setIncludeOnOrdInd(includeOnOrdInd);
    setWrittenDate(writtenDate);
    setXorderdtlTbl(xorderdtlTbl);
    setOrigInd(origInd);
    setEdiPoInd(ediPoInd);
    setPreMarkInd(preMarkInd);
    setUserId(userId);
    setCommentDesc(commentDesc);
    setExtofxorderdescTbl(extofxorderdescTbl);
    setLocofxorderdescTbl(locofxorderdescTbl);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibXorderdescRec o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibXorderdescRec o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibXorderdescRec o) { _struct = o._struct; }
  protected ORAData create(RibXorderdescRec o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) o = new RibXorderdescRec();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }

  /* accessor methods */
  public String getNsVersionV1() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setNsVersionV1(String nsVersionV1) throws SQLException
  { _struct.setAttribute(1, nsVersionV1); }


  public String getNsNameXorderdesc() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setNsNameXorderdesc(String nsNameXorderdesc) throws SQLException
  { _struct.setAttribute(2, nsNameXorderdesc); }


  public String getNsTypeBo() throws SQLException
  { return (String) _struct.getAttribute(3); }

  public void setNsTypeBo(String nsTypeBo) throws SQLException
  { _struct.setAttribute(3, nsTypeBo); }


  public String getNsLocationBase() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setNsLocationBase(String nsLocationBase) throws SQLException
  { _struct.setAttribute(4, nsLocationBase); }


  public String getNsLevelTop() throws SQLException
  { return (String) _struct.getAttribute(5); }

  public void setNsLevelTop(String nsLevelTop) throws SQLException
  { _struct.setAttribute(5, nsLevelTop); }


  public String getOrderNo() throws SQLException
  { return (String) _struct.getAttribute(6); }

  public void setOrderNo(String orderNo) throws SQLException
  { _struct.setAttribute(6, orderNo); }


  public String getSupplier() throws SQLException
  { return (String) _struct.getAttribute(7); }

  public void setSupplier(String supplier) throws SQLException
  { _struct.setAttribute(7, supplier); }


  public String getCurrencyCode() throws SQLException
  { return (String) _struct.getAttribute(8); }

  public void setCurrencyCode(String currencyCode) throws SQLException
  { _struct.setAttribute(8, currencyCode); }


  public String getTerms() throws SQLException
  { return (String) _struct.getAttribute(9); }

  public void setTerms(String terms) throws SQLException
  { _struct.setAttribute(9, terms); }


  public java.sql.Timestamp getNotBeforeDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(10); }

  public void setNotBeforeDate(java.sql.Timestamp notBeforeDate) throws SQLException
  { _struct.setAttribute(10, notBeforeDate); }


  public java.sql.Timestamp getNotAfterDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(11); }

  public void setNotAfterDate(java.sql.Timestamp notAfterDate) throws SQLException
  { _struct.setAttribute(11, notAfterDate); }


  public java.sql.Timestamp getOtbEowDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(12); }

  public void setOtbEowDate(java.sql.Timestamp otbEowDate) throws SQLException
  { _struct.setAttribute(12, otbEowDate); }


  public java.math.BigDecimal getDept() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(13); }

  public void setDept(java.math.BigDecimal dept) throws SQLException
  { _struct.setAttribute(13, dept); }


  public String getStatus() throws SQLException
  { return (String) _struct.getAttribute(14); }

  public void setStatus(String status) throws SQLException
  { _struct.setAttribute(14, status); }


  public java.math.BigDecimal getExchangeRate() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(15); }

  public void setExchangeRate(java.math.BigDecimal exchangeRate) throws SQLException
  { _struct.setAttribute(15, exchangeRate); }


  public String getIncludeOnOrdInd() throws SQLException
  { return (String) _struct.getAttribute(16); }

  public void setIncludeOnOrdInd(String includeOnOrdInd) throws SQLException
  { _struct.setAttribute(16, includeOnOrdInd); }


  public java.sql.Timestamp getWrittenDate() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(17); }

  public void setWrittenDate(java.sql.Timestamp writtenDate) throws SQLException
  { _struct.setAttribute(17, writtenDate); }


  public RibXorderdtlTbl getXorderdtlTbl() throws SQLException
  { return (RibXorderdtlTbl) _struct.getAttribute(18); }

  public void setXorderdtlTbl(RibXorderdtlTbl xorderdtlTbl) throws SQLException
  { _struct.setAttribute(18, xorderdtlTbl); }


  public String getOrigInd() throws SQLException
  { return (String) _struct.getAttribute(19); }

  public void setOrigInd(String origInd) throws SQLException
  { _struct.setAttribute(19, origInd); }


  public String getEdiPoInd() throws SQLException
  { return (String) _struct.getAttribute(20); }

  public void setEdiPoInd(String ediPoInd) throws SQLException
  { _struct.setAttribute(20, ediPoInd); }


  public String getPreMarkInd() throws SQLException
  { return (String) _struct.getAttribute(21); }

  public void setPreMarkInd(String preMarkInd) throws SQLException
  { _struct.setAttribute(21, preMarkInd); }


  public String getUserId() throws SQLException
  { return (String) _struct.getAttribute(22); }

  public void setUserId(String userId) throws SQLException
  { _struct.setAttribute(22, userId); }


  public String getCommentDesc() throws SQLException
  { return (String) _struct.getAttribute(23); }

  public void setCommentDesc(String commentDesc) throws SQLException
  { _struct.setAttribute(23, commentDesc); }


  public RibExtofxorderdescTbl getExtofxorderdescTbl() throws SQLException
  { return (RibExtofxorderdescTbl) _struct.getAttribute(24); }

  public void setExtofxorderdescTbl(RibExtofxorderdescTbl extofxorderdescTbl) throws SQLException
  { _struct.setAttribute(24, extofxorderdescTbl); }


  public RibLocofxorderdescTbl getLocofxorderdescTbl() throws SQLException
  { return (RibLocofxorderdescTbl) _struct.getAttribute(25); }

  public void setLocofxorderdescTbl(RibLocofxorderdescTbl locofxorderdescTbl) throws SQLException
  { _struct.setAttribute(25, locofxorderdescTbl); }


  public RibXorderdescRec appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibXorderdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:284^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XOrderDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:289^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibXorderdescRec __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:297^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_XOrderDesc_REC"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:302^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibObject appendnodevaluesRS (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:317^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"2oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.training.microapps.order.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:322^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:330^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        I_PREFIX => :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n      I_PREFIX =>  :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"3oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.training.microapps.order.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:335^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:356^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"4oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:365^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:372^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"5oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:381^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:404^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"6oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:414^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:421^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"7oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:431^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:455^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"8oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:466^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:473^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"9oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:484^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:509^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"10oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:521^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:528^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"11oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:540^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:566^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"12oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:579^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:586^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"13oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:599^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:626^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"14oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:640^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:647^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"15oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:661^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    String PRE_MARK_IND,
    String USER_ID,
    String COMMENT_DESC,
    RibExtofxorderdescTbl EXTOFXORDERDESC_TBL,
    RibLocofxorderdescTbl LOCOFXORDERDESC_TBL,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:699^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXORDERDESC_TBL,
//        :LOCOFXORDERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 ,\n       :21 ,\n       :22 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"16oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
   if (EXTOFXORDERDESC_TBL==null) __sJT_st.setNull(21,2003,"RMS01.RIB_ExtOfXOrderDesc_TBL"); else __sJT_st.setORAData(21,EXTOFXORDERDESC_TBL);
   if (LOCOFXORDERDESC_TBL==null) __sJT_st.setNull(22,2003,"RMS01.RIB_LocOfXOrderDesc_TBL"); else __sJT_st.setORAData(22,LOCOFXORDERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:724^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:731^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXORDERDESC_TBL,
//        :LOCOFXORDERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 ,\n       :21 ,\n       :22 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"17oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
   if (EXTOFXORDERDESC_TBL==null) __sJT_st.setNull(21,2003,"RMS01.RIB_ExtOfXOrderDesc_TBL"); else __sJT_st.setORAData(21,EXTOFXORDERDESC_TBL);
   if (LOCOFXORDERDESC_TBL==null) __sJT_st.setNull(22,2003,"RMS01.RIB_LocOfXOrderDesc_TBL"); else __sJT_st.setORAData(22,LOCOFXORDERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:756^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:785^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"18oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:801^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:808^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"19oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:824^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:854^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"20oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:871^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:878^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"21oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:895^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:926^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"22oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:944^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:951^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"23oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:969^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1001^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"24oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1020^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1027^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"25oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1046^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1079^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"26oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1099^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1106^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"27oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1126^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    String PRE_MARK_IND,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1160^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"28oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1181^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1188^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"29oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1209^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    String PRE_MARK_IND,
    String USER_ID,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1244^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"30oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1266^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1273^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"31oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1295^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    String PRE_MARK_IND,
    String USER_ID,
    String COMMENT_DESC,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1331^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"32oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1354^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1361^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"33oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1384^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    String INCLUDE_ON_ORD_IND,
    java.sql.Timestamp WRITTEN_DATE,
    RibXorderdtlTbl XORDERDTL_TBL,
    String ORIG_IND,
    String EDI_PO_IND,
    String PRE_MARK_IND,
    String USER_ID,
    String COMMENT_DESC,
    RibExtofxorderdescTbl EXTOFXORDERDESC_TBL,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1421^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXORDERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 ,\n       :21 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"34oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
   if (EXTOFXORDERDESC_TBL==null) __sJT_st.setNull(21,2003,"RMS01.RIB_ExtOfXOrderDesc_TBL"); else __sJT_st.setORAData(21,EXTOFXORDERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1445^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1452^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE,
//        :INCLUDE_ON_ORD_IND,
//        :WRITTEN_DATE,
//        :XORDERDTL_TBL,
//        :ORIG_IND,
//        :EDI_PO_IND,
//        :PRE_MARK_IND,
//        :USER_ID,
//        :COMMENT_DESC,
//        :EXTOFXORDERDESC_TBL);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 ,\n       :13 ,\n       :14 ,\n       :15 ,\n       :16 ,\n       :17 ,\n       :18 ,\n       :19 ,\n       :20 ,\n       :21 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"35oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
   __sJT_st.setString(13,INCLUDE_ON_ORD_IND);
   __sJT_st.setTimestamp(14,WRITTEN_DATE);
   if (XORDERDTL_TBL==null) __sJT_st.setNull(15,2003,"RMS01.RIB_XOrderDtl_TBL"); else __sJT_st.setORAData(15,XORDERDTL_TBL);
   __sJT_st.setString(16,ORIG_IND);
   __sJT_st.setString(17,EDI_PO_IND);
   __sJT_st.setString(18,PRE_MARK_IND);
   __sJT_st.setString(19,USER_ID);
   __sJT_st.setString(20,COMMENT_DESC);
   if (EXTOFXORDERDESC_TBL==null) __sJT_st.setNull(21,2003,"RMS01.RIB_ExtOfXOrderDesc_TBL"); else __sJT_st.setORAData(21,EXTOFXORDERDESC_TBL);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1476^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1497^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"36oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1505^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1512^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"37oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1520^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1540^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"38oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1547^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1554^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"39oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1561^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }

  public RibXorderdescRec ribXorderdescRec (
    java.math.BigDecimal RIB_OID,
    String ORDER_NO,
    String SUPPLIER,
    String CURRENCY_CODE,
    String TERMS,
    java.sql.Timestamp NOT_BEFORE_DATE,
    java.sql.Timestamp NOT_AFTER_DATE,
    java.sql.Timestamp OTB_EOW_DATE,
    java.math.BigDecimal DEPT,
    String STATUS,
    java.math.BigDecimal EXCHANGE_RATE,
    RibXorderdescRec __jPt_out[])
  throws java.sql.SQLException
  {
    RibXorderdescRec __jPt_temp = (RibXorderdescRec) this;
    RibXorderdescRec __jPt_result;
 try {
    /*@lineinfo:generated-code*//*@lineinfo:1589^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"40oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1604^5*/
    __jPt_out[0] = __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    /*@lineinfo:generated-code*//*@lineinfo:1611^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_result := RIB_XOrderDesc_REC(
//        :RIB_OID,
//        :ORDER_NO,
//        :SUPPLIER,
//        :CURRENCY_CODE,
//        :TERMS,
//        :NOT_BEFORE_DATE,
//        :NOT_AFTER_DATE,
//        :OTB_EOW_DATE,
//        :DEPT,
//        :STATUS,
//        :EXCHANGE_RATE);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1  := RIB_XOrderDesc_REC(\n       :2 ,\n       :3 ,\n       :4 ,\n       :5 ,\n       :6 ,\n       :7 ,\n       :8 ,\n       :9 ,\n       :10 ,\n       :11 ,\n       :12 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"41oracle.training.microapps.order.ribtypes.RibXorderdescRec",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_XOrderDesc_REC");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,RIB_OID);
   __sJT_st.setString(3,ORDER_NO);
   __sJT_st.setString(4,SUPPLIER);
   __sJT_st.setString(5,CURRENCY_CODE);
   __sJT_st.setString(6,TERMS);
   __sJT_st.setTimestamp(7,NOT_BEFORE_DATE);
   __sJT_st.setTimestamp(8,NOT_AFTER_DATE);
   __sJT_st.setTimestamp(9,OTB_EOW_DATE);
   __sJT_st.setBigDecimal(10,DEPT);
   __sJT_st.setString(11,STATUS);
   __sJT_st.setBigDecimal(12,EXCHANGE_RATE);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.training.microapps.order.ribtypes.RibXorderdescRec)__sJT_st.getORAData(1,oracle.training.microapps.order.ribtypes.RibXorderdescRec.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1626^5*/
    __jPt_out[0] = __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/