package oracle.training.microapps.order.modify.am.applicationModule;

import oracle.jbo.Row;
import oracle.jbo.ViewObject;

import oracle.training.microapps.order.modify.am.common.ModifyOrder;

import org.apache.log4j.Logger;

import org.junit.*;
import static org.junit.Assert.*;

public class ModifyOrderAMTest {
  private ModifyOrder _amImpl =
      (ModifyOrder)ModifyOrderAMFixture.getInstance().getApplicationModule();
  Logger logger = Logger.getLogger(ModifyOrderAMTest.class);
    

    public ModifyOrderAMTest() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }


  @Test
    public void testModifyOrdersForCancel() {
      logger.debug("Executing testModifyOrderForApproval() test case");
      ViewObject view = _amImpl.findViewObject("OrdersVO1");
      logger.debug("OrdersVO1 view object fetched");
      view.setNamedWhereClauseParam("statusID", "A");
      logger.debug("statusID bind variable set");
      view.executeQuery();
      Row r = view.first();
      Object orderno=r.getAttribute("OrderNo");
      logger.debug("Fetched Order number is"+orderno);
      ViewObject view2 = _amImpl.findViewObject("OrderDetailsVO1");
      logger.debug("OrderDetailsVO1 view object fetched");
      view2.setNamedWhereClauseParam("order_no", "60106");
      logger.debug("order_no bind variable set");
      view2.executeQuery();
      Row r2 = view2.first();
      Object orderno2=r2.getAttribute("OrderNo");
      logger.debug("Fetched Order number is"+orderno2);
      String status = _amImpl.modifyOrder();
      logger.debug("modifyOrder method executed and status retrieved ");
      assertTrue(status.equals("S"));
      logger.debug("Execution of  testModifyOrderWithValidOrderNumber() test case completed");
        
    }
  @Test
    public void testModifyOrdersForApproval() {
      logger.debug("Executing testModifyOrderForApproval() test case");
      ViewObject view = _amImpl.findViewObject("OrdersVO1");
      logger.debug("OrdersVO1 view object fetched");
      view.setNamedWhereClauseParam("statusID", "W");
      logger.debug("statusID bind variable set");
      view.executeQuery();
      Row r = view.first();
      Object orderno=r.getAttribute("OrderNo");
      logger.debug("Fetched Order number is"+orderno);
      ViewObject view2 = _amImpl.findViewObject("OrderDetailsVO1");
      logger.debug("OrderDetailsVO1 view object fetched");
      view2.setNamedWhereClauseParam("order_no", "59406");
      logger.debug("order_no bind variable set");
      view2.executeQuery();
      Row r2 = view2.first();
      Object orderno2=r2.getAttribute("OrderNo");
      logger.debug("Fetched Order number is"+orderno2);
      String status = _amImpl.modifyOrder();
      logger.debug("modifyOrder method executed and status retrieved ");
      assertTrue(status.equals("S"));
      logger.debug("Execution of  testModifyOrderWithValidOrderNumber() test case completed");
        
    }
}
