/*@lineinfo:filename=RibObject*//*@lineinfo:user-code*//*@lineinfo:1^1*/package oracle.retail.microapps.vendor.ribtypes;

import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;

public class RibObject implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "RMS01.RIB_OBJECT";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  /* connection management */
  protected Connection __onn = null;
  protected javax.sql.DataSource __dataSource = null;
  public void setDataSource(javax.sql.DataSource dataSource) throws SQLException
  { release(); __dataSource = dataSource; }
  public void setDataSourceLocation(String dataSourceLocation) throws SQLException {
    javax.sql.DataSource dataSource;
    try {
      Class cls = Class.forName("javax.naming.InitialContext");
      Object ctx = cls.newInstance();
      java.lang.reflect.Method meth = cls.getMethod("lookup", new Class[]{String.class});
      dataSource = (javax.sql.DataSource) meth.invoke(ctx, new Object[]{"java:comp/env/" + dataSourceLocation});
      setDataSource(dataSource);
    } catch (Exception e) {
      throw new java.sql.SQLException("Error initializing DataSource at " + dataSourceLocation + ": " + e.getMessage());
    }
  }
  public Connection getConnection() throws SQLException
  { 
    if (__onn!=null) return __onn;
     else if (__tx!=null) return __tx.getConnection(); 
     else if (__dataSource!=null) __onn= __dataSource.getConnection(); 
     return __onn; 
   } 
  public void release() throws SQLException
  { if (__tx!=null && __onn!=null) __tx.close(ConnectionContext.KEEP_CONNECTION);
    __onn = null; __tx = null;
    __dataSource = null;
  }

  public void closeConnection(){
    if (__dataSource!=null) {
      try { if (__onn!=null) { __onn.close(); } } catch (java.sql.SQLException e) {}
      try { if (__tx!=null) {__tx.close(); } } catch (java.sql.SQLException e) {}
      __onn=null;
      __tx=null;
    }
  }
  protected DefaultContext __tx = null;
  public void setConnectionContext(DefaultContext ctx) throws SQLException
  { release(); __tx = ctx; }
  public DefaultContext getConnectionContext() throws SQLException
  { if (__tx==null)
    { __tx = (getConnection()==null) ? DefaultContext.getDefaultContext() : new DefaultContext(getConnection()); }
    return __tx;
  };
  protected MutableStruct _struct;

  protected static int[] _sqlType =  { 2 };
  protected static ORADataFactory[] _factory = new ORADataFactory[1];
  protected static final RibObject _RibObjectFactory = new RibObject();

  public static ORADataFactory getORADataFactory()
  { return _RibObjectFactory; }

  protected static java.util.Hashtable _map = new java.util.Hashtable();
  protected static boolean _initialized = false;
  protected static synchronized void init()
  { if (!_initialized)
    { _initialized=true;
      _map.put("RMS01.RIB_OBJECT",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibSupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibLocofsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibLocofsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibInsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibBrsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibSuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibLocofsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibInsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibBrsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibEofinsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibEofbrsuppliercolrefRec.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibExtofsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibLocofsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibInsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibBrsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibEofinsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibEofbrsupplierrefRec.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibInsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibBrsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibEofinsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierSite_REC",oracle.retail.microapps.vendor.ribtypes.RibEofbrsuppliersiteRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibEofinsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibEofbrsuppliersiteaddrRec.getORADataFactory());
      _map.put("RMS01.RIB_ASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Addr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_AttributeVal_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Attribute_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOfXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BrXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Brreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_BusinessProblemDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_COHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Client_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_CustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Destinations_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_DocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfBrreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EOfInreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Eco_class_cd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EnumOptionSet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_EnumOption_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAddressRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXClearanceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXClearanceExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXClearanceHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXPriceChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXPriceChgExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXPriceChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ExtOfreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Facilitators_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FailStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalDocumentBRAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ForceApplicableRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ForceByPassRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_FrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctCollectionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctCollectionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_GroupElementType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Group_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Groups_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Identifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOfXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InductItemResponse_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Inreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_InvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemConfig_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemDescription_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemSup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Label_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LineItemBRAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNInCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNInItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNInPO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNOutCtn_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNOutDistro_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfASNOutItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAllocDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAppliedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAppointDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAppointDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAppointDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfAppointRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfBannerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfBannerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfBasisUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCOHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCallTagDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCallTagDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfChannelDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfChannelRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfClient_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfClrPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfClrPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfClrPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfClrPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCodeDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCodeDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCodeHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCodeHdrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCogsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCostComponentRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCountryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCountryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCreditDetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCurrRateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCurrentUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustRetDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustRetItemQtyDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustRetItemQty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustRetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustRetSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfCustSaleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDDealsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDDeals_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDNonMerch_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSDReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDSRcptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDeliverySlotDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDeliverySlotRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffGrpDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffGrpHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffTypeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiffTypeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDiscountLadder_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfDocLineItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfEmpTimeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfEmployeeDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfEmployeeRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalDocColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalDocRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalEntityRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalFDNColRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalFDNQryRBM_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFiscalFDNRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfFrtTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGLAcctColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGLAcctColRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGLAcctDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGLAcctRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGLCOADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGiftRegAckDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfGiftRegUpdDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfISCDimWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfISCDimWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfInvAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfInvAdjustDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfInvReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfInvReqItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemHdrWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemImageDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocPhysRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocPhys_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocSimpleRet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocVirtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocVirtRepl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemLocVirt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupCtyWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemSupWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemTcktRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDADateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDADateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDAFFDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDAFFRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDALOVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUDALOVRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUPCDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemUPCRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfItemWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfListDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfListDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfListGroupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfListGroup_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfNewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfOrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPOScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPOScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPOScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPOSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPOVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfPromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReceipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfRegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfSupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfUDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfUDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfUDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfVendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfWOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfXTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocOfreward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOCnlReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOCnlReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPODtlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOHdrsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsRspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPOItmSlsRsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPORspDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocPORsp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationListRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationList_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_LocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MessageContext_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Messages_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MoneyType_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_MrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_NewUnitRetail_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OTBDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OTB_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrdDateDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrdDateRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrgHierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_OrgHierRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PODtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POScheduleDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POScheduleDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POScheduleRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POSchedule_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_POVirtualDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ParentIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PartnerDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PartnerOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PartnerRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PayTermRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PendRtrnRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDescs_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgExcDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcChg_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcInqReq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpStRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrcZoneGrpSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PriceZoneRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PriceZone_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Principal_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgBuyGet_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgBuyItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgGetItem_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmpDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgSmp_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtlRe_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PrmPrcChgThr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ProblemDetailEntry_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ProductItemBRAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ProductItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PromotionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_PromotionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Property_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RTVReqRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcptAdjustDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcvUnitAdjDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RcvUnitAdjDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptCartonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptOverageDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReceiptOverage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Receipt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_RegPrcChgRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocationDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ReportLocationRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SKUOptmDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SODtlTcktDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SORef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SOStatusDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonRefDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ServiceItemRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ServiceOpContext_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_ServiceOpStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Sources_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StaticContents_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_Status_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchLoc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchProd_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StkCountSchRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_StoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SuccessStatus_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SuggestedTaxRules_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupAttr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupIdentifier_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupNode_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupNodes_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSiteAddr_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSiteOrgUnit_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupSite_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierColDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierCollectionDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierCollectionRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_SupplierSiteAddress_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TaxContributor_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TaxDetailRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TaxRuleInfoRBO_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TermsSeq_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtlTckt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_TsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDADesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDAValDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_UDAValRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorAddrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorAddrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorHdrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorOUDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorOURef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_VendorRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHEquipRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHLocRefDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHLocRefRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRefMapDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRefMapRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHReferenceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHReferenceRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHSpaceLocsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHSpaceLocsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHTran_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WHTransDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOInRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutActivity_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPackFrom_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPackTo_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutPacking_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOOutXForm_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOStatusDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_WOStatusInvAdj_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAllocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XAlloc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XClearanceHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XCostChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XCostChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffIDDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XDiffIDRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCDimDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCDimRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XISCLocRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XIZPDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemBOMDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemBOMRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemCostDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemCostRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemCtryDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemCtryRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemImageRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemImage_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSeasonRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSeason_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyMfrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupCtyRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemSupRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemUDADtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemUDARef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemVATDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItemVATRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XItmSupCtyMfrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XLocTrtDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XLocTrtRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrClsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrClsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrCompDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDeptVAT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDivDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrDivRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrGrpDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrGrpRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrRclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrRclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrSclsDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XMrchHrSclsRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrderRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XOrgHrRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgExcSt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XPriceChgHrDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XRef1_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XRef2_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XRef3_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XRef4_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XRef5_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreLocTrt_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XStoreWT_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDesc_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDtlRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfDtl_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_XTsfRef_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
      _map.put("RMS01.RIB_reward_qty_REC",oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } }

  /* constructors */
  protected void _init_struct(boolean init)
  { if (init) _struct = new MutableStruct(new Object[1], _sqlType, _factory); }
  public RibObject()
  { _init_struct(true); __tx = DefaultContext.getDefaultContext(); }
  public RibObject(DefaultContext c) /*throws SQLException*/
  { _init_struct(true); __tx = c; }
  public RibObject(Connection c) /*throws SQLException*/
  { _init_struct(true); __onn = c; }
  public RibObject(java.math.BigDecimal ribOid) throws SQLException
  {
    _init_struct(true);
    setRibOid(ribOid);
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    if (__tx!=null && __onn!=c) release();
    __onn = c;
    return _struct.toDatum(c, _SQL_NAME);
  }


  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  public void setFrom(RibObject o) throws SQLException
  { setContextFrom(o); setValueFrom(o); }
  protected void setContextFrom(RibObject o) throws SQLException
  { release(); __tx = o.__tx; __onn = o.__onn; }
  protected void setValueFrom(RibObject o) { _struct = o._struct; }
  protected ORAData create(RibObject o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) { if (o!=null) { o.release(); }; return null; }
    if (o == null) return createFromFactory("RibObject", d, sqlType);
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createExact(Datum d, int sqlType) throws SQLException
  {
    RibObject o = new RibObject();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o.__onn = ((STRUCT) d).getJavaSqlConnection();
    return o;
  }
  protected ORAData createFromFactory(String s, Datum d, int sqlType) throws SQLException
  {
    String sql = ((STRUCT) d).getSQLTypeName();
    init();
    RibObject factory = (RibObject)_map.get(sql);
    if (factory == null) {
       int p;
       if ((p=sql.indexOf(".")) >= 0) {
          factory = (RibObject)_map.get(sql.substring(p+1));
          if (factory!=null) _map.put(sql,factory); }
       if (factory == null) throw new SQLException
          ("Unable to convert a "+sql+" to a "+s+" or a subclass of "+s);
    }
    return factory.createExact(d,sqlType);
  }

  /* accessor methods */
  public java.math.BigDecimal getRibOid() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(0); }

  public void setRibOid(java.math.BigDecimal ribOid) throws SQLException
  { _struct.setAttribute(0, ribOid); }


  public RibObject appendnodevalues (
    String I_PREFIX)
  throws java.sql.SQLException
  {
 try {
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:3216^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0oracle.retail.microapps.vendor.ribtypes.RibObject",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:3221^5*/
    return __jPt_temp;
 } catch(java.sql.SQLException _err) {
   try {
      getConnectionContext().getExecutionContext().close();
      closeConnection();
      if (__dataSource==null) throw _err;
    RibObject __jPt_temp = this;
    /*@lineinfo:generated-code*//*@lineinfo:3229^5*/

//  ************************************************************
//  #sql [getConnectionContext()] { BEGIN
//        :__jPt_temp.APPENDNODEVALUES(
//        :I_PREFIX);
//        END;
//       };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN\n       :1 .APPENDNODEVALUES(\n       :2 );\n      END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1oracle.retail.microapps.vendor.ribtypes.RibObject",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2002,"RMS01.RIB_OBJECT");
   }
   // set IN parameters
   if (__jPt_temp==null) __sJT_st.setNull(1,2002,"RMS01.RIB_OBJECT"); else __sJT_st.setORAData(1,__jPt_temp);
   __sJT_st.setString(2,I_PREFIX);
  // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_temp = (oracle.retail.microapps.vendor.ribtypes.RibObject)__sJT_st.getORAData(1,oracle.retail.microapps.vendor.ribtypes.RibObject.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:3234^5*/
    return __jPt_temp;
   } catch (java.sql.SQLException _err2) { 
     try { getConnectionContext().getExecutionContext().close(); } catch (java.sql.SQLException _sqle) {}
     throw _err; 
  }
 }
  }
}/*@lineinfo:generated-code*/